2014-09-21  Release 4.6.6  (cvs tag Release_4_6_6)

2014-09-14  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/mouse.c (xDateTimeFormat):  Use gnuplot's own ggmtime() instead
	of gmtime() to avoid platform dependant restrictions. Revert last change
	since it's now unnecessary. Fixes display of dates before 1970 and after
	2038 in the status bar on Windows.
	Bug #1470

2014-09-12  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/mouse.c (xDateTimeFormat):  gmtime() might return NULL for
	invalid arguments.
	Bug #1470

2014-09-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/fit.c (update):  Revert to same code as in 4.6.5.
	Fixes regression that caused "update foo" to fail on linux if foo was
	not in the current directory.
	See bug #1385

2014-09-10  Ethan A Merritt  <merritt@u.washington.edu>

	* term/pdf.trm: Backport two sanity checks from v5.
	May prevent failures reported on OSX due to overlapping strcpy range.
	Bug #1336

2014-09-09  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (lp_parse parse_colorspec):  Add forward-compatibility
	with v5 syntax that makes "rgb" optional in lc|fc {rgb} "colorname".

2014-08-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/fit.c:  Handle columnheaders in input to "fit".
	Bug #1467

2014-08-14 Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (do_rectangle) src/graph3d.c (map3d_position_r):
	Fix y extent and clipping of rectangles with negative y coord or
	inverted axes.
	Bug #1462

2014-08-01 Ethan A Merritt  <merritt@u.washington.edu>

	* src/mouse.c (event_buttonpress):  Trap mouse button click on
	press rather than on release so that "pause mouse {button1|any}"
	takes precedence over a key binding to the mouse button.
	Bugfix

2014-07-31 Ethan A Merritt  <merritt@u.washington.edu>

	* src/syscfg.h:  Revert most of the 2014-07-28 patch with the hope
	of correcting a build problem for bf_test.  All that is left of the
	original patch is the version info for 64-bit Windows.

2014-07-30 Ethan A Merritt  <merritt@u.washington.edu>

	* src/eval.c (update_plot_bounds):  Provide a user-visible copy of
	the current terminal scale (oversampling, etc) as GPVAL_TERM_SCALE.
	Bug #1291

2014-07-28 Allin Cottrell  <cottrell@wfu.edu>

	* src/syscfg.h:  Report 32/64 bit Windows build in version string

2014-07-15 Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_sep):  Revise parsing of "set datafile separator".
	Allow string constants, keywords "tab" and "comma".

2014-07-12 Ethan A Merritt  <merritt@u.washington.edu>

	* src/parse.c (check_for_iteration):  Fix failure to detect some loop
	[start:end:increment] combinations that should be executed only once
	or not executed at all.
	Bug #1441

2014-07-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_dummy):  More sanity checks on "set dummy" syntax.
	Bug #1442

2014-07-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (load_tic_user):  "set Xtics ()" should clear the list
	of user-specified tics rather than setting tic generation to auto.

2013-07-04  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/internal.c src/win/wcommon.h src/win/wgraph.c src/win/winmain.c
	src/win/wmenu.c src/win/wprinter.c src/win/wtext.c  
	src/win/wgnuplot.rc src/win/wgnuplot.exe.manifest64:
	Backport support for Win64 from version 5 which was originally
	developed by Allin Cottrell.

	* src/win/wgraph.c:  'q' closes graph window.

2014-07-03  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/wxt/wxt_gui.c|h:  Automatically remove reference to frame from
	window list when destroying it. Prevents segfault on program exit when
	windows and wxt windows are open.
	Bugfix

2014-06-30  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/QtGnuplotScene.cpp (mouseReleaseEvent):
	Bugfix for timing problem with click+release of left mouse button.
	The symptom was "sticky" 3D rotation.
	Bugfix

2014-06-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c src/plot2d.c (eval_plots): 
	Unlike all other axes, log scaling was being applied to the color axis
	(cb) in do_plot() rather than in the caller eval_plots().
	This caused "refresh" (as opposed to "replot") to fail.  Move the
	log-scale correction up to eval_plots() like the other axes.
	Bug #1425

2014-06-16  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (xtick2d_callback): Clip r axis tics and tic labels to 
	the bounding box of the plot.
	Bug #1290

2014-06-15  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/plot.c (main) src/win/winmain.c|h:
	Fix persist mode on Windows when reading from a pipe.
	See Bug #1322

2014-06-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/mouse.c (event_reset) src/qtterminal/QtGnuplotWindow.{h|cpp}:
	Window close events from qt were not being passed through to the main
	program, so "pause mouse close" did not work. Also a backgrounded 
	instance could hang rather than exit when the last plot window closed.
	Bug #1418

	* term/post.trm term/cairo.trm:  The "header" keyword for epslatex
	and related terminals can introduce a string of arbitrary length.
	Therefore it is not safe to try to store it in the fixed length 
	term_options character array.
	Bug #1413

2014-06-04  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/plot.c:  Only if a wxt or windows terminal window is open, the 
	-persist option is handled by keeping the main input loop running. 
	This is unfortunate but maybe the best we can do since we are missing
	a process fork or detach mechanism. This eliminates zombie process when
	no plot windows are open in session.
	Bugs #1308, #1335, #1343

2014-06-01  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/fit.c:  'update' fails if parameter file does not exits yet.
	Provide proper error message.
	See bugs #1385 and #1156

	config/config.nt config/config.mgw:  Sync with config.h from configure
	script.

	config/mingw/Makefile:  Use -pipe option to speed up compilation.

2014-05-27  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_readascii): Report status DF_UNDEFINED if a data
	value evaluates to the constant "NaN", just as if we calculated it on
	the fly to be e.g. 1/0.
	Bug #1408

2014-05-26  Ethan A Merritt  <merritt@u.washington.edu>

	* term/js/gnuplot_svg.js term/svg.trm:
	Grey out key entries when corresponding plot is toggled off.

	* src/graphics.c: Autoincremented user linestyle was not applied to
	histograms if the key was disabled. 
	Bugfix

2014-05-23  Ethan A Merritt  <merritt@u.washington.edu>

	* src/boundary.c:  A width adjustment for the length of the key title
	was being applied to every column of entries in the key instead of just
	once for the whole key.
	Bugfix

2014-05-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (f_stringcolumn): Return an empty string if asked for
	stringcolumn(N) on an empty field of a *.csv file.  Otherwise it would
	return NULL which may cause a segfault later on.
	Bugfix.

2014-05-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gadgets.c (clip_line): It is not safe to use (A*B >= 0) as a
	substitute for the test (sign(A) != sign(B)).
	It fails when A and B are integers and their product overflows.
	Bugs #1390, #1392       See also Bug #1358

2014-04-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (f_timecolumn):  This function basically does not work.
	If it ever appears in a using spec slot other than 0 or 1, it will fail
	with either a segfault or a garbage return value because there is no
	no associated timefmt.  Version 5 fixes this by requiring the timefmt to
	be passed as a second parameter. Here we don't redefine the function but
	we try the FIRST_X_AXIS timefmt rather than faulting.
	Bug #1394

2014-04-23  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_readascii):  If a read request returns a string
	rather than a numerical value, nevertheless fill in the numerical 
	value as NaN.  This is better than leaving some random garbage there
	(in practice probably some earlier data value).
	Bugfix.

	* src/term.c (enhanced_recursion):  Consume only a single space
	following the font name in an enhanced test string "{/Font    text}".

2014-04-13  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.h src/datafile.c:  Change the declared type of all
	variables contributing to file offsets from (int) to (long). This 
	should allow fseek in large (>2GB) files on 64bit platforms.

2014-04-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_binary_details[]): Handle int64 and uint64 types 
	even if current platform has sizeof(long) = 4.
	Bugfix

2014-04-08  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (lp_parse) src/graphics.c (plot_lines do_key_sample):
	New linetype keyword "nodraw" maps to existing internal value LT_NODRAW.
	Apply this in the graphics layer rather than the terminal layer in order
	to distinguish between line properties and point properties.
	I.e. this draws blue points but no lines:
	  plot $FOO with linespoints lt nodraw pointtype 6 lc rgb "blue"
	Bug #1374

2014-04-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c: Accept "with image pixels" as a synonym for
	"with image failsafe".

2014-03-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (place_objects do_rectangle): When fillcolor for an
	object is given as a linecolor it should be interpreted as referring
	to the color of a current linetype.

2014-03-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/parse.c (check_for_iteration next_iteration):
	Replace overly clever checks for end condition already satisfied with
	one that doesn't fail due to overflow of integer multiplication.
	Bug #1358

2014-03-20  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/set.c:  "set encoding locale" only handles utf8 and sjis. Extend
	this to all supported encodings on Windows, probably the only platform
	where this is still relevant.
	Bug #1270

2014-03-20  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm:  svg was losing the current linetype (i.e. dash type)
	between drawing the key sample and drawing the main plot.

2014-03-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_parse_string_field):  Memory allocation for column
	header strings had O(n^2) dependence on the length of the first line.
	Replace this with an O(n) scheme.  This should also improve performance
	when handling string-value data columns in long input lines.
	Bug #1355

2014-03-13  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_open df_readascii):  New keyword "skip" tells the
	program to skip lines at the start of an ascii data file.  Note this is
	different from "every ::N", which skips lines at the start of the data
	file but also at the start of each subsequent data block in the file.
	Backport from 4.7

2014-03-03  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/Makefile.in:  Do not include generated file pdffigures.tex
	in the distribution package.

2014-02-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/qt_term.cpp(qt_connectToServer qt_waitforinput):
	If the outboard server gnuplot_qt is killed while gnuplot is connected
	to it, it gets restarted with a different server name.  Don't waste
	time trying to connect to a server with the old name.

2014-02-26  Carl Michal <michal@phas.ubc.ca>

	* src/fit.c src/fit.h src/save.c src/set.c src/show.c src/unset.c
	docs/gnuplot.doc:
	"set fit [no]prescale" optionally normalizes fit parameters before
	starting M-L refinement. Backport from 4.7.
	Patch #507

2014-02-26  Release 4.6.5  (cvs tag Release_4_6_5)

2014-02-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/qt_term.cpp (qt_waitforinput):
	If the amount of data available via the socket from gnuplot_qt is too
	small to be an event structure, issue an error and continue rather than
	spinning futilely.  Suggested by Yuriy Kaminskiy <yumkam@gmail.com>

	* src/qtterminal/qt_term.cpp (qt_connectToServer):
	The timeout parameter in socket.waitForConnected() cannot be used to
	wait for an unready socket, as that returns an error immediately.
	Rewrite the delay loop using an explicit GP_SLEEP() instead.
	Also increase the overall timeout for the retry loop.

2014-02-11  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c:  Horizontal scroll wheel support.

2014-02-04  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in src/wxterminal/wxt_gui.h:  New configure option
	--with-wx-single-threaded forces the WXT_MONOTHREADED code option even
	if the platform otherwise would default to WXT_MULTITHREADED.
	This is intended to provide a workaround for reported problems using
	the wxt terminal on Haswell CPUs, where apparently gnuplot's use of a
	mutex to synchronize communication with the gui can fail badly.

	* term/svg.trm:  Remove "horrible kludge" added in 2011 to work around
	a bug in Firefox 3.x rendering.  Now it is causing more problems than it
	solves.

2014-01-31  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_tokenise):  Fix off-by-one allocation error
	affecting cvs files.
	Bug #1333

2014-01-30  Jon Gjengset <jon@thesquareplanet.com>

	* src/gp_types.h src/interpol.c src/interpol.h src/plot2d.c
	src/tables.c docs/gnuplot.doc:  New smoothing option "unwrap" adjusts
	input y values by multiples of 2pi so that the difference between two
	successive y values is never more than pi.

2014-01-30  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/QtGnuplotScene.cpp (mouseReleaseEvent):
	Timing initialization failure of mouse clicks can result in a spurious
	event that the program does not handle well.

2014-01-29  Jérôme Lodewyck  <lodewyck@users.sourceforge.net>

	* src/command.c: Update GPVAL_* variables after a refresh command.
	Bug #1327

2014-01-27  Ethan A Merritt  <merritt@u.washington.edu>

	* src/time.c (xstrftime):  Explicit use of (double) when processing
	fractional seconds.

	* src/datafile.c:  [xyz]ticlabels were losing resolution due to being
	passed through a float rather than a double.

2014-01-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c:  Fix several problems with autoscaling of plots in 
	polar mode (related to Bug #1323).

2014-01-13  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_palette_defined set_clip set_encoding):
	Fuzz-testing found improper handling of END_OF_COMMAND cases.

2014-01-11  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/readline.c (readline, ansi_getc) src/win/wtext.c (WndTextProc)
	src/win/winmain.c (ConsoleGetch):  Builtin-readline: Shift-Tab cycles
	through the list of completions in reverse direction.

	* src/win/winmain.c:  Current version of MinGW does not offer working
	version of __argc/__argv, but _argv/_argv. A web search shows that
	MinGW-w64 is different. This is a bug in MinGW's runtime.

	* win/gnuplot.iss (MinVersion):  Minimum required version of the
	installer is XP.

2014-01-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c:  Fix iteration over parametric function plots.
	Bug #1314

	* src/datafile.c (df_generate_pseudodata):  Allow use of '++' pseudofile
	to sample the parametric variables U and V in 3D parametric mode.

2014-01-03  Christoph Bersch <usenet@bersch.net>

	* src/graphics.c (do_key_sample):  Apply requested border around filled
	circle or ellipse used as a key sample.
	Bug #1315

2014-01-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_generate_pseudodata):  Allow use of '+' pseudofile
	to sample the parametric variable T in 2D parametric mode.

2013-12-31  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/graphics.c (get_arrow) src/term.c (do_arc):  The aspect ratio
	of the internal coordinates of the windows terminal is always one.
	Bug #1253

	* src/win/wtext.c (WndTextProc) src/fit.c (regress):  The ctrlc_flag
	got clobbered due to a missing break statement.

2013-12-31  Ethan A Merritt  <merritt@u.washington.edu>

	Increment patchlevel to 4.6.5

2013-12-29  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (drawgraph) term/win.trm (WIN_filled_polygon):
	Rectangular filled polygons are drawn using boxfill. This routine
	contained a bug in the allocation of an internal bitmap which prevented
	those polygons from being drawn under certain circumstances. The 
	routine was also sensitive to the order of the corner points.
	Bug #1279

2013-12-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gp_types.h src/plot2d.c src/tables.c src/interpol.c src/interpol.h
	docs/gnuplot.doc:

	New smoothing option "mcsplines" - piecewise monotonic cubic splines
	calculated using the algorithm of FN Fritsch & RE Carlson (1980),
	SIAM Journal on Numerical Analysis 17: 238-246.

2013-12-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/Makefile.am: automake 1.14 wants an option subdir-objects
	
	* configure.in src/show.c:
	The option --enable-thin-splines no longer does anything; remove it.

	* src/parse.c (next_iteration): survive clobbered iteration variable
	Bug #1312

2013-12-15  Jyrki Yli-Nokari  <jyrkiylinokari@gmail.com>

	* src/bitmap.c configure.in:
	Jyrki Yli-Nokari, the original author of the code in bitmap.c,
	has agreed to relicense it as dual license (gnuplot + BSD).
	This removes a restriction to non-commercial use imposed by the
	license terms that appeared in earlier versions of file bitmap.c.

2013-12-12  Erik Olofsen  <olofsen@users.sf.net>

	* term/tek.trm:  New terminal driver "sixel" for old DEC terminals
	and printers, emulated by some versions of xterm.

2013-12-12  Ethan A Merritt  <merritt@u.washington.edu>

	* src/util.h (gprintf):  Interpret %h as %g (forward compatibility
	with version 4.7 save files).

	* term/emf.trm:  Invalidate font name at start of each plot.
	Bug #1306

	* src/wxterminal/gp_cairo.c src/wxterminal/wxt_gui.*:
	Modify vertical centering of enhanced text to match default case.
	Bug #1309

2013-12-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c (key_text):  Apply key title font to key entries.
	Bug #1309

2013-12-11  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/emf.trm: Support true pattern-fill. Apply global linewidth.

2013-11-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c src/plot3d.c:
	Allowed enhanced/noenhanced key word after individual plot titles.

2013-11-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/mouse.c (event_buttonrelease): "pause mouse" only worked for
	center and right mouse buttons, not for left mouse.
	Bug #1301

2013-11-09  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/qt_term.cpp (qt_set_color):  Do not change line type
	just because a color request specifies a linetype color.
	Bugfix.

	* Add a check for valid timer status.  This reduces the number of
	spurious events that are passed through to the main program.

2013-11-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/save.c (save_range):  Due to a typo, the fix/nofix axis property
	was not written out by the "save" command.

2013-10-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c src/datafile.h (MAXDATACOLS):  (MAXDATACOLS=7) assumed
	that every column in a using spec needs to be stored in the coordinate
	data structure.  But that is no longer true since xticlabel and friends
	take up a using spec column but store their content elsewhere.  Increase
	MAXDATACOLS from 7 to 11 (6 data + 1 variable color + 4 axis ticlabels).
	Bug #1297

2013-10-27  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c src/plot3d.c src/misc.c(lp_parse):
	Fix several bugs involving color assignment to contour lines.
	Unfortunately this negates a previous fix that allowed explicit surface
	colors in a hidden3d plot to implicitly do "set hidden3d offset 0".
	Bug #1284 and others.

2013-10-25  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_readascii df_readmatrix):  If the first field of a
	tab-separated csv file was empty, it would be incorrectly ignored when
	processing that input line.
	Bugfix. 

	* src/wxterminal/wxt_gui.cpp:  Extend toggling active region in key box
	to include enhanced text as well as non-enhanced text.
	Bugfix. 

2013-10-25  Thomas Bleher <tbleher@gmx.de>

	* src/getcolor.c (quantize_gray):  Windows compile error ("small" is not
	accepted as a variable name).

2013-10-23  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot.c (main):  If commands are being executed interactively
	because the user said something like "gnuplot -", then execution should
	continue after an error message just as in a normal interactive session.
	Bug #1295

	* src/mouse.c (event_reset):  Must not send commands to the terminal if
	it has not yet been initialized.

2013-10-23  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot.c (main):  If commands are being executed interactively
	because the user said something like "gnuplot -", then execution should
	continue after an error message just as in a normal interactive session.
	Bug #1295

2013-10-21  Christoph Bersch <usenet@bersch.net>

	* src/gadgets.h  src/graphics.c  src/graphics.h src/save.c src/set.c
	demo/clipobject.dem docs/gnuplot.doc:
	New object attribute clip/noclip.  "clip" retains the current default,
	clip to plot boundary unless one or more vertices are given in screen
	coordinates.  "noclip" clips to the canvas. Does not fix broken ellipse
	clipping.

2013-10-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/color.h src/set.c src/getcolor.c (quantize_gray):
	Change the algorithm used to assign palette colors in the case
	   set palette defined (...) maxcolors N
	where the gradient boundaries are unevenly spaced. Previous versions
	of quantize_gray() have shown a variety of bad outcomes.  This version
	has fewer, less ugly, bad outcomes but it is still sensitive to the
	choice of maxcolors.  Try changing maxcolors by +/- one if the generated
	palette is bad.
	Bug #1140 and others

	* src/command.c (test_palette_subcommand):  The "test palette" command
	does not need to zero the current input line, and hasn't needed to since
	lf_push/lf_pop were introduced 5 years ago.

2013-10-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/save.c (place_objects): "show object N" was incorrectly printing
	lines for other objects as well.

2013-10-16  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot-ja.doc docs/term-ja.diff:
	Sync with English documentation rev. 1.701.2.30

2013-10-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/pm3d.c: Allow "set pm3d top/bottom" and "set pm3d interpolate N,M"
	to be active at the same time.

	* src/axis.c (gen_tics): Suppress log-scaled mtics and minor grid lines
	that would lie on top of the major tic/grid.
	Bug #1292

2013-10-06  Tag	Release_4_6_4

2013-10-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (polar_range_fiddling):  In a polar mode plot, if x, y,
	and r axes are all auto-scaled then prefer a symmetric plot centered at
	the origin with radius rmax over an asymmetric plot produced by treating
	the data ranges on x and y independently.

2013-10-01  Christoph Bersch <usenet@bersch.net>

	* src/plot2d.c (store_label):  Plots with labels should accept variable
	color both for the label text and for the associated point symbol.
	Bug #1281

2013-09-30  Josh Ovi  <joshovi@users.sourceforge.net>

	* src/graphics.c (plot_bars):  y errorbar whiskers were incorrectly
	drawn at the end of a clipped error bar.  If the error bar is clipped
	then it should have no whisker.
	Bug #1289

2013-09-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.h:  Fix order of axis format initializers. Fortunately
	these were overwritten correctly on program entry by reset_command.

2013-09-23  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/Makefile.in:  It is not an error if a file to be uninstalled
	is already gone.

2013-09-20  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (place_grid):  Must initialize tic_direction when
	drawing r-axis tics.  Otherwise we get whatever the last set of
	x or y tics used, or if they have not been used then nothing at all.
	Bug #1286

	* src/qtterminal/QtGnuplotScene.cpp(QtGnuplotScene::processEvent):
	Revert one line of patch from 2013-05-23. typo? thinko? Anyhow it
	can cause gnuplot_qt to freeze or terminate.
	Bugfix

	* src/graphics.c(do_key_layout): If the terminal doesn't support
	set_color() we can't produce an opaque key box. 

2013-09-17  Ethan A Merritt  <merritt@u.washington.edu>

	* term/emf.trm (EMF_point): filled circles (pointtype 7) were
	incorrectly being drawn with a black border.

2013-09-15  Ethan A Merritt  <merritt@u.washington.edu>

	* missing:  Current autoconf complains that our "missing" script is too
	old.  Replace it with a version timestamped 2012-06-26.16.
	Unfortunately I don't see how to modify this one to package or install
	on machines without makeinfo. So...

	* docs/Makefile.in:  install-info is no longer a default target.
	You can still do "make install-info" as always if you really want it
	and you do have makeinfo installed.

2013-09-11  Christoph Bersch <usenet@bersch.net>

	* src/set.c src/unset.c: Sanity check "set style increment foo" command,
	reset to default on "reset" command.
	Bug #1282

2013-09-10  Ethan A Merritt  <merritt@u.washington.edu>

	* pm3d.c (set_plot_with_palette): "tc variable" was incorrectly causing
	the color bar to be drawn by default.

	* graphics.c (check_for_variable_color): "lc variable" should index the
	line _type_ (not _style_) colors unless "set style increment user".
	Bug #1281

	* plot2d.c (store_label):  Same fix for "with labels tc variable".
	Bug #1281

2013-09-09  Ethan A Merritt  <merritt@u.washington.edu>

	* term/cairo.trm (cairopng_write_cropped_image):  Must free cropped image
	and the structure that holds it, otherwise there is a memory leak.
	Bug #1278

2013-09-06  Ethan A Merritt  <merritt@u.washington.edu>

	* scanner.c (scanner):  The syntactic entity $# (number of arguments
	in a call statment) has been mishandled as introducing a comment since
	sometime in version 4.5.  Trap it as a special case in the scanner.
	Bugfix

2013-09-05  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in docs/titlepag.tex PATCHLEVEL src/version.c:
	Bump patchlevel to 4.6.4

2013-08-28  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/mingw/.cvsignore: Ignore *.d, *.par and *.log, like the
	trunk version does.

2013-08-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c term/x11.trm:  Use more precision when writing out
	the axis dimensions and scale at the end of a plot.  This prevents
	rounding errors in the mouse coordinates reported in -persist mode.
	Bug #1276

2013-08-23  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/term.c (test_term): "test" was not respecting "set origin".

2013-08-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/fit.c (regress):  Do not destroy the contents of chisq in the
	course of doing parameter scaling.  This is a bug just waiting to hit.
	Bug #1275

2013-08-13  Ethan A Merritt  <merritt@u.washington.edu>

	* src/eval.c (update_gpval_variables):  Missing GPVAL_* entry
	for R_AXIS.max.

2013-08-08  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c:  Add comment noting that axis_position_zeroaxis() must
	be called for each axis before plotting in order to set axis->term_zero.

	* src/graphics.c:  It is incorrect to skip the initial calls to
	axis_draw_2d_zeroaxis even if we know the zero axes will be drawn
	again later (e.g. grid is off or front).
	Bug #1267

	* src/datafile.c:  Fix segfault from trying to store strlen of a
	NULL column header string.

2013-08-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/eval.c (pop_or_convert_from_string):  Context-dependent 
	conversion of a string containing a number to an actual number is
	documented as evaluating to either an integer or a complex variable as
	appropriate.  However up to now it has always produced a complex in
	practice.  Now we really do evaluate to an integer if the string
	contains only digits and whitespace.
	Bug #1269

	* src/datafile.c:  Generalize the substitution of columnheaders into
	a string during evaluation of 'using' or 'title' in a plot command.
	This allows inclusion of more than one columnheader into a single
	resulting string.
	Bug #1271

2013-07-22  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.h src/command.c (string_expand_macros do_line)
	src/misc.c (load_file):  Under some conditions, e.g. inside a multi-line
	clause in curly brackets, the input command line can be extended after
	it has already been checked for the presence of macros.  This caused any
	macros in the new part of the input line to be unrecognized.
	Now we recheck for macros whenever the input line is extended.
	Bug #1264

2013-07-06  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wtext.c:  Accept Ctrl-C to copy to clipboard.  Fix index out
	of range error if text selection extends beyond the end of line.

2013-07-05  Dima Kogan  <dima@secretsauce.net>

	* configure.in:  Test for incomplete installation of wxWidgets
	development environment.

2013-07-03  Mojca Miklavec  <mojca.miklavec.lists@gmail.com>

	* src/command.c src/plot.c src/variable.c:
	Remove obsolete instances of #ifdef (_Macintosh)

2013-07-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c: Better fix for	Bug #1252, inverted parallel axis labels

2013-07-02  Ulrich Müller  <ulimueller@users.sf.net>

	* docs/doc2texi.el:  Provide a substitute for the lisp routine
	replace-regexp-in-string, which is missing in xemacs prior to version
	25.1.something.

	* docs/Makefile.in:  Modify build commands for gnuplot.texi so that
	xemacs and newer emacs (25.1) are happy.

	* docs/doc2texi.el:  Map terminal HELP sections to level 3 (subsection)
	and level 4 (subsubsection) rather than levels 4 and 5.
	Bug #1226

2013-07-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (plot_ticlabel_using):  Explicit error message if
	required parentheses are missing from using spec.
	Bug #1256

	* src/time.c (gstrptime): Pass through fractional seconds read with
	time format "%s"

2013-06-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (load_file): Expand macros up to 3 levels deep when 
	stepping through a "load" operation.  This matches the depth allowed
	at the top level command line.
	Bug #1246

	* src/graph3d.c (draw3d_graphbox):  "set [xy]label rotate parallel"
	is affected by the direction of the complementary axis.
	Bug #1252

2013-06-27  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/graphics.c (do_ellipse): Repair atrocious pointer casts
	spotted by J. Bollinger.

2013-06-24  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/util.c|h (existfile):  New (missing) routine.

2013-06-22  Mojca Miklavec  <mojca.miklavec.lists@gmail.com>

	* term/context.trm: Explicitly disable color in standalone ConTeXt
	documents when monochrome option is chosen.

2013-06-18  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* src/datafile.c (plot_option_every):  Treat negative numbers as
	indicating "default value".

2013-06-16  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_tokenise):  Get rid of erroneous test against
	axis_array[foo].timefmt (always evaluates as TRUE).

2013-06-07  Thomas Mattison  <mattison <at> phas.ubc.ca>

	* src/fit.c (regress):  Fit did not converge if maximum lambda was
	exceeded.  Add new message for this case.
	Patchset #230.

2013-06-07  Bastian Maerkisch  <bmaerkisch@web.de>

	More backports from version 4.7

	* src/fit.c (fit_command):  Always initialize variables which might be
	set by user variables.  This is necessary since user variables may be
	`undefine`d.

	* src/fit.c (backup_file):  Remove code path for Win32s.  Backup files 
	will not get overwritten.  Add error message for that case.

	* src/fit.c (fit_command):  Log file contained the wrong variable name
	for axis restrictions.  Reported by Victor Slabinski on gnuplot-bugs.

	* src/fit.c|h src/win/wgraph.c src/win/wtext.c:  Ctrl-Break interrupts
	fitting runs in wgnuplot.

	* src/win/winmain.c|h (WinRaiseConsole) src/fit.c src/win/wgraph.c
	src/wxterminal/wxt_gui.cpp: Consolidate code to raise console in new
	routine.

	* src/win/wprinter.c (PrintDlgProc):  Verify that printer info is actually
	available.
	Bug 1152.

	* src/win/wgraph.c (SaveAsEMF, CopyClip):  Turn off antialiasing during
	export to EMF or clipboard in order not to mix GDI and GDI+ calls.  See
	also change on 2012-07-25.

	* src/win/wgraph.c:  Recreate fonts after resizing the graph window.
	This bug causes the plot just to be scaled to the new size, without
	adjusting spacing/borders etc.
	Bugfix.

	* config/makefile.nt:  Superseded by msvc/Makefile. Removed.

2013-06-07  Bastian Maerkisch  <bmaerkisch@web.de>

	More backports from version 4.7

	* term/win.trm (WIN_options):  Validate argument to title option.

	* term/win.trm (WIN_filled_polygon): Filled polygon are always closed.
	Ignore the last corner if it's the same as the first one.

	* src/win/wgraph.c: Recreate fonts after resizing the graph window.

2013-06-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/wxterminal/wxt_gui.cpp (wxt_sigint_handler):  The wxt terminal
	deadlocks if connection to the X-server is lost (Bug #991).  Ctrl-C
	doesn't break the deadlock because this interrupt handler simply flags
	the signal and waits for the parent process to handle it.  Parent and
	child are thus waiting on each other -> deadlock.  Now we add a test
	for Ctrl-C arriving when the Ctrl-C flag is already set, and exit if
	it happens. Thus hitting Ctrl-C twice breaks the deadlock.
	Not great but better than hanging.
	Bug #991.

2013-05-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/wxterminal/gp_cairo.c term/cairo.trm term/context.trm term/wxt.trm:
	Calls to strncat were risking buffer overflow by not accounting for the
	terminating '\0'.  (backported from 4.7 patch 2012-11-29)

2013-05-23  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (get_data): Treating timedata columns as strings allows
	functions column(N) and column("HEADER") to work on time data.
	Bug #1161

	* src/qtterminal/QtGnuplotScene.cpp: Enhanced text elements were not 
	being added to the current display group, so they were ignored by the
	plot toggling operation.  Now they are handled like any other text.

	* src/graphics.c:  Fix two errors in the linetypes used by plot style
	columnstacked histograms.  The key sample ignored "newhist lt N" and
	also was off by one in the fillstyle used.  "set style increment user"
	caused an off-by-one error in the choice of initial line style.

2013-05-20  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/emf.trm:  It doesn't work to call EMF_setfont() before we
	enter graphics state.  Bugfix.

2013-05-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c:  Valgrind found a case where df_column[foo].position
	had never been initialized.  Boom.

2013-05-07  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm term/svg.trm:  The 4.6 canvas and svg terminals both 
	require additional information about axis layout in order to correctly
	provide mouse coordinates for inverted axes (axis_min > axis_max).
	This patch changes the output files produced by gnuplot 4.6 so that the
	same javascript mousing code works for both 4.6 and 4.7 output.
	Bug #1230

2013-04-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_tokenise check_missing):  Treat empty fields in
	a csv file as "missing" rather than "bad".  This allows generating
	stacked histogram plots from a csv spreadsheet of sparse data.

2013-04-22  Ethan A Merritt  <merritt@u.washington.edu>

	* src/wxterminal/wxt_gui.cpp (wxt_init):  Exit cleanly if initialization
	fails.

	* src/wxterminal/gp_cairo.c (gp_cairo_set_font):  Allow backslash ('\\')
	to be treated as an escape character in font names.  This can be 
	necessary if the font name contains a hyphen since otherwise it would be
	converted to a space.

	* src/qtterminal/QtGnuplotScene.cpp (processEvent):  Add pixmaps to
	current plot group so that image plots can be toggled.

2013-04-14  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/Makefile.in (gnuplot.info): Fix out-of-tree build (would
	break make distcheck, too).

2013-04-12  Tag Release_4_6_3

2013-04-12  Ethan A Merritt  <merritt@u.washington.edu>

	* src/stats.c:  Fix incorrect memory allocation for large matrices.

2013-04-11  Ethan A Merritt  <merritt@u.washington.edu>

	* Bump patchlevel to 3 so that we don't have a version mismatch
	between the linux and windows packages being distributed.

2013-04-10  Ethan A Merritt  <merritt@u.washington.edu>

	* term/pslatex.trm (EPSLATEX_set_color):  Revert a portion of the patch
	from 2013-01-08 (Tracker #1199).  Repairs overzealous removal of redundant
	color commands.  Bug #1185.

2013-04-08  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_image_or_update_axes)
	src/plot2d.c (refresh_bounds):  When refreshing images plots we must 
	recheck range limits on both x and y.

2013-04-07  Bastian Maerkisch  <bmaerkisch@web.de>

	Backports from 4.7 relevant for the Windows platform:

	* src/win/wgraph.c src/win/winmain.c|h (WinMessageLoop) src/win/wtext.c:
	Move Windows message handling from TextMessage() to new WinMessageLoop()
	and make it accessible in Windows console mode.

	* src/win/wtext.h (getchar): Make sure that getchar is defined.

	* src/win/wcommon.h src/win/wtext.c (TextShow) src/win/winmain.h
	src/win/winmain.c (WinWindowOpened, WinPersistTextClose)
	src/win/wgraph.c (WndGraphProc) src/wxterminal/wx_term.h
	src/wxterminal/wxt_gui.h src/wxterminal/wxt_gui.cpp (~wxtFrame, 
	wxtFrame::onClose, wxt_window_opened, wxt_atexit) src/plot.c (main)
	Revise handling of persist mode on Windows: Exit wgnuplot only after the
	last plot window (wxt or win) has been closed. The text window is only
	shown if "-" is given on the command line. No zombie wgnuplot process
	when closing a persistent wxt terminal window. Console gnuplot behaviour
	stays unchanged.
	Bug #3538762

	* src/plot.c (gnu_main) src/win/winmain.c (main): The Windows version
	used to handle the persist command line option in winmain.c. Moving
	it to plot.c ensures that the same options are supported on all
	platforms. See Bug #3538762

	* src/plot.c (main): Restore a code snippet for the Windows platform
	which got removed by accident on Feb 3rd. Fixes -persist mode on
	Windows.

	* src/win/wgraph.c (WndGraphProc), src/wxterminal/wxt_gui.cpp
	(wxtPanel::RaiseConsoleWindow), src/wxterminal/wxt_gui.h: 
	Implement space-raises-console for console mode gnuplot.

	* config/mingw/Makefile:  Extend use of VPATH which makes some explicit
	rules superfluous. Automatically create dependency .d files during
	build. Include current date in filenames of zip-file and installer for
	non-release builds. Remove long-unused WINDOWS variable.

	* win/gnuplot.iss win/README-Windows.txt win/README-Windows-ja.txt:
	Release 4.6.2

2013-03-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/QtGnuplotScene.cpp (processEvent):  Fix off-by-one
	iteration over visibility of plots after a zoom or other replot.

2013-03-22  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c (term_apply_lp_properties): A patch of 2013-01-08
	switched to always applying linetype color even if the use_palette
	flag was not set.  This broke the TERM_MONOCHROME setting on terminals
	that have it, as seen in the "test" command.
	Handle monochrome terminals as a special case.
	Bug #1225

2013-03-21  Mojca Miklavec  <mojca.miklavec.lists@gmail.com>

	* docs/Makefile.in: Remove nested @ symbols from Makefile

2013-03-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c src/misc.c (lp_parse):  The "fillcolor|fc" keyword
	in a plot command was not correctly parsed.

2013-03-17  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in: modify for use with current automake (1.12/1.13)

2013-03-14  Tag Release_4_6_2

2013-03-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c src/datafile.h src/plot2d.c src/plot3d.c:
	Issue a warning if a requested column header is not found in the
	data file being plotted.  Document that an exact match is required.

2013-03-10  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/lua.trm (LUA_Init): Better way of ignoring a return value.

	* src/graphics.c (do_plot): Type-correct enum usage.

	* src/color.c (cbtick_callback): Type-correct enum usage.

	* term/x11.trm (X11_options): Fix compiler warning about excess
	argument to fprintf().

	* src/plot3d.c (eval_3dplots): Type-correct enum usage.

	* src/plot2d.c (eval_plots): Type-correct enum usage.

2013-03-09  Dima Kogan  <dima@secretsauce.net>

	* src/plot3d.c (refresh_3dbounds):  Partial axis ranges, e.g. [*:MAX] or
	[MIN:*] were not being handled correctly when refreshing volatile data.

	* src/plot2d.c (refresh_bounds) src/plot3d.c (refresh_3dbounds):
	Extend degenerate range when refreshing.

2013-03-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c:  Allow a 2 columns only variant of "with yerrorbars".
	x is taken from column 0, y from column 1, yerror from column 2.

2013-03-01  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (refresh_bounds):  Partial axis ranges, e.g. [*:MAX] or
	[MIN:*] were not being handled correctly when refreshing volatile data.

2013-02-24  Ethan A Merritt  <merritt@u.washington.edu>

	* term/aquaterm.trm:  Revert patch of 24-Apr-2012 because it breaks
	rgbimage with aquaterm 1.1.  Reversion confirmed to fix the problem
	by Alexander Hansen of Fink.
	Bug #1188

2013-02-21  Ethan A Merritt  <merritt@u.washington.edu>

	*  src/plot.c:  The old test for whether a session was interactive 
	assumed that everything on the command line was either an input file
	name or an x11 option parsed by X11_args. This broke because
	(1) X11 is no longer the only interactive terminal.
	(2) There are options that occupy space on the command line but are
	not file names.  Some indicate non-interactive; some don't.
	Replace this test with one that only enters a non-interactive session
	if there are command line arguments that do not begin with '-' 
	(filename) or _do_ begin with '-e' (inline command).
	(Back-ported file plot.c from version 4.7)
	Bug #1212

2013-02-19  Ethan A Merritt  <merritt@u.washington.edu>

	*  src/graphics.c (boundary):  Rotated x-axis tic labels are set
	automatically to right justify, but this happens too late for the code
	that reserves space for them.  Test for this as a special case.
	Bugs 1204, 1209

	* src/wxterminal/wxt_gui.cpp (wxt_update_key_box):  Fix array overrun
	caused by many 'notitle' plot appearing before any titled plots.
	Bug 1211

2013-02-18  Christoph Bersch  <cbersch@users.sf.net>

	* src/graphics.c:  Draw the zero axis lines in the same front/back
	layer as the axis and grid lines.

2013-02-17  W. Trevor King  <wking@tremily.us>

	* configure.in src/datafile.c (df_open) docs/gnuplot.doc:
	New special file syntax  "<&N"  plots data read from an arbitrary file
	descriptor.  This allows setting up multiple input pipes to gnuplot
	when it is invoked from a shell.

2013-02-17  Craig DeForest  <deforest@boulder.swri.edu>

	* src/datafile.c (df_readbinary):  Add special case code to read in a
	uniform binary matrix in one large chunk rather than reading one matrix
	element at a time.  When piping a 2000x2000 RGB matrix under linux this
	speeds the input stage from about 9 seconds to about 2 seconds.

2013-02-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot.c:
	-d or --default-settings Skip reading gnuplotrc and ~/.gnuplot on entry.

	* src/plot.c:
	Don't assume that X11_args() is there to help parse command line options.
	Bug #3601907

2013-02-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c (invalid_command): When an invalid command is detected,
	advance the input parsing pointer (c_token) to the end of the command.
	Otherwise we're left in the middle of an invalid command after the
	error message is printed.

	* src/command.c (read_line):  Reset the token count to zero when
	starting to read a new line of input.  Otherwise if the read is
	interrupted by a mouse event requesting a replot then the internal
	state is not valid.  Test case:   cat | ./gnuplot      plot and zoom
	Bug #3602388

	* src/term.c (term_apply_lp_properties):  Always apply linetype color,
	even if the flag use_palette is not set.  Many terminals cope with this
	on their own, but not all of them (e.g. cairolatex).
	Bug #3599916

2013-02-08  Ethan A Merritt  <merritt@u.washington.edu>

	* util.c (gprintf):  Initialize output buffer so that an empty format
	does not leave an unitialized string.  Test case:
	set format "%B %b"; plot x

2013-01-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_timefmt):  Accept the new format as a string variable.
	Bug #3602057

2013-01-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/hidden3d.c:  Up until now hidden3d handled any pm3d surfaces as
	a collection of points, which did essentially nothing at all.  Now we
	treat them as invisible lines (LT_NODRAW) so that they can occluded
	other objects.
	This trick was already used in hidden2.dem but now it's built in.

2013-01-18  Ethan A Merritt  <merritt@u.washington.edu>

	* term/x11.trm:  Right- or Center- justified enhanced text was losing
	track of the font size.  This bug was evident in "key.dem".

2013-01-15  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c src/plot3d.c:  Downgrade detection of a trailing comma
	in a plot command to a warning rather than an error.  This allows more
	convenient re-ordering of multi-line plot elements when replotting.
	(Backport from 4.7)

2013-01-08  Ethan A Merritt  <merritt@u.washington.edu>

	* term/pslatex.trm (EPSLATEX_layer):  Reset current text color at the
	start of each layer's block of TeX output.
	Bug #3599916

2013-01-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot.c (main): Unbuffered stdin is needed for readline even if
	X11 is not configured, as suggested in the comment added in 2004.

2013-01-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (do_polygon): Skip degenerate polygons (fewer than 2
	vertices).

2013-01-04  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c (replotrequest):  #ifdef VOLATILE_REFRESH is needed with
	./configure --disable-volatile-data

2012-12-27  Daniel J Sebald <daniel.sebald@ieee.org>

	* configure.in:  Repair shell syntax used to control the definition
	of CC and CXX for cross-building.

2012-12-27  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/emf.trm:  Adjust vertical centering of characters to match 
	current font size.

2012-12-19  Olaf Booij  <obooij@users.sourceforge.net>

	* src/graph3d.c:  In 3D plots with 'set view equal xyz' the point about
	which zoom operates should be in the middle of the screen, not at z=0.

2012-12-18  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c (enhanced_recursion):  Depending on the terminal type and
	the current encoding, improper enhanced text syntax could cause anything
	from garbage text to a segfault:
	  set termopt enhanced; 
	  set label "~"; plot [0:1][0:1] '+' using 1:1:("~^") with labels
	Bugfix

	* src/gplt_x11.c:  Change the fallback font string used when the current
	encoding is UTF-8 (iso10646-1) or when all else fails (iso8859-1).  This
	is admitted biased towards English as a default, but the previous string
	(*-*) does not work for common recent x11 implementations.

2012-12-16  Ethan A Merritt  <merritt@u.washington.edu>

	* term/post.trm (set_font): quick fix to redefine vshift every time the
	current font size changes. A better fix would query the font internally.
	The failure to do this led to poor vertical centering of text using any
	font other than the default, and bad key box layout for small key fonts.

	* term/svg.trm (set_font): Similar fix for svg.

	* src/wxterminal/gp_cairo.c (gp_cairo_draw_text): and for wxt.

2012-12-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c:  If a data column requested by name is not found,
	treat it as undefined (DF_UNDEFINED) rather than terminating data input
	with int_error().  This makes the treatment of named columns more like
	that of numbered columns.
	Bug #3595672

2012-12-02  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm:  Background color 0x0 was incorrectly interpreted as
	"none" rather than "black". Bugfix.

2012-11-20  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c:  Truncate requested column number to maximum sane
	value. This prevents a segfault on "plot $foo using 1 title column(999)"

2012-11-15  Ethan A Merritt  <merritt@u.washington.edu>

	* src/tabulate.c:  Fix the hexadecimal format used to output RGB color

	* term/canvas.trm term/js/canvasmath.js:  Backport updates from 4.7

	* src/gplt_x11.c:  Depending on the order of linetype changes, the
	code could fail to reset the current linewidth.
	Bug #3348942

2012-11-12  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (plot_option_using):  The check for a format spec given
	after the list of columns  (e.g.  plot FOO using 1:2 "%lf; %lf") was
	lost in a code reorganization, so it was missing in 4.6.0 and 4.6.1.
	Restore it.  Bug #3586441

	* src/plot2d.c (check_or_add_boxplot_factor): Fix memory leak.

2012-11-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (parse_color_name):  If the expression term in
	`linecolor rgb <expression>` is not interpretable as a color name or 
	hexadecimal string "#AARRGGBB" then treat it as an integer representing
	AARRGGBB.

2012-11-08  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c (gen_tics):  Axis tic labels provided by the user as string
	constants were arbitrarily truncated to MAX_ID_LEN before printing.
	No truncation is necessary.
	Bug #3585182

2012-11-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/util.c (gprintf): Ever since the gprintf routine was added
	(sometime before version 3.7) the count parameter that should limit how
	many characters are written on output has been silently ignored.
	Obviously this can lead to buffer overflows, the simplest case being a
	format consisting of a string constant with length > MAX_ID_LEN.
	Revise gprintf() to use snprintf() and safe_strncpy() throughout.
	Bug #3577439

2012-11-01  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/qt_term.cpp src/qtterminal/QtGnuplotScene.cpp
	src/qtterminal/QtGnuplotWidget.cpp:  Fix mouse tracking and resize
	events for persistent qt windows.

2012-10-31  Ethan A Merritt  <merritt@u.washington.edu>

	* src/parse.c (parse_reset_after_error) src/parse.h src/util.c:
	Error exit from inside try_to_get_string() left the internal flag for
	string parsing in an incorrect state.  Provide a reset routine.
	Example of original bug:	stats file"
					print 1+2
					       ^ ';' expected

2012-10-30  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c: Fix a coding error, (sizeof((char *)buf) rather than
	(strlen((char *)buf)), that can cause a buffer overrun on 64-bit
	machines.  Found by valgrind.

2012-10-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c: Save axis scaling for 3D 'set view map' plots so
	that outboard drivers can continue mousing in -persist mode.

2012-10-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/mouse.c src/mouse.h src/mousecmn.h:  Allow the "bind" command to
	attach a user command to mouse button 1, at least for 2D plots.

2012-10-22  Ethan A Merritt  <merritt@u.washington.edu>

	* term/xlib.trm: Reset X11_ipc when xlib terminal exits; otherwise a
	subsequent "set term x11" fails to send output to gnuplot_x11.

2012-10-19  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c (do_string_and_free):  The "exit" command was not working
	inside a bracketed clause.  Bug #3576439

2012-10-15  Ethan A Merritt  <merritt@u.washington.edu>

	* term/gd.trm (set_font): The libgd terminals were failing to 
	notice a change in font size sent by set_term(",newsize")
	Bugfix (old bug!)

	* term/canvas.trm (set_font); Minimal set_font routine for canvas
	terminal. All it does at this point is change or restore the font size.

	* src/term.c (term_start_multiplot): The calculation of vertical space
	required for a plot title depends on term->v_char, which in turn depends
	on the font used for the title. Bugfix.

2012-10-14  Ruediger Haertel  <haertel@users.sourceforge.net>

	* src/term.c (term_start_multiplot) docs/gnuplot.doc:
	Add enhanced/noenhanced option to "set multiplot title".

2012-10-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/qt_term.cpp (qt_set_font):  term->set_font("")
	must restore the default terminal font and size.
	Bugfix.

	* src/qtterminal/qt_term.cpp: Improved font metrics.

2012-10-13  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c:  Suppress drawing of a degenerate keybox when
	"set key box" but no plot titles.  Bugfix.

	* src/graph3d.c src/show.c:  "set zlabel rotate parallel" should have
	the same effect as "set zlabel rotate".  Bugfix.

2012-10-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/QtGnuplotWidget.cpp (exportToSvg):
	Restrict svg output size to scaled viewport.  This gets rid of the
	oversize border around a plot exported from the qt terminal to svg.
	Empirical fix, results not guaranteed!
	Bug #3573897

2012-10-09  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c src/unset.c src/term_api.h:
	Consistent with the documented generic meaning of "unset", the command
	"unset terminal" now restores the default terminal present at program
	entry.  I.e., it is equivalent to "set terminal GNUTERM".

2012-09-30  Tag Release_4_6_1

2012-09-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c: Fix bug preventing explicit assignment of color
	sequence in stacked histograms.

	* src/datafile.c src/util.c (streq) src/util.h:  New utility function
	streq(char *a, char *b) returns TRUE if a and b are identical save for
	leading and trailing whitespace.  Use this for matching requested string
	labels in a using spec to the actual column header text in a data file.
	Bug #3571243

	* src/axis.c src/axis.h src/mouse.c src/plot2d.c src/util.c:
	Allow zooming of plots that originally had an explicit range in the
	plot command.

2012-09-22  Ethan A Merritt  <merritt@u.washington.edu>

	* lisp/configure.in docs/Makefile.in:
	Backport emacs+info build configuration from 4.7

2012-09-20  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c: valgrind found a code path in which the key placement
	was never initialized.

2012-09-18  Ethan A Merritt  <merritt@u.washington.edu>

	* lisp/gnuplot.el: elisp is now getting serious about a syntax change
	announced 10+ years ago.   s/(` (/`(/

	* lisp/configure.in lisp/Makefile.am:  The autoconfigure scripting for
	the lisp directory is failing when $(EMACS) is redefined by the user.
	But the failure is only relevant to testing/patching info-look.el for
	very old versions of emacs.  Deal with it by simply assuming that
	everyone has an emacs version newer than 20.3 and therefore no patching
	is needed.

	* src/graphics.c:  Incorrect default layout of rotated xtic labels.
	Bug #3568817

2012-09-13  Ethan A Merritt  <merritt@u.washington.edu>

	* term/PostScript/prologue.ps term/post.trm:
	Handle transparent fill patterns in PS_fillbox() in the same way
	as is already done in PS_filled_polygon().
	Bug #3567035

	* src/eval.c (fill_gpval_axis):  Do not swap axis min/max values when
	storing them for later mousing calculations by the canvas, svg, and
	other terminals.  Fixes bug in the mouse readout from reversed axes.

2012-09-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c:  Index histogram stacks using the point's index rather
	than its x coordinate. Fixes rowstacked histogram array overflow.
	Bug #3566662

2012-09-07  Mojca Miklavec  <mojca.miklavec.lists@gmail.com>

	* configure.in src/Makefile.am src/qtterminal/QtGnuplotWidget.cpp 
	src/qtterminal/QtGnuplotWidget.h src/qtterminal/qt_term.cpp
	src/qtterminal/qt_term_mac.m src/qtterminal/QtGnuplotScene.cpp:
	Backport recent OSX-related Qt modifications from 4.7 to 4.6.1.

2012-09-07  Thomas Orgis  <sobukus@users.sourceforge.net>

	* src/qtterminal/QtGnuplotApplication.cpp src/wxterminal/wxt_gui.cpp:
	The wxt and qt terminals handle -persist by continuing execution of a
	forked thread after the main thread has exited.  However, anyone waiting
	on the main thread won't see it as finished unless the stdout and
	stderr streams inherited by the continuing process are closed.
	Bug #3309277

2012-09-06  Ethan A Merritt  <merritt@u.washington.edu>

	* Bump version to 4.6.1 in preparation for release

2012-09-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/tabulate.c:  Output a column for variable color if it is used 
	in the plot command.

	* src/datafile.c src/datafile.h src/plot2d.c src/tabulate.c:
	Blank lines separating datasets in an input file were stored as an
	UNDEFINED point but not otherwise marked. This patch introduces a
	recognizable (struct coordinate)blank_data_line that is stored when
	a blank line is encounted. This means that when writing the data back
	out via "set table" the separation between data sets can be maintained.
	Bug #3553151

2012-09-04  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/emf.trm:  Revise the object-handling code so that the current
	brush or pen is deselected before being deleted and recreated.
	Defer application of new dash+color line properties until needed for a
	new line segment.

2012-09-04  Ethan A Merritt  <merritt@u.washington.edu>

	* term/emf.trm: Seek to the beginning of the output file after plotting.
	If a user mistakenly tries to place two plots in the same file, the 
	second will cleanly overwrite the first rather than corrupting it.

2012-08-31  Ethan A Merritt  <merritt@u.washington.edu>

	* term/emf.trm:  Fix dashed line support (broken for a looong time).

	* term/emf.trm (EMF_set_font): (thanks to Shige Takeno) The intended
	optimization to prevent redundant requests for the same font was not
	implemented correctly.  This change fixes it so that a new font request
	is ignored if it would reapply the current font.

	* src/unset.c: "unset object N" succeeds even if there is no object N

2012-08-27  Ethan A Merritt  <merritt@u.washington.edu>

	* src/contour.c:  Invoke CheckZero() when automatically choosing contour
	levels.  The need for this check can be seen in contour.dem plots 19-21.

2012-08-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (do_key_layout): The height of opaque fill for the key
	box must be adjusted to allow for superscripts/subscripts in the title.
	Bug #3556892

2012-08-23  Thomas Gaillard <tgaillard@users.sourceforge.net>

	* src/interpol.c:  Mean and sigma of kernel density function were
	incorrectly calculated.
	Bug #3519563

2012-08-22  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c:  Clip over-wide key box to left edge of plot.
	Bug #3560531

2012-08-11  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/Makefile.in:  Remove dependency on emacs for "make install"
	in the docs subdirectory.  If no emacs is available, skip installation
	of the site-lisp files.
	Bug #3528377

2012-08-07  Mojca Miklavec <mojca.miklavec.lists@gmail.com>

	* term/aquaterm.trm:  Revised test for transparency support to match
	the implementation in AquaTerm version 1.1.1

2012-08-03  Ethan A Merritt  <merritt@u.washington.edu>

	* term/pslatex.trm (EPSLATEX_set_color):  Some cairolatex set_color
	requests were being incorrectly ignored.
	Bug #3553940

2012-08-02  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm term/svg.trm: Since we now support time to
	millisecond precision, the bounds of a time/date axis need to be
	written out using %.3f rather than %g.
	Bug #3548932

	* src/misc.c (load_file): The multiline bracketed clause handling adds
	trailing newlines to the input.  It is essential to check and extend the
	input buffer if needed before doing this.
	Bug #3549386

	* term/gd.trm: Restore the deprecated syntax "set term png xRRGGBB" for
	setting the PNG background color in 4.6.1, since the manual still lists
	it.  But it will definitely go away in 4.7.
	Bug #3551340

2012-07-25  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (drawgraph):  Check if the printer driver can
	actually do transparency (AlphaBlend). Fixes printing of transparent
	filled polygons and boxes.
	See bug #3503318

2012-07-24  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/standard.c (f_asin, f_asinh): The patch of March 2011 got the
	overall sign wrong in the (x == 0.0) case.
	Bug #3542862

2012-07-18  Ethan A Merritt  <merritt@u.washington.edu>

	* src/standard.c (f_acos): acos(x) was returning the complex conjugate
	of the correct result for complex input x with imag(x) > 0.
	Bug #3542862

	* src/parse.c (set_up_columnheader_parsing):  Take the column header 
	from the second using spec (normally the Y coordinate) to satisfy
	set key autotitle columnhead;  plot 'data' using "X":"Y"
	Bug #3542065

	* src/datafile.c (plot_option_using):  Track the appropriate column
	header when the column is specified via a non-string variable; e.g.
	plot for [i=1:N] 'data' using 1:(column(i))
	Bug #3542065

2012-07-18  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/win.trm (WIN_options): Specifying only the font size (ie. ",8")
	would overwrite the font name with a bogus string. Bug fix.

2012-07-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/hidden3d.c (draw_edge): Fix broken tracking of top/bottom color
	distinction in hidden3d plots when the line colors are not specified in
	palette or RGB mode.
	Bugfix

2012-07-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/QtGnuplotScene.cpp (wheelEvent)
	src/wxterminal/wxt_gui.cpp (OnMouseWheel):
	Pass current mouse position in the structure for mouse wheel events.

2012-07-04  Ethan A Merritt  <merritt@u.washington.edu>

	* src/pm3d.c (z2cb):  After "set log cb", z2cb(x) was returning 0 for
	x<=0 rather than -inf.  This causes it to be mistaken for the logged
	value of x=1.  Now we return CB_AXIS.min instead.
	Bug #3540048

2012-07-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c (draw_3d_graphbox): Rather than treating the position
	of the z-axis label as a fixed 3D [x,y,z], always draw it at a fixed
	distance to the left of the z axis.  This is a CHANGE in behavior.
	Bug #2879916

	* src/qtterminal/QtGnuplotScene.cpp: Set Z value of zoom box to a
	large value so that it is not occluded by plot elements.

	* src/datafile.c (df_readascii): If the first line in a data file 
	contains column headers (strings to be used as titles), then that line
	should be ignored when applying the "plot ... every N:M(:N1:M1)" filter.
	Bug #3438848

2012-06-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (eval_plots):  Zero is often a special point in a
	function domain.  Make sure we don't miss it due to round-off error.
	Bug #3519079

2012-06-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c:  plot ... using "a":"b" was not setting the 
	parse_1st_row_as_headers flag.  Bug #3536514

2012-06-13  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/mingw/Makefile config/msvc/Makefile:  Include
	templates for initialization files in distribution.

	* src/win/wgraph.c (drawgraph): Do not try to detect color capabilities
	of printers. When drawing to a printer, scale line widths to match the
	widths on screen and fix placement of super- and subscripts.
	Bug #3503318

2012-06-12  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_readascii):  Bugfix for label plots using column 0
	to generate text. E.g. plot foo using 1:2:(sprintf("%d",$0)) with labels

2012-06-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/tabulate.c:  Allow tabulation (set table) of pixel values for
	IMAGE RGBIMAGE RGBA_IMAGE.

2012-06-01  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (box_range_fiddling):
	Autoscaling + auto-boxwidth + log scale on x = fail.
	Bug #3529285

2012-05-30  Ethan A Merritt  <merritt@u.washington.edu>

	* term/pslatex.trm: More helpful error message if output filename
	is not acceptable.
	Bug #3529832

	* src/interpol.c (cp_implode): This routine was not preserving the z
	value (used as a weight by smooth acsplines) of input data points.
	Bug #3529621

2012-05-20  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wcommon.h src/win/wgnuplib.h src/win/wgraph.c: Remove limit
	on number of plots which can be toggled on/off via key entries.
	Maximum number of toolbar buttons still restricted to MAXPLOTSHIDE.
	Bug #3516417

2012-05-17  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/faq-ja.tex docs/gnuplot-ja.doc man/gnuplot-ja.1:
	Sync with English FAQ rev. 1.48 and documentation rev. 1.701.2.14.

2012-05-13  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c (do_arc) src/graphics.c (do_ellipse):  Clip the filled
	interior of circles and ellipses.
	Bug #3522515

	* docs/gnuplot.doc src/graphics.c (do_rectangle):  Establish a clipping
	behavior for rectangles - clip to fit in the graph unless one or both
	corners are given in screen coordinates.

2012-05-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/wxterminal/wxt_gui.cpp (wxt_cairo_refresh):  Execution of the
	command list must be protected by command_list_mutex or it will blow up
	if the command list is cleared/replaced during execution.
	Bug #3371205

	* src/graphics.c: allow log-scaled y axis when plotting with fillsteps
	Bug #3324785

2012-05-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (lf_push lf_pop) src/misc.h:  The lf_push/lf_pop mechanism
	for restoring context after a "call" statement was saving the individual
	call args $0 $1 etc, but failing to save the number of active args.
	Bug #3525155

2012-05-08  Ethan A Merritt  <merritt@u.washington.edu>

	* CodeStyle config/Makefile.am.in configure.in demo/Makefile.am.in
	 lisp/Makefile.am m4/Makefile.am.in Makefile.am man/Makefile.am
	 share/LaTeX/Makefile.am share/Makefile.am src/Makefile.am
	 src/qtterminal/Makefile.am src/version.c src/wxterminal/Makefile.am
	 term/Makefile.am.in tutorial/Makefile.am.in:

	 Automake 1.12 removes support for the AM_C_PROTOTYPES macro and for
	 conversion of ANSI C code to K&R C code.  Gnuplot's CodeStyle file has
	 warned since version 3.7 that gnuplot would drop support for ansi2knr
	 "very soon".  Now 12+ years later the other shoe has dropped.
	 
2012-05-07  Ethan A Merritt  <merritt@u.washington.edu>

	* term/cairo.trm term/pslatex.trm: Fix 'set term cairolatex pdf mono'
	Bug-Debian: http://bugs.debian.org/668339

2012-05-06  Anton Gladky <gladky.anton@gmail.com>

	* src/command.c: Fix segfault in initial check of history when using
	--with-readline=bsd
	Bug-Debian: http://bugs.debian.org/665832

	* src/plot.c: EAM - avoid calling buggy libedit emulation of
	using_history().
	Bug-Debian: http://bugs.debian.org/598547

2012-05-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c term/estimate.trm:  Rename utf8_strlen to utf8_strwidth
	to avoid name collision.

	* src/internal.c (f_strlen f_range) src/util.c (strlen_utf8 gp_strlen)
	(utf8_strchrn gp_strchrn) src/util.h:  Fix gnuplot's user-visible
	string handling routines strlen() and substr() so that they handle
	multibyte UTF-8 characters correctly.  I.e. strlen() returns the number
	of characters, not the number of bytes.  Other multi-byte encodings are
	not handled, however.
	Bug #3480075

2012-05-04  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c(set_command) src/command.c(do_command):  Test for empty
	iteration loop in "set for ..." and "do for ..." commands.

2012-04-27  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm:  Prevent illegal characters from being generated as 
	subplot ids if there are more than 30 subplots in a multiplot.

2012-04-26  Jon Oddie  <joddie@users.sourceforge.net>

	* docs/doc2texi.c: Two bug fixes
	Cleaner code to determine which term files to read in d2t-get-terminals.
	Fix code for uniquifying duplicate node names.

	* configure.in docs/Makefile.in docs/doc2texi.c:
	Create an Emacs Lisp file of documentation strings extracted from the
	syntax descriptions in gnuplot.doc. Gnuplot-mode can then optionally
	display these strings as automatic one-line documentation while editing,

2012-04-24  Mojca Miklavec <mojca.miklavec.lists@gmail.com>

	* term/aquaterm.trm:  Clip images to bounding box. Reset line type
	at the start of each plot.

2012-04-20  Michael Reeves  <mgreeves@users.sourceforge.net>

	* src/graphics.c: Improved calculation of the margin space needed to
	hold rotated x and x2 tic labels.  backported fix for Bug #3482491

2012-04-20  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm: backport recent changes (UTF-8 character set,
	precision of point coordinates).

2012-04-18  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm: The svg code refers to CANVAS_OVERSAMPLE when it should
	refer to SVG_SCALE.  Fortunately they both equal 10.

2012-04-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (load_file):  If the input file did not end in a newline,
	the test for balanced {} occurred too early, causing a false error if
	the final partial line did in fact contain the required }.
	Bug #3518476

2012-04-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_readbinary):  Check for NaN in binary input.

2012-04-08  Ethan A Merritt  <merritt@u.washington.edu>

	Backport various minor additions from 4.7

	* src/term.c src/svg.trm:  Backport fix for toggling multiplots.

	* src/breaders.c src/datafile.c src/datafile.h src/plot2d.c
	src/plot3d.c src/stats.c:
	Try to report the name of the datafile in which an error was found.
	Handles plot, splot, and stats but not fit.

	* src/wxterminal/wxt_gui.cpp: Support horizontal mouse scroll
	(needs wxt 2.9.0).

	* src/gplt_x11.c: (Colin Macdonald) Set WM_CLASS to "Gnuplot" for the
	benefit of various window managers.

2012-04-08  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (iso_alloc iso_extend):  Initialize each 3D coordinate
	structure on allocation.  Fixes problems found by valgrind and easily
	seen by running imageNaN.dem.

2012-04-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c (copy_or_invent_formatstring):  Expansion to many decimal
	places of precision is not necessary if the axis range spans 0, because
	in that case exponential notation can be used instead.
	Bug #3514604

2012-04-01  Hannes Nagel  <hannes.nagel@itp.uni-leipzig.de>

	* term/lua.term: Do not create external png images if they are not 
	going to be used in the tex document.

2012-03-31  Ethan A Merritt  <merritt@u.washington.edu>

	* src/pm3d.c term/post.trm term/pslatex.trm src/term_api.h src/color.c:
	The core code should not write terminal-specific output.  Instead define
	TERM_LAYER_BEGIN_PM3D_MAP and TERM_LAYER_END_PM3D_MAP and use the 
	term->layer() mechanism.  This prevents garbage from being written out
	to the cairolatex terminals in pm3d mode.
	Bug #3513291

2012-03-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/wxterminal/gp_cairo.c (gp_cairo_draw_polygon): Always stroke
	previous path before starting a new polygon.  Also, dots are slow.
	Only draw them if specifically requested.
	Bug #3512955

2012-03-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c (enhanced_recursion): Revised handling of backslash
	character in enhanced text processing.
	Bug #3496517

2012-03-16  Ethan A Merritt  <merritt@u.washington.edu>

	* term/post.trm term/svg.trm:  
	Do not allow execution of popen() commands during initialization.

2012-03-08  RELEASE 4.6.0

2012-03-04  Ethan A Merritt  <merritt@u.washington.edu>

	* src/wxterminal/wxt_gui.cpp: Backport CVS fixes for toggling plots
	on/off in multiplots and to limit the toggle effect to the contents
	of the current plot.

2012-03-03  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/doc2ipf.c (process_line): Don't use assert() because it calls
	int_error().

2012-03-02  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.os2: version.o is required for gnuplot_x11.exe.

2012-03-02  Ethan A Merritt  <merritt@u.washington.edu>

	* PATCHLEVEL configure.in README.1ST INSTALL FAQ:
	Update for 4.6.0

	* docs/gnuplot.doc: Point to www.gnuplot.info as the URL for all demos.

	* src/show.c src/plot.c config/mingw/Makefile:  
	Enable code that was marked RELEASE_VERSION;
	disable alternative code by marking it DEVELOPMENT_VERSION.

2011-02-29 Bastian Maerkisch  <bmaerkisch@web.de>

	* win/gnuplot.iss: Prepare for 4.6 release.

	* config/mingw/Makefile: New target 'zip' for zip file distribution.

2012-02-25  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in tutorial/tutorial.tex:  Update latex tutorial for version
	4.6 but do not install it by default.

2012-02-25  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/command.c src/misc.c src/plot.c src/plot.h:
	Unterminated blocks (i.e. missing }) in batch mode caused the program
	to erroneously wait for further input or - when commands were streamed
	through a pipe - crash. Fix: display appropriate error message instead.
	Bug #3491904

2012-02-22  Ethan A Merritt  <merritt@u.washington.edu>

	* src/stats.c: Remove order-dependence of keywords.
	Bug #3491215

2012-02-21  contributed anonymously

	* src/term.c (do_arc): Arcs smaller than 3 degrees were being
	reduced to a single line.  Bug #3490227.

2012-02-21  David Leverton  <dleverton@users.sourceforge.net>
	
	* src/graphics.c (edge_intersect):  Fix a bug that failed to draw a
	pure horizontal or vertical line from out of range that crossed the
	entire range of a plot to terminate on the boundary.
	Bug #3488666

2012-02-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c src/graphics.c:  The histogram code was not designed to 
	mix well with other plot styles, and in particular with function plots.
	Fixes segfault on "plot 1, newhistogram illegal-syntax, foo".
	Fixes Bug #3486639 (key entry spacing of histograms + something else)

2012-02-09  Ethan A Merritt  <merritt@u.washington.edu>

	* term/wxt.trm src/term_api.h src/term.c src/qtterminal/qt_term.cpp
	src/wxterminal/wxt_gui.cpp: Switching the terminal from qt to wxt or
	vice versa causes the program to lock up or segfault.  Introduce a flag
	terminal_interlock to prevent such a switch.

2012-02-08  Jérôme Lodewyck  <lodewyck@users.sourceforge.net>

	* src/qtterminal/QtGnuplotItems.h src/qtterminal/QtGnuplotItems.cpp:
	Fixed the const-ness of QtGnuplotKeybox members.

2012-02-06  Thanate Dhirasakdanon  <dthanate@users.sourceforge.net>

	* term/lua.trm: Compatibility wrapper functions to support both lua 5.2
	and earlier versions.

	* term/lua/gnuplot-tikz.lua: "tightboundingbox" option didn't match docs.

2012-02-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c: Remove error test that could not be reached in the DATA
	case and is incorrect in the FUNC case.

2012-01-30  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c term/linux.trm:  Provide a 5x9 raster font for linux.trm
	and svga.trm so that they are not dependent on --with-bitmap-terminals.
	Bug #3481336

2012-01-29  Ethan A Merritt  <merritt@u.washington.edu>

	* term/cairo.trm:  Make the font scale handling more like pdf and eps.
	Bugs #3478745 #3480006

2012-01-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c:  If there is no key title, there is no need to draw a
	line between the title and the key samples.
	Bug #3478984

2012-01-25  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot-ja.doc docs/term-ja.diff:
	Sync with English documentation.

2012-01-22  Tag Release_4_6_rc1

2012-01-17  Jérôme Lodewyck <lodewyck@users.sourceforge.net>

	* configure.in src/Makefile.am src/qtterminal/Makefile.am
	src/qtterminal/QtGnuplotApplication.cpp
	src/qtterminal/QtGnuplotApplication.h src/qtterminal/QtGnuplotEvent.cpp
	src/qtterminal/QtGnuplotEvent.h src/qtterminal/gnuplot_qt.cpp
	src/qtterminal/qt_term.cpp term/qt.trm: The Qt terminal application is
	executed in a separate executable called gnuplot_qt, started by exec.
	This makes the Qt terminal compatible with OS X.

2012-01-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/eval.c (update_plot_bounds):  Store the canvas size used by
	the previous plot in user accessible variables GPVAL_TERM_XSIZE,
	GPVAL_TERM_YSIZE.

2012-01-15  Mojca Miklavec <mojca.miklavec.lists@gmail.com>

	* src/mouse.c (event_buttonpress): Treat mouse buttons 6/7 as
	left/right scroll events (e.g. from fingers on a touchpad).

	* src/qtterminal/QtGnuplotScene.cpp (mouseReleaseEvent):  Pass
	horizontal scroll events through to gnuplot core as mouse events 6/7.

2011-01-15 Bastian Maerkisch  <bmaerkisch@web.de>

	* config/config.mgw: Sync with configure.

2011-01-14  Bastian Maerkisch  <bmaerkisch@web.de>

	Installer for Windows. Japanese translation by Shigeharu Takeno.

	* win/gnuplot.iss win/modpath.iss: Installer script to be compiled by
	Inno Setup. New files.

	* win/Copyright-ja.txt: Japanese translation of Copyright, includes
	original text. Encoding is Shift-JIS.

	* win/README-Windows.txt win/README-Windows-ja.txt: New files, 
	displayed by installer before installation. Based on Tatsuro Matsuoka's
	README.Windows.gpteam and README.

	* config/mingw/Makefile: New make target 'installer'.

	* Makefile.am (EXTRA_DIST): Include win/

2011-01-14  Bastian Maerkisch  <bmaerkisch@web.de>

	* tutorial/linepoin.plt: Avoid deprecated syntax.

	* config/mingw/Makefile config/msvc/Makefile src/plot.c:
	GNUPLOT_SHARE_DIR is relative to gnuplot directory on Windows.
	Extend build support for documentation, include in installer.

2012-01-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/util3d.h src/util3d.c (edge3d_intersect two_edge3d_intersect) 
	src/graph3d.c (plot3d_lines_pm3d):  The utility routines in util3d
	assumed that a 3D curve is always traversed in ascending order of the
	constituent points.  But plot3d_lines_pm3d scans in both directions,
	leading to incorrect clipping and possible array over-run when the
	utility routines were called.  Furthermore, the arrays holding the
	scan direction info were never initialized.
	Bug #3471163

2012-01-08  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot.c:  Allow shell commands from ~/.gnuplot but not from shared
	initialization files.

	* configure.in: Report status of aquaterm configuration correctly
	(Lutz Maibaum).

2012-01-07  Jérôme Lodewyck <lodewyck@users.sourceforge.net>

	* src/qtterminal/QtGnuplotScene.cpp: Normalize the zoom rectangle to avoid
	redrawing artifacts

2012-01-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (lf_pop): If the current input stream from "load file" is
	really a pipe, close it with pclose() rather than fclose().
	Bug #3470351

2012-01-07  Jérôme Lodewyck <lodewyck@users.sourceforge.net>

	* src/qtterminal/QtGnuplotScene.cpp: Normalize the zoom rectangle to avoid
	redrawing artifacts

2012-01-05  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in src/Makefile.am: Tweak autodetection of Qt utilities to
	handle differences in the Qt 4.6 and 4.7 pkg-config files.

	* src/set.c: Call gp_expand_tilde() in 'set loadpath' and 'set fontpath'.

2012-01-04  Ethan A Merritt  <merritt@u.washington.edu>

	* src/hidden3d.c: Fix an uninitialized colorspec found by valgrind.
	The trigger was hidden3d handling of '... with labels tc palette'.

2012-01-02  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in term/qt.trm
	In src/qtterminal: QtGnuplotEvent.cpp QtGnuplotEvent.h
	QtGnuplotItems.cpp QtGnuplotItems.h QtGnuplotScene.cpp
	QtGnuplotScene.h QtGnuplotSettings.ui QtGnuplotWidget.cpp
	QtGnuplotWidget.h qt_term.cpp qt_term.h README.Qt:
	Update qt terminal to support pointsize, dashed lines, round linejoins,
	term->layer(), LT_BACKGROUND, mouse toggling, faster rendering.

2012-01-01  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/QtGnuplotApplication.cpp (processEvent):
	* src/wxterminal/wxt_gui.cpp (wxt_atexit):
	In "persist" mode, if all qt plot windows were already closed when the
	main program exited then the daughter process would become a zombie.
	Even worse for wxt; if _any_ plot windows had been closed then the 
	persisting daughter process would become a zombie.
	Bugfix.

2011-12-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot.c src/plot.h src/qtterminal/qt_term.cpp:
	Provide a function cancel_history() that can be called by terminal
	helper processes after forking so that the history file isn't 
	trashed on exit.
	Bug #2950711

	* docs/gnuplot.doc:  Minor updates to match 4.6 configuration.

2011-12-28  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc share/Makefile.am share/colors_default.gp
	share/colors_mono.gp share/colors_podo.gp share/gnuplotrc
	src/Makefile.am:
	Provide template initialization files, including examples of customizing
	the linetype color sequence.  These are installed in $GNUPLOT_SHARE_DIR
	(usually /usr/local/share/gnuplot/4.6).

	* src/command.c src/datafile.c src/help.c src/history.c src/misc.c
	src/plot.c src/plot.h src/term.c src/variable.c:
	Do not allow execution of system(), shell, or popen() commands in the
	initialization files.

	* src/plot.c src/show.c: More compact splash page.

	* src/graphics.c src/graphics.h src/graph3d.c:
	Strangely, the final parameter of place_objects(,,,clip_area) was
	(1) never used and (2) shadowed a global parameter that _was_ used.
	Bug #3426247

	* configure.in: Default to --enable-stats --without-bitmap-terminals

	* configure.in PATCHLEVEL: Report as version 4.6.rc1

2011-12-25  Ethan A Merritt  <merritt@u.washington.edu>

	* src/qtterminal/QtGnuplotEvent.cpp src/qtterminal/QtGnuplotScene.cpp:
	If two button release events occur in quick succession then the program
	messes up the event handling and winds up in a non-recoverable state.
	Apply an empirical fix to ignore events in a 300 msec window.
	Also rather than ending up a zombie, exit explicitly on a sync error.
	Bugfix

2011-12-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c:  The default sequence of histogram colors was one off
	from the default sequence of line colors.  Bugfix.

2011-12-11  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/config.nt config/config.mgw: Sync with config.h created by
	autoconf.

	* src/msvc/Makefile: More complete install target. Add new variables
	to hold paths to external libraries.

	* src/mingw/Makefile: Include index in gnuplot.pdf. Support building
	of the Japanese help file wgnuplot-ja.chm.

	* src/eval.c (update_gpval_variables): New variable GPVAL_ENCODING.

	* term/gd.trm (gd_iconv): Silence const mismatch compiler warning
	in call to iconv by casting second argument to (void *).

	* src/syscfg.h: All tested platforms (XP, Vista, 7) support '/' as
	directory separator.

	* src/win/winmain.c: Automatic language detection can be overridden
	by new setting "Language=XX" in wgnuplot.ini. Suggestion by Shigeharu
	Takeno.

	* src/win/wpause.c: Remove local definition of TBOOLEAN.

	* docs/plotstyles.gnu: Prefer pngcairo over png terminal. Use font
	"Times New Roman" on Windows.

	* demo/random.dem: Use loops to create random number data sets.

2011-12-08  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc docs/Makefile.in term/context.trm docs/doc2rnh.c:
	Miscellaneous documentation updates, remove dead URLs.

	* configure.in docs/gnuplot.doc src/plot.c src/show.c
	config/config.cyg config/config.dj2 config/config.mgw config/config.nt
	config/config.os2 config/config.oww config/makefile.unx:

	Despite what it says in the documentation, and despite what the
	configure script prints out, auto-configuration never defined the
	NOCWDRC flag to disable reading an initialization file .gnuplot
	from the current directory.  This is a security risk.  Furthermore,
	having to define something special to get the secure state is bad
	design.  Fix the configuration script and default to not initializing
	from the current directory.  Put a warning in various config files.

2011-11-29  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/Makefile.in:  Remove duplicate entry for qt in CORETERMS.

2011-11-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/scanner.c (legal_identifier) src/scanner.h src/stats.c:
	Make sure that the variable name produced by the "stats ... prefix"
	command is a legal identifier.
	Bug #3441395

	* src/set.c (set_palette): Add missing check for conflicting options.

2011-11-26  Ethan A Merritt  <merritt@u.washington.edu>

	* term/cairo.trm: Revert the change of 2011-08-25 that tried to skip 
	empty vectors. The concept was sound but the implementation was not
	correct, leading to mysteriously missing lines.
	Bugfix.

2011-11-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term_api.h src/misc.c src/hidden3d.c:  New flag LT_SINGLECOLOR
	passed through to hidden3d to indicate that the user gave an explicit
	surface color in the splot command.
	Bugfix.

2011-11-22  Ethan A Merritt  <merritt@u.washington.edu>

	* Branchpoint for 4.6
	cvs tag -b branch-4-6-stable

2011-11-22  Ethan A Merritt  <merritt@u.washington.edu>

	* src/contour.c (contour): Format contour labels using gprintf rather
	than sprintf so that LC_NUMERIC and "set decimal" are honored.
	Bugfix.

	* term/js/gnuplot_svg.js: Try to correct for coordinate offset due to
	scrollbars.  The fix is unfortunately browser specific.

2011-11-22  Peter <plotter@piments.com>

	* term/svg.trm: "standalone" option includes gnuplot_svg.js mousing
	support directly in the output *.svg file rather than linking to it
	as an external resource.

2011-11-18  Daniel Leidert  <dleidert@users.sourceforge.net>

	* demo/html/webify.pl demo/html/webify_svg.pl demo/html/webify_canvas.pl
	Use perl5 native routine ctime() rather than perl4 external module.

	* src/datafile.c term/epson.trm term/post.trm:
	Typos.

	* configure.in: Check for lua5.1.pc if lua.pc is not found.

	* man/gnuplot.1: Add some needed character escapes.

2011-11-18  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgdiplus.cpp src/win/wgdiplus.h src/win/wgnuplib.h
	src/win/wgraph.c src/win/wresourc.h: Antialiasing of fill patterns.

	* src/win/wgraph.c (CopyPrint): Use Print Setup dialog since the Page
	Setup dialog does not offer a possibility to change printer. Do not
	use antialiasing on printers.

2011-11-15  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgnuplib.h src/win/wgraph.c term/win.trm: Store current
	text encoding in list of drawing ops.

2011-11-15  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.h src/axis.c (parse_range, parse_named_range)
	src/axis.c (save_writeback_all_axes check_axis_reversed)
	src/fit.c src/plot2d.c src/plot3d.c src/stats.c src/unset.c:
	Replace axis-related macros with equivalent subroutines.

2011-11-14  Ethan A Merritt  <merritt@u.washington.edu>

	* config/Makefile.am.in demo/Makefile.am.in m4/Makefile.am.in
	tutorial/Makefile.am.in term/Makefile.am.in:

	Make sure that the generated files Makefile.am and gnuplot-tikz.help
	do not end up non-writable by the owner, which caused build cleanup
	problems while packaging.  Bug #3419881

2011-11-14  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/plot2d.c (store2d_point): Fix for 4-column mode of
	BOXPLOT style which did not handle log scale correctly.

2011-11-14  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgnuplib.h src/win/wgraph.c src/win/winmain.c
	src/win/wtext.c: Localisation support for menu and help files.
	Files are loaded according to current language settings from
	files named "wgnuplot-LL.mnu" and "wgnuplot-LL.chm", where LL is
	the abbreviation of the current language. Fall back to
	"wgnuplot.mnu" and "wgnuplot.chm" if localised files don't exist.
	Defaults may be overwritten by new entries "MenuFile" and
	"HelpFile" in wgnuplot.ini.
	Choose appropriate default fonts in Japanese environments.

	src/show.c (show_version) src/win/winmain.h: List correct names
	of menu and help files on Windows.

	src/win.trm (WIN_set_color): Immediately translate palette color
	values to RGB instead of passing them on. This makes it possible
	to use more than one palettes in multiplots and in different
	graph windows. Test e.g. with pm3dcolors.dem

	* src/win/wgraph.c src/win/wresourc.h src/win/wgnuplib.h: Add a
	separate switch to toggle antialiasing of polygons.

	* src/win/wgraph.c (Draw_XOR_Text): Implement a 10 year old FIXME:
	Use proper raster operation instead of double inversion.

2011-11-12  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* src/win/README.win-ja src/win/wgnuplot-ja.mnu: Update and sync
	with wgnuplot.mnu

2011-11-12  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/set.c (set_degreesign): Windows implementation using a Windows
	API call since iconv() does not understand locales as returned by
	setlocale().

	* src/command.c (help_command): HTML help window need to occlude
	the text window.

	* term/win.trm (WIN_filled_polygon): Use boxfill for filled polygons
	which are actually rectangles.

	* src/win/wgnuplib.h src/win/wgraph.c: Add support in windows terminal
	for toggling individual plots on/off by clicking on the corresponding
	key sample in addition to toggling via toolbar buttons.

2011-11-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_degreesign):  More attempts to work around oddities in
	Solaris locale handling.

2011-11-10  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot-ja.doc docs/term-ja.diff: Sync to docs version 1.699.

	* docs/gnuplot.doc term/be.trm term/cairo.trm term/context.trm
	term/win.trm: Fix typos.

2011-11-09  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c src/command.c src/eval.c src/gadgets.c src/graphics.c
	src/internal.c src/tables.c src/unset.c src/util.c src/util.h
	term/post.trm:  Fix or remove some FIXMEs.

2011-11-09  Bastian Maerkisch  <bmaerkisch@web.de>

	* doc/gnuplot.doc: New terminal driver epscairo.

	* term/gd.trm: Don't use gd font pointer variables for builtin fonts.

2011-11-08  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in src/set.c: Use nl_langinfo(CODESET) to find the encoding.
	This hopefully works around non-standard encoding names used by Solaris.

	* src/wxterminal/wxt_gui.cpp: Toggle for "plot ... with circles"

2011-11-08  Bastian Maerkisch  <bmaerkisch@web.de>

	* doc/gnuplot.doc [New features]: Document new cairolatex and
	revised windows terminal.

2010-11-08  Tatsuro Matsuoka  <tmacchant3@yahoo.co.jp>

	* src/set.c (set_degreesign): Move include of iconv.h to top level.

2011-11-07  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/fig.trm: Update help on font option.

	* term/context.trm: Avoid use of round() because MSVC is still not
	C99-compliant.

	New terminal driver cairolatex, which uses the cairo EPS or PDF
	backend for graphics output and LaTeX text created by functions
	shared with the epslatex and pslatex terminals.

	* term/cairo.term term/post.h term/post.trm term/pslatex.trm: New
	terminal driver cairolatex.
	Patch #3413095

2011-11-06  Mojca Miklavec <mojca.miklavec.lists@gmail.com>

	Add a context terminal, which creates output suitable for ConTeXt.

	* configure.in docs/doc2texi.el docs/gnuplot.doc docs/Makefile.in
	src/makefile.all src/makefile.awc src/term.h term/context.trm:
	New terminal driver context.
	Patches #1654807 and #1503836. Feature Request #2815867.

2011-11-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/wxterminal/wxt_gui.cpp src/wxterminal/wxt_gui.h
	src/wxterminal/wxt_term.h term/wxt.trm:
	Add support in wxt terminal for toggling individual plots on/off
	by clicking on the corresponding key sample.

2011-11-04  Ethan A Merritt  <merritt@u.washington.edu>

	term/wxt.trm src/wxterminal/wxt_term.h src/wxterminal/wxt_gui.cpp:
	Add a term->layer() entry point for the wxt terminal.

	* src/mouse.c src/term_api.h: TERM_LAYER_BEFORE_ZOOM

2011-11-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/util.c src/util.h src/set.c (set_encoding set_degreesign):
	Provide an internal char sequence degree_sign[] appropriate for the
	current encoding.  Use iconv(), if available, to translate it into the
	environment's locale after `set encoding locale`.

	* src/show.c (show_decimalsign):  Show the degree sign also, mostly
	so that people can report problems with the encoding code above.

2011-11-01  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wmenu.c src/win/wtext.c: Use proper dropdown menu for 
	Options toolbar item.

2011-10-30  Bastian Maerkisch  <bmaerkisch@web.de>

	* INSTALL: Update Windows section.

	* config/makefile.mgw: Superseded by config/mingw/Makefile. Removed.

2011-10-30  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* config/config.nt config/makefile.nt: Windows console apps support
	pipes.

2011-10-30  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/config.cyg config/config.mgw config/config.nt
	config/config.oww: Enable stats command.

2011-10-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/color.c (make_palette):  Fix segfault caused by initializing a 
	terminal with an "infinite" color palette (colors == 0) when previous 
	terminal had merely a large color palette (e.g. WIN_PAL_COLORS 4096).
	Bug #3429772

2011-10-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c src/axis.h src/datafile.c src/fit.c src/mouse.c
	src/plot2d.c src/plot3d.c src/save.c src/set.c src/setshow.h src/show.c
	src/stats.c src/tabulate.c src/unset.c term/canvas.trm term/svg.trm:

	Change the axis structure field from TBOOLEAN axis.is_timedata to an
	enum {DT_NORMAL, DT_TIMEDATE} field axis.datatype.  This is preparation
	for adding code to implement a new mode DT_DMS (degrees, minutes,
	seconds) that tracks x and/or y as geographic coordinates.
	There is no change to the behavior of the current code.

2011-10-22  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm:  Friendlier error message, add a <title> tag at the
	top of the output svg document.

2011-10-17  Christoph Bersch  <cbersch@users.sourceforge.net>

	* docs/doc2texi.el:  Handle presence of three nodes with the same key.

2011-10-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/specfun.c (humlik):
	Re-order code to avoid accessing an unitialized variable.

	* term/emf.trm (EMF_put_text):
	Re-order code to avoid accessing an unitialized variable.

	* src/command.c (else_command):  An else clause might either be
	processed by if_command() or else_command().  The latter was not
	correctly updating c_token.

	* src/misc.c (lf_load):  Tie maximum depth of load commands to
	STACK_DEPTH.

2011-10-13  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc docs/titlepag.tex:  Revise the sections that 
	describe function plots to mention `set samples`.  Allow the table of
	builtin functions to split across pagebreaks in the TeX documentation.

	* src/wxterminal/gp_cairo.c: Decrease linewidth used by pdfcairo
	terminal for pattern fill.  This works around what seems to be a pdf
	bug in libcairo versions through at least 1.10.

	* src/fit.c (error_ex): Exit via int_error() so that it can walk
	through the list of XXX_reset_after_error() routines.

2011-10-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/hidden3d.c: Bump default QUADTREE_GRANULARITY from 10 to 30.
	At 10, 24% of the CPU time for all.dem is spent in hidden line removal.
	At 30 this decreases to 12%, for roughly a 10% speed increase overall.

2011-10-10  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/datafile.c src/datafile.h src/gadgets.h src/graphics.c
	src/graphics.h src/plot2d.c src/save.c src/set.c src/show.c
	demo/boxplot.dem docs/gnuplot.doc:

	Add new mode for the "with boxplot" plot style.
	If there is a 4th column in the using spec, the values in it it will
	be interpreted as the discrete levels of a factor variable. As many
	boxplots will be drawn as there are different values in the factor
	column, each boxplot representing part of the dataset. These boxplots
	are optionally labeled and sorted. New options "separation", "label",
	and "sorted"/"unsorted" to "set style boxplot" govern the behavior of
	this new mode. The demo "boxplot.dem" is extended to showcase the new
	capability. 

2011-10-09  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* src/internal.c (f_sprintf): More complete MSVC++ snprintf() patch.

2011-10-09  Adam Strzelecki  <ono@users.sourceforge.net>

	* src/wxterminal/wxt_gui.h src/wxterminal/wxt_gui.cpp:
	Work around a number of issues compiling and running wxt with wx 2.9
	using 64-bit Cocoa on OSX Lion. All changes are #ifdef __WXOSX_COCOA__.
	These may not be necessary once Cocoa reaches a stable release. 
	(1) use wxToolbar AddStretchableSpace rather than AddSeparator 
	(2) wx Cocoa does not support logical operators such as wxDC inverse
	(3) wx Cocoa toolbar icons are blurry unless they are 24x24
	(4) wx Cocoa does not define _Bool even though it says it does

2011-10-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/color.h src/command.c src/getcolor.c src/gplt_x11.c src/save.c
	src/set.c src/show.c src/tables.c src/tables.h term/post.trm
	term/x11.trm demo/pm3d.dem docs/gnuplot.doc:

	New palette option "cubehelix". The is a family of palettes with the
	general property of combining N cycles of a color-wheel with a monotonic
	increase in overall intensity. This feature was suggested by Ingo Thies.
	See: D A Green (2011) "A colour scheme for the display of astronomical
	intensity images" http://arxiv.org/abs/1108.5083

2011-10-06  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* src/internal.c (f_sprintf): Always null-terminal a string written by
	the non-ANSI compliant MSVC++ routine _snprintf().

2011-10-03  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/win.trm (WIN_options): When searching the list of graph windows
	the correct test is for window Id.

2011-10-03  Rich Seymour  <richseymour@users.sourceforge.net>

	* term/svg.trm: Look for strings " Bold" and/or " Italic" in font name
	and set the corresponding properties if found.  Patchset #3058920.

2011-10-03  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/post.trm (PS_options): Properly contain new variable in a
	block. Bug #3417716

	* src/Makefile.maint: New target makefile.awc.

	* src/makefile.all src/makefile.awc: Regenerated to include stats.c.

2011-10-02  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in src/Makefile.am src/command.c src/command.h src/show.c
	src/stats.c src/stats.h src/tables.c docs/gnuplot.doc:
	
	New command to generate a statistical summary of the data in a file.
	    stats "datafile" [using col1[:col2]] [nooutput] [name "PREFIX"]
	Data is read from the input file under the control of the same options
	used for 'plot' commands (e.g. xrange, yrange, using, index, every).
	The min/max/mean/stddev/quartiles of data from one or two data columns
	are printed to the terminal and stored in named variables.  These
	variables can be used to modify subsequent plot commands.
	This code was developed primarily by Philipp Janert and Zoltán Vörös.
 
	* demo/html/Makefile demo/html/Makefile.svg demo/html/Makefile.canvas
	demo/stats.dem demo/all.dem:  New demo to exercise stats code.

2011-10-01  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/cairo.trm: Depending on the version, Cairo defaults to cropping
	eps files to the minimal bounding box. This patch adds support for the
	{no}crop option to the epscairo terminal. Cropping is prevented by
	putting two points in background color in opposite corners, or by
	directly setting the bounding box for Cairo newer than 1.11.0.

	* config/mingw/Makefile: Include epscairo terminal.

2011-10-01  Christoph Bersch  <cbersch@users.sourceforge.net>

	* term/post.trm term/pslatex.trm: New options `background` and
	`nobackground` for terminals postscript, epslatex, pstex and pslatex.
	Patch #3415158

2011-09-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/color.c src/graph3d.c src/graphics.c:  User-specified axis tick
	labels should override auto-generated tick labels in 3D plots just as
	they already do in 2D plots.

	* src/plot2d.c: In `plot with labels`, skip labels for which the x,y
	coordinates are UNDEFINED.
	Bug #3415454

	* term/js/gnuplot_mouse.css:  Opera is picky about missing units.

2011-09-27  Ethan A Merritt  <merritt@u.washington.edu>

	* term/emf.trm term/fig.trm term/metapost.trm term/tgif.trm:
	Prefer the new syntax set term ... font "<name>,<size>"   in the
	documentation. This does not change the terminal input, only the docs
	and the options string echoed back by "show term".

	* term/canvas.trm:  Implement set term canvas ... font "<name>,<size>".
	Currently the name is ignored.  

2011-09-23  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc src/plot2d.c:  Defer interpretation of newhistogram
	linetype until the histogram itself is drawn.

2011-09-21  Bastian Maerkisch  <bmaerkisch@web.de>

	* demo/borders.dem: Use loop instead of `reread`.

	* demo/image2.dem: Explicitely `reverse` axes.

	* src/win/wgraph.c (drawhraph) [W_filled_polygon_draw]: Transparent
	pattern fill actually fills with white background since 2011-05-15.
	Fixed.

	* src/win/wgnuplib.h src/win/wgraph.c (WndGraphProc) term/win.trm
	(WIN_options, WIN_update_options): Update term options on changes via
	graph window/menu. Track font face and size as read from ini-file.

	* src/stdfn.c|h (gp_basename) term/pslatex.trm (PSTEX_common_init):
	Move code from pslatex.trm to new function gp_basename which takes
	two different directory separators into account and does not change
	its argument.

2011-09-16  Peter Hedwig <peter@affenbande.org>

	* term/lua/gnuplot-tikz.lua:  Modify the commands used for rgb color 
	selection so that they are compatible with context as well as tikz.
	Bug #3401068

2011-09-16  Oliver Jennrich

	* term/lua/gnuplot-tikz.lua:  Update syntax used for setting line join
	properties.
	Bug #3410554

2011-09-12  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/mingw/Makefile: Fix building gnuplot.ps and gnuplot.pdf.
	Include figures in gnuplot.pdf. Define new targets 'console', 'windows'
	and 'pipes' to build different versions of gnuplot. Use separate
	file extensions for each version. Let 'make all' build all versions.
	Match 'install' target to Tatsuro Matsuoka's packages.

2011-09-09  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/doc2tex.c docs/titlepag.tex:  Tweak format of TeX documentation
	(no section numbers in table of contents, text width appropriate for
	paper size).

2011-09-09  Bastian Maerkisch  <bmaerkisch@web.de>

	src/win/wgnuplib.h src/win/wgraph.c src/win/wresourc.h term/win.trm:
	Add a toolbar to the graph window. Currently, it offers icons for Copy,
	Print, Save and Options. Additionaly, plot elements can be temporarily
	hidden, ie. without a `replot`. This is much like what can be done
	using canvas and svg terminals and is implemented using term->layer.

2011-09-08  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_image_or_update_axes):  "with image" from a
	function may not make sense, but at least it should not segfault.
	Bug #3406642

2011-09-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/parse.c (parse_sum_expression): Simplify construction of summation
	action table.
	
	* src/command.c (undefine_command) src/eval.c (del_udv_by_name):
	Break out the guts of undefine_command into a utility routine that can
	be called internally.

	* src/hidden3d.c (build_networks): Valgrind found a test against an
	uninitialized field.

2011-09-06  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in: cairo_ps_surface_set_eps is only supported by cairo
	version 1.6.0 or later.

2011-09-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c term/canvas.trm: Allow canvas and svg terminals to provide
	mousing even if gnuplot itself is built without USE_MOUSE.

	* src/gplt_x11.c src/Makefile.am:  gnuplot_x11 --version

2011-09-04  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/readline.c (fn_completion, tab_completion, isdoublewidth)
	src/win/screenbuf.h (sb_calc_length) src/win/wcommon.h (open_printer,
	close_printer) src/win/wgraph.c (UnicodeText) src/win/winmain.c
	(ShutDown, CheckMemory) src/win/wmenu.c: Add missing prototypes, 
	make local functions static.

	* src/alloc.c src/alloc.h src/ansicheck.h src/command.c src/command.h
	src/plot.c src/scanner.c src/stdfn.c src/syscfg.h src/term.c:
	Remove conditional code for Atari Pure C and Borland C compilers.

	* src/axis.c src/command.c src/datafile.c src/getcolor.c src/misc.c
	src/pm3d.c src/variable.c: Remove unused variables and prototypes.

2011-09-03  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm term/canvas.trm term/js/gnuplot_mouse.js
	term/js/gnuplot_svg.js:  Add support for time coordinates to the mousing
	code used by svg and canvas terminals.  In this initial implementation,
	only the primary X axis is checked, and there is no provision for a
	user-supplied format.

2011-09-02  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in term/cairo.trm:  Check for the presence of cairo-ps.h
	before trying to build the epscairo terminal.

2011-09-02  Bastian Maerkisch  <bmaerkisch@web.de>

	* docs/makefile.ami docs/old/README.ami docs/old/README.win 
	src/gnuplot.prj src/linkopt.ztc: Removed.

	* config/makefile.unx docs/Makefile.in src/Makefile.am: Remove
	references to obsolete files.

2011-09-01  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in: Yet another rewrite of the installation path rules for
	TeX files.
	Bug #3401370

	* configure.in: Remove some obsolete status messages.

2011-09-01  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/emf.trm (EMF_put_text):  Use iconv to handle Shift_JIS encoding.

2011-08-31  Ethan A Merritt  <merritt@u.washington.edu>

	* m4/apple.m4:  Revert change of 2011-07-23 (aquaterm LIBS)

	* configure.in: Rewrite the installation path rules for TeX files.
	Bug #3401370

2011-08-29  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/winmain.c (_WIN32_IE): MinGW64 headers require IE >= 501.
	Bug #3398189

2011-08-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c src/stdfn.h src/getcolor.c:  Make "assert" statements
	trigger int_error() rather than abort(), so that debugging is easier.

2011-08-28  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot-ja.doc docs/term-ja.diff:  sync to docs version 1.688

2011-08-28  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/plot2d.c (get_data): Revert yesterday's change to this file 
	because it broke stringvar.dem.

2011-08-27  Ethan A Merritt  <merritt@u.washington.edu>

	* PORTING src/makefile.all src/makefile.awc src/term.h configure.vms
	config/config.cyg config/config.dj2 config/config.mgw config/config.nt
	config/config.os2 config/config.oww config/makefile.unx configure.in:
	Remove obsolete mgr terminal driver.  The mgr window system offered a
	terminal sort of like xterm+graphics in the era of Sun3 (i.e. early-mid
	1990s). Source for the mgr server has apparently disappeared from the
	net.  Gnuplot's mgr.trm supported only text and vector commands, so
	even if an operational installation of mgr could be found, features 
	added to gnuplot since about version 3.7 would be irrelevant. Let it go.

2011-08-27  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/datafile.c (expect_string) src/eval.c src/eval.h docs/gnuplot.doc:
	Add patch #3397007 to complete the support for named columns with the 
	"labels" style. The following now works: 
	    plot 'data' using "A":"B":"labels" with labels
	Update the documentation. 
	
	* src/datafile.c (f_timecolumn) src/plot2d.c:
	Track the current using spec to ensure that the timecolumn function
	gets the right timeformat. (fixes part of bug #3163386)

	* demo/timedat.dem: Remove the relative date demo because it was 
	misleading and incorrect.

	* src/set.c (set_tics): For some options set_tics() 
	didn't act on all axes.
	
	* src/graphics.c (boundary): Fix (?) boundary calculation for 
	"set xtics rotate".

2011-08-25  René Haber  <renehaber@users.sourceforge.net>

	* term/cairo.trm: New terminal epscairo using the shared cairo/pango
	code to produce and export an eps surface.

	* term/term.c: Allow "set term eps" as short for "set term epscairo".

2011-08-24  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/command.c src/command.h src/win/winmain.c: "raise/lower <id>"
	command for windows terminal.

	* src/command.c (rlgets): Restore code for builtin readline which was
	deleted by accident.

2011-08-23  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/datafile.c (f_stringcolumn) docs/gnuplot.doc:
	Implement 'stringcolumn("string")' in using specs to allow named columns
	for the "labels" style too. The more natural 
	    plot 'data' using "A":"B":"labels" with labels
	still doesn't work: document this fact. 

2011-08-23  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/command.c (rlgets): Removing duplicate entries trashes command
	line history when using editline. Just suppress adding the same command
	to history repeatedly.
	* src/history.c (history_find_all): editline's version of
	history_set_pos() does not work, so traverse history list manually.
	History indices are reversed compared to GNU readline. Fixes history ?.
	Patch #3186010

	* term/emf.trm (EMF_put_text): Use iconv (if available) to convert
	UTF-8 encoding to UTF-16 and store using wide characters.
	Bug #3021779

	* config/config.mgw config/mingw/Makefile: add support for libiconv

2011-08-22  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c:  Honor 'set key maxrows N' in 3D plot key.
	Bug #3396501

2011-08-19  Ethan A Merritt  <merritt@u.washington.edu>

	* src/commands.c src/misc.c docs/gnuplot.doc:
	The old-style if/else syntax cannot be mixed with the new syntax using
	{ and } to enclose blocks of commands, possibly spanning several lines.
	Add stronger warnings to the documentation and issue an error message
	if an old-style if statement is encountered inside a bracketed clause.
	Bug #3393631

2011-08-15  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (WndGraphProc): Restore text window on space key:
	also show terminal window if it is currently minimized.

	* src/command.c (pause_command) src/win/wgnuplib.h (GW) src/win/wgraph.c
	src/win/winmain.h src/win/winmain.c term/win.trm: Support multiple
	graph windows. All state variables of graph windows were contained
	in a single struct already. Replace all references to this struct
	(graphwin) by pointers and dynamically allocate new instances when
	required. Do not pass on mouse and key events from inactive windows.
	Note: Since a single number passed to `set term win` is now interpreted
	as window identifier, the old and fontsize options are no longer
	supported and the `font` keyword is now required. This is consistent
	with other terminals (e.g. x11 and wxt).

	* src/win/wgnuplib.h src/win/wgraph.c: Make GraphChangeFont static. 

2011-08-15  Reinier Heeres  <rheeres@users.sourceforge.net>

	* src/win/pgnuplot.c: Detect termination of wgnuplot. Slightly enhanced
	version of SF patch #2373741.

2011-08-09  Ethan A Merritt  <merritt@u.washington.edu>

	* PORTING config/config.cyg config/config.dj2 config/config.mgw 
	config/config.nt config/config.os2 config/config.oww
	config/makefile.unx configure.in configure.vms docs/Makefile.in
	docs/doc2texi.el docs/gpcard.tex src/Makefile.am src/makefile.all 
	src/makefile.awc src/rgipgnu src/term.h term/rgip.trm 

	Remove code specific to the rgip terminal (Redwood Graphics Interface
	Protocol). The company (uniplex) supporting this protocol no longer
	exists.  The terminal itself no longer compiles cleanly, and valgrind
	shows many buffer overflows and alloc/free errors.
	19 files changed, 13 insertions(+), 841 deletions(-)

2011-08-02  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/plotstyles.gnu docs/gnuplot.doc term/be.trm term/canvas.trm
	term/cgm.trm term/ai.trm term/aquaterm.trm term/cgi.trm:
	Documentation updates

	* src/wxterminal/wxt_gui.cpp (OnCreateWindow):  It is not acceptable
	to have every new plot window occlude the center of the screen.

2011-08-01  Micha Wiedenmann  <mw-u2@gmx.de>

	* src/eval.h src/eval.c (get_udv_by_name free_at) src/show.c (disp_at) 
	src/internal.h src/internal.c (f_sum) src/parse.c (parse_sum_expression)
	docs/gnuplot.doc demo/bivariat.dem:

	New expression type for summation:
	    sum [<var> = <beg> : <end>] <something>

2011-07-30  Stefan Reiser  <stefanreiser@users.sourceforge.net>

	* src/win/wgraph.c (WriteGraphIni): Fix spelling of "Antialiasing"
	field. Bug #3382732

2011-07-27  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_impulses): Skip UNDEFINED points.
	Bug #3382469

2011-07-28  Bastian Maerkisch  <bmaerkisch@web.de>

	*src/win/wgraph.c (GraphEnhancedOpen, GraphEnhancedFlush): Fix sign
	error in placement of rotated enhanced text with sub-/superscripts.

2011-07-27  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm:  Handle multiple overprint characters, albeit not
	the way people probably expect.
	Bug #3371782

2011-07-25  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm: Remove size limit on svg plot dimensions.

2011-07-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/wxterminal/wxt_gui.cpp: Fix MSWin breakage from yesterday's patch
	due to conditional code block damage.
	Bug #3376861

	* src/datafile.c (df_readbinary): Allow "using ... xticlabels()" for
	binary files as well as ascii files.  Only string-valued functions
	are valid in this case, as no string can be read from the binary 
	datafield itself.

	* src/graph3d.h src/hidden3d.c src/misc.c src/misc.h src/plot3d.c:
	Re-work assignment of color and line type to top/bottom hidden3d
	surfaces.  Keep the user-requested linetype in a new field of the
	splot structure, since otherwise linetype definitions would overwrite
	it. 

2011-07-23  Adam Strzelecki <ono@users.sourceforge.net>

	* src/wxterminal/wxt_gui.cpp src/wxterminal/wxt_gui.h m4/apple.m4:
	OSX support for wxt terminal.  For OSX, switch to using single-threaded
	hybrid GUI & console event loop at wxt_waitforinput().
	Add -framework ApplicationServices to the apple-specific
	configuration flags.

2011-07-23  Mojca Miklavec <mojca.miklavec.lists@gmail.com>

	* m4/apple.m4:  Replace -laquaterm with -Wl,-framework -Wl,AquaTerm
	which is supposed to make the Macports version of aquaterm install
	properly.

2011-07-22  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/parse.c src/parse.h plot2d.c plot3d.c set.c unset.c command.c:
	Revise iteration-over-plot mechanism to handle edge cases of nested
	iteration correctly.

2011-07-20  Peter Hedwig <peter@affenbande.org>

	* term/lua/gnuplot-tikz.lua:  Point types 10 and 11 were upside down.
	Bug #3368877

	* fill paths now have a pensize > 0 to have slight overlap of tiles to
	avoid rendering artifacts

	* path building was broken and showed interrupted lines on certain plots
	e.g. plot '+' u 1:($1**2):($1**2) with lines palette lw 3 title '$x^2$'

	* a new terminal option (tightboundingbox|notightboundingbox) is added

2011-07-20  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c:  Allow binary data for plot style fillsteps
	Bug #3371199

	* term/gd.trm:  Prevent infinite loop on unrecognized terminal option

2011-07-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_boxes):  Correct positioning of bars in clustered
	histograms when some values are missing.
	Bug #3360882

	* src/datafile.c (df_open plot_option_using df_readascii f_column)
	src/datafile.h src/parse.c (create_call_column_at extend_at) src/parse.h
	src/eval.c src/eval.h src/plot2d.c src/plot3d.c docs/gnuplot.doc:

	Implement column selection based on matching a leading substring of the
	column header.
	    plot 'foo' using (column("A")):(column("B"))
	    plot 'foo' using "A":"B"
	    plot for [value in "Weight Height"] 'foo' using "Age":value

2011-07-12  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/command.c src/term.c: Fix crash of 'test' after an 
	unsuccessful 'set term'
	Bug #3347683

	* src/parse.c src/parse.h docs/gnuplot.doc: Add nested iteration in plot
	and other commands: constructs like 'plot for [i=1:5] for [j=1:5] foo'
	are now valid

	* src/axis.c src/axis.h src/color.c src/graph3d.c src/graphics.c
	src/save.c src/set.c src/show.c src/unset.c docs/gnuplot.doc:
	Allow explicit justification for tic labels, e.g. set xtics right

2011-07-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_steps): Don't pass negative heights to t->fillbox
	Bug #3358185

2011-07-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c (term_apply_lp_properties):  Handle the case where 
	LT_COLORFROMCOLUMN is passed through as a linetype along with a color.
	Bug #3350570

2011-06-30  Ethan A Merritt  <merritt@u.washington.edu>

	* src/hidden3d.c (draw_edge):  Do not apply the default top/bottom
	colors to line segments belonging to the plot border.
	Bug #3344103

2011-06-28  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm:  Pattern-fill definitions must initialize both fill and
	stroke style; otherwise the most recent setting may bleed through.
	Bug #3334216

2011-06-28  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot-ja.doc docs/term-ja.diff:  sync to docs version 1.677

2011-06-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics (plot_histeps): Fix range-checking of log-scaled y.
	Bug #3323828

2011-06-20  Ethan A Merritt  <merritt@u.washington.edu>

	* src/getcolor.c term/x11.trm src/gplt_x11.c:
	Remove a set of routines in getcolor.c used only by the x11 terminal
	to pass a color gradient description through the pipe to gnuplot_x11.
	They packed four doubles (value; RGB color) into 8 bytes, losing
	precision and failing to round.  Now we instead use 12 ascii characters
	"0.1234RRGGBB".
	Bug #3322975

2011-06-19  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c src/command.h src/misc.c src/misc.h src/parse.h
	src/scanner.c src/scanner.h src/tables.c src/util.c docs/gnuplot.doc:

	Extend the line input processing to include blocks of commands enclosed
	by curly braces, possibly spanning multiple lines.  This syntax is used
	by new commands:
	    if (<cond>) { ... } else { ... }
	    do for [...] { ... }
	    while (<cond>) { ... }

2011-06-18  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c src/gplt_x11.c src/plot2d.c src/set.c src/util.c:
	Remove dead code sections. Most of these have been commented out for
	many years.

	* src/command.c (do_line):  Macro expansion must be done before calling
	scanner() to identify specific tokens.

	* src/command.c src/command.h: Export string_expand_macros().

	* src/command.c (read_line): Prepare for block-structure work by adding
	a parameter to allow extending, rather than replacing, the input line.

2011-06-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/getcolor.c (quantize_gray)): Remove a possible discontinuity at
	the boundary of defined palettes with a small number of segments.
	Bug #3317746

2011-06-17  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/time.c (gstrptime):  The correction for the difference in epochs
	(2000 - 1970) was incorrect when reading times in %s format.
	Bug #3163386

2011-06-16  Ethan A Merritt  <merritt@u.washington.edu>

	* src/pm3d.c (z2cb): If cb is log-scale, then limit result to positive
	values.
	Bug #3316616

2011-06-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_histeps): Allow data points with y=0 even if log
	scaling is active.
	Bug #3316112

2011-05-31  Ethan A Merritt  <merritt@u.washington.edu>

	* term/emf.trm: Reset line and text colors at the start of each plot.

	* config/config.cyg config/config.dj2 config/config.mgw config/config.nt
	config/config.os2 config/config.oww config/makefile.dj2 
	config/makefile.emx config/makefile.unx config/makefile.vms
	docs/doc2texi.el docs/Makefile.in docs/term-ja.diff
	src/makefile.all src/makefile.awc src/show.c src/term.c src/term.h
	configure.in configure.vms INSTALL PORTING NEWS
	term/gnugraph.trm term/unixplot.trm:

	Remove obsolete terminal drivers gnugraph and unixplot. The underlying
	gnu plotutils library is itself more than 10 years out of date (last
	release July 2000) and the terminal drivers haven't been upgraded for
	longer than that. In any event, current gnuplot has better native
	terminal drivers for the devices supported by unixplot/gnugraph.

2011-05-27  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_open df_determine_matrix_info):
	Add a keyword '[s]plot ... nonuniform matrix'
	This provides an ascii input option parallel to 'binary matrix'.
	nonuniform matrix:  ascii;  y coords in row 1, x coords in column 1
	binary matrix:	    binary; y coords in row 1, x coords in column 1
	matrix:             ascii;  uniform grid of x/y coords
	binary general:     binary; uniform grid of x/y coords

	* docs/gnuplot.doc:  Reorganize the description of data file contents.
	More reorganization is still wanting.

2011-05-25  Bastian Maerkisch  <bmaerkisch@web.de>

	* docs/windows/doc2html.c: Encoding of gnuplot.doc is UTF-8.

2011-05-24  Christoph Bersch  <usenet@bersch.net>

	* term/cairo.trm: PDF documents normally behave as if they had a 
	transparent background.  Modify the pdfcairo terminal to do this by
	default, but also to accept the keywords {no}transparent.

2011-05-24  Harald Koenig  <h_koenig@users.sourceforge.net>

	* src/Makefile.maint: Use dd rather than head to update last-modified
	date since not all platforms support "head -c".

2011-05-24  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/titlepag.tex, docs/gnuplot.doc:  Add Peter Juhasz,
	Bastian Maerkisch, and Shige Takeno to the list of contributors. UTF-8.

2011-05-22  Ethan A Merritt  <merritt@u.washington.edu>

	* parse.c (check_iteration next_iteration empty_iteration) parse.h
	plot2d.c plot3d.c set.c unset.c:  Rather than using a single set of
	global iteration bookkeeping variables, require that each iteration
	user pass in a structure for bookkeeping.  This allows nested
	iteration, so long as two different iteration structures are used.

	* command.c (do_line):  Strip trailing comments from input lines as
	they are read, since there is no point in storing what we are going
	to ignore later.  Minor cleanup of #ifdef nesting.

2011-05-16  Ethan A Merritt  <merritt@u.washington.edu>

	* src/specfun.c (humlik):  Initialization would fail whenever y = -1.

2011-05-15  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/wxterminal/gp_cairo.c (gp_cairo_draw_fillbox): Width of filled
	box was off by one unit.

	* src/win/wgraph.c (GetMousePosViewport): Window size is zero for
	minized windows on Vista. Fixes crash when closing plot window in
	minimized state e.g. via taskbar.

	* src/win/wgraph.c (drawgraph): [W_boxfill] Fix inversion of
	transparency. [W_filled_polygon_draw]: Fix transparency in case of
	aliased solid white polygons.

2011-05-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.h src/axis.c src/gadgets.c src/gadgets.h src/graphics.c
	src/hidden3d.c src/internal.c term/README: Fix incomplete and incorrect
	initializers found by gcc.

2011-05-14  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (drawgraph) [W_image]: Clip images as requested.

	* src/win/wgraph.c (WndGraphProc) [WM_KEYDOWN]: Handle VK_CONTROL key
	events again. Fixes ctrl-mousedrag rotation of splots.

	* src/mouse.c (event_keypress): MinGW's toupper() masks out high bits
	required for special keys. Only call for 8bit characters. Fixes
	accelerated rotation with keys (e.g. shift-left) for wxt and windows
	terminals.

	* src/win/wgdiplus.c|h src/win/wgraph.c: Extend support for
	antialiasing of line segments and point symbols. Omit border of
	non-antialiased solid filled polygons.

2011-05-13  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c (draw_3d_graphbox):  Avoid use of round() because
	MSVC is still not C99-compliant.

2011-05-13  Allin Cottrell  <cottrell@wfu.edu>

	* src/wxterminal/gp_cairo.c (gp_cairo_convert): Make the WIN32 font
	work-around (2009-11-06) conditional on cairo < 2.10. Needs more
	testing.

2011-05-13  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (WndGraphProc): Cycle through mouse-modes by
	clicking on status bar. Suggestion by plotter@piments.com

	* src/plot.c (main): Print messages concerning codepages only in
	interactive sessions.

	* src/win/wgnuplot.rc: Give the MSVC compiler a chance to create the
	manifest itself.

	* src/win/wgraph.c (drawgraph): Fix image regression.

	* term/win.trm: Help text for antialiasing.

2011-05-12  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc src/set.c src/mouse.c:  Update documentation for the
	mouse format modes, which has been incorrect since approximately forever
	(predates CVS repository).

2011-05-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (expand_df_column):  Provide a shared routine for 
	dynamic allocation of space to hold input data lines. This replaces
	three separate instances, only one of which did proper initialization.

	* src/graphics.c (finish_filled_curve): Consolidate duplicated code.

	* src/graph3d.c (draw_3d_graphbox) src/set.c (parse_label_options)
	src/gadgets.h src/show.c src/save.c
	docs/plotstyles.gnu docs/gnuplot.doc:
	The X-axis and Y-axis labels in 3D plots can be aligned parallel to the
	respective axis using the command `set [xy]label rotate parallel`.

2011-05-10  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/gd.trm (PNG_options): Init font pointers before using them.

2011-05-09  Ethan A Merritt  <merritt@u.washington.edu>

	* term/eepic.trm:  New terminal option {size XX,YY}
	Bug #3170746

	* src/graphics.c (boundary):  Add a sanity check to make sure that the
	plot size is not so small that the boundary limits go negative.
	Implemented as int_warn(), but maybe it should be int_error().
	Bug #3154401

	* src/term_api.h src/term.c src/util.c src/util.h:  Remove dead code.

2011-05-07  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/command.c (help_command) src/win/wgraph.c (WndGraphProc)
	src/win/winmain.c (WinExit, WinMain) src/wxtterminal/wxt_gui.cpp
	(wxtPanel::RaiseConsoleWindow, wxt_atexit): For console gnuplot on
	Windows, remove dependency on struct textwin, which represents the
	non-existant text window. Fixes e.g. overwriting of text window
	settings in wgnuplot.ini. Console gnuplot no longer depends on wtext.c
	and screenbuf.c.

	* src/standard.c (fn_asin, fn_asinh): Fix calculation for complex
	arguments. Make sure that asin(sin(z))==z. Bug #2879772.
	
	* config/README: Update to current status.

	* config/config.mgw config/config.oww: Sync with config.h created
	by autoconf tools.

2011-05-06  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* src/graph3d.c: Make "notitle" suppress contour line key entries in 
	addition to the surface key entry.  This makes it possible to draw any
	combination of surface, contours, and key entries.

2011-05-06  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* docs/plotstyles.gnu docs/gnuplot.doc: Add an illustration of the
	'newhistogram' command.

2011-05-06  Ethan A Merritt  <merritt@u.washington.edu>

	* INSTALL: Update the description of readline options and mention
	the ./prepare script.

2011-05-06  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* config/makefile.nt: Add missing support for GDI+. Bug #3298244

2011-05-06  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/msvc/Makefile: New file for Microsoft Visual C++. Builds
	out of tree. Intended to eventually replace config/makefile.nt.

	config/Makefile.am.in (Makefile.am): Add new Makefile.

2011-05-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.h src/datafile.c src/plot2d.c src/plot3d.c:
	Change prototype of df_set_key_title_columnhead() to match that of
	df_set_key_title().

2011-05-05  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/win.trm (WIN_set_font) src/win/wgraph.c (drawgraph): Defer
	determination of default font name and size. Fixes bug addressed
	by change of 2010-02-22, but without the need for do_string_replot()

	* src/win/wgraph.c (drawgraph): New variable fill_color to track
	color of fills. Use cached color brush for transparent solid fills
	instead of creating a new one.

	* src/win/wgraph.c (drawgraph) src/win/wgdiplus.c|h: Add support for
	antialiased solid filled (transparent) polygons.

	* src/win/wpause.c (WndPauseProc): Use default dialog font instead of
	fixed width font for pause dialog.

	* src/readline.c (readline): Tab is a printable character in some
	locales, ie. isprint(TAB)>0.

	* src/win/wgraph.c (MakeFonts): Reduce size of tics and point symbols
	by 20%.

2011-05-04  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/mingw/Makefile: Build support for lua tikz related TeX files.
	Use Makefile.maint to update version.c. Update install target to match
	directory layout of distribution and include share/lua/, share/LaTeX/, 
	contrib/, demo/, README, NEWS, Copyright and ChangeLog.

2011-05-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/variable.c (locale_handler): If built-in readline character input
	is to recognize UTF-8 characters via wcwidth(), it is necessary to 
	initialize the CTYPE locale on entry. "set encoding utf" is not
	sufficient.

2011-05-02  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/readline.c (tab_completion, fn_completion, readline) NEWS:
	Cycling variant of filename tab-completion for builtin readline.

	* src/stdfn.c|h (strnlen, strndup) configure.in config/config.nt
	config/config.mgw config/config.oww: Support functions used by
	tab-completion code.

	* src/stdfn.c|h (opendir, closedir, rewinddir): Add Kevlin Henney's
	POSIX directory browsing functions and types for Win32.

	* src/readline.c (mbwidth, isdoublewidth) configure.in: Determine
	on screen width of utf8 encoded characters with wcwidth() if
	provided by the system.

	* src/readline.c (delete_previous_word): Overprint with exact
	number of spaces, add NUL at eol.

2011-04-30  Ethan A Merritt  <merritt@u.washington.edu>

	* src/readline.c (clear_eoline): More efficient clear line algorithm.

2011-04-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/mouse.c (apply_zoom):  Prevent double-free of custom font for tic
	labels.
	Bug #3294915

2011-04-28  Bastian Maerkisch  <bmaerkisch@web.de>

	Support for (optional) antialiasing in windows terminal via GDI+.

	* config/config.mgw, config/config.nt: Compilers have support for
	GDI+: define HAVE_GDIPLUS. Note: OpenWatcom might not support GDI+
	* config/mingw/Makefile: Include new files wgdiplus.h|cpp in build,
	add library gdiplus.
	* src/win/wgdiplus.cpp src/win/wgdiplus.h: New files. C interface
	to Windows GDI+ library. Currently supports polylines and circles.
	* src/win/wgnuplib.h src/win/wgraph.c src/win/winmain.c
	src/win/wresourc.h: Implement antialiasing for lines and and most point
	shapes. Add option to LPGW, wgnuplot.ini and popup menu to toggle
	antialiasing on and off. Default to oversampling off now that we have
	proper antialiasing. Wrap all GDI+ code in #ifdef HAVE_GDIPLUS.

	* src/win/wgraph.c (drawgraph) [W_fillstyle, FS_PATTERN]: Fix cycling
	of pattern styles.

	* src/wxterminal/gp_cairo.c|h (gp_cairo_default_font)
	src/wxterminal/wxt_gui.c: New function to determine default font.
	Default is "Sans" on all systems but Windows where this alias might
	not work work in all cases.

2011-04-27  <wtf3@users.sourceforge.net>

	* src/graphics.c:  The autotitle option for column-stacked histograms
	should honor "set key maxrows N".
	Bug #3281635

2011-04-27  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/command.c (help_command) src/win/winmain.h src/win/winmain.c
	(WinExit, ShutDown, WinCloseHelp, WinMain): Work-around for apparently
	well known html help bug, which causes spurious crashes on exit. Keep
	track of help window handle and try to close the window as soon as 
	possible. New function WinCloseHelp.

	Extensive update to color, linetype and fillstyle handling in windows
	terminal. Fixes several bugs and implements new options.

	* term/win.trm (WIN_id, WIN_opts, WIN_options): Add options "solid",
	"dashed", "background", "fontscale" and "linewidth". Call new function
	GraphInitStruct to initialize graphwin. Inlcude font in term_options.
	* term/win.trm (WIN_point, WIN_filled_polygon): Handle dashed lines
	in drawgraph, not here. (WIN_filled_polygon): Use generalized
	W_fillstyle call, shared with WIN_boxfill. (WIN_boxfill): Pass second
	corner as parameter, not width and height. Fixes spurious rounding
	errors during translation to graph coordinates. (help text): Document
	new options.
	* src/win/wgnuplib.h (GW): Reorder entries according to function.
	* src/win/wgraph.c (pattern_bitmaps): Fix double cross-hatch.
	(GraphInitStruct): New function. (MakePens, DestroyPens): Account for
	linewidth and sampling and create an additional "null" pen which is
	used for filled polygons and boxes. (MakeFonts, GraphEnhancedOpen)
	Account for fontscale. (draw_new_pens, draw_new_brush) New functions
	to (re)create brushes and pens. Always create a "solid" partner for
	the possibly "dashed" pen. Called by drawgraph.
	* src/win/wgraph.c (drawgraph): Reorder variables according to
	function. [W_line_type]: Save last LOGPEN instead of pen index. Make 
	use of draw_new_pens. Select background brush for line-type <= 
	LT_NODRAW (fix by Shigeharu Takeno, Bug 3192205). [W_fillstyle]: Unify
	code for filled boxes and polygons. Use draw_new_brush. [W_boxfill]:
	Fillstyle is now set by previous call to W_fillstyle. Change interface
	from relative (width, height) to absolute position to avoid off by one
	rounding errors. Deselect brush use for transparent fill before
	deleting it. [W_line_width] Scale by linewidth option. [W_setcolor]
	Use save LPOGEN to create pens with new color. Use draw_new_brush and
	draw_new_pens to recreate brushes and pens. [W_filled_polygon_draw]
	Fillstyle is now set by previous call to W_fillstyle. Use "null" pen
	to avoid drawing a border around filled area. [W_image] Avoid static
	variables. [W_plus,...] Use solid pen. Fixes point symbols drawn with 
	dashed lines. Adresses Bug 1952364.

2011-04-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/readline.c:  Revise the built-in readline code to handle UTF-8
	encoded character input. The revised code is only active if the user
	has explicitly done "set encoding utf8" or "set encoding locale", but
	probably it should be the default in a UTF-8 locale.

	* src/readline.c (clear_line): More efficient clear line algorithm.

2011-04-25  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot.c (main) src/misc.c (load_file): Initializing c_token to an
	illegal value is not a good idea.
	Bug #3292512

2011-04-23  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot-ja.doc docs/term-ja.diff:  sync to docs version 1.664.
	* docs/Makefile.in (wxhelp/doc2html.o): Add missing space.

2011-04-22  Ethan A Merritt  <merritt@u.washington.edu>

	* src/readline.c docs/gnuplot.doc:  Built-in readline did not recognize
	the character sequence produced by the DEL key on many keyboards.  Trap
	this sequence for interpretation as "forward delete", which is what the
	same key does under windows and gnu libreadline.  This does not affect 
	keyboards or xmodmap configurations where the DEL key produces another
	sequence entirely.

2011-04-22  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/readline.c:  The behavior of ^W was not consistent with the
	documentation. Change it to match gnu libreadline (delete previous
	partial or full word).

2011-04-20  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c:  Most of the messages passed via the title bar
	of the X Display window are controlled by #ifdef TITLE_BAR_DRAWING_MSG.
	Do the same for the "allocating colors..." message.

2011-04-19  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/Makefile.am.in (Makefile.am): Additional files to become
	part of the distributed tarball.  Reindented.

2011-04-19  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (f_columnhead df_set_key_title) src/datafile.h
	src/eval.c src/plot2d.c (eval_plots) docs/gnuplot.doc:

	New function columnhead(N) that returns a string containing column N
	from the first line of a data set. 'plot ... title columnhead(i)'
	was previously implemented as a keyword; making it a function instead
	allows, for example,
	'plot for [i=3:6] ... title "Results of ".columnhead(i)'

2011-04-19  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* docs/Makefile.in (wxhelp/doc2html, gnuplot.htb): Ooops.
	Yesterday's directory name change to windows was wrong.  Undoing
	it.

2011-04-18  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* term/Makefile.am.in: Use $< where applicable.
	($(srcdir)/lua/gnuplot-tikz.help): Make workable outside the
	source tree.  Use $< and $@ where applicable.

	* docs/Makefile.in (CLEANFILES): Fix broken directory name;
	indent.
	(gnuplot.htb): Fix broken directory name.  Make workable in
	out-of-source builds.
	(windows/wgnuplot.html, windows/doc2html.o, windows/doc2html): Fix
	wrong directory name.

	* Makefile.maint (amfiles): Missing semicolon.

2011-04-18  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (drawgraph): Fractional solid fill based on SF
	Patch 2905570 by Shigeharu Takeno. Remove halftone brushes.
	Eliminate static variable to keep track of pm3d brushes.

2011-04-17  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/mingw/Makefile: Use $^ and $< where applicable. Patch by
	Benjamin Lindner, SF Patch 2468650. Set TARGET only if it's not
	already defined. GNUPLOT_LUA_DIR was included twice in
	TERMOPTIONS. GNUPLOT_PS_DIR is required by show.c. [wgnuplot.chm]
	Avoid changing directory via shell which seem not to work reliably
	on all systems.

2011-04-17  Ethan A Merritt  <merritt@u.washington.edu>

	* config/Makefile.am.in:  Fix package-build breakage.

2011-04-17  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	Building the three different types of executable for Windows
	was quite cumbersome (change make variable, make clean, build,
	all that thrice).  Compiling to three different object file name
	extensions helps with that.

	* config/watcom/Makefile (VARIANT): New macro to choose among
	targets.
	(TARGETS_PLAIN, EXTRA_CPPFLAGS_PLAIN, TARGETS_PIPES)
	(EXTRA_CPPFLAGS_PIPES, TARGETS_CONSOLE, EXTRA_CPPFLAGS_CONSOLE):
	New macros for settings particular to one variant.
	(DEFAULT_TARGETS): Changed definition to use new per-variant
	macros.
	(ALL_TARGETS): New macro listing all things that can be built.
	(all): New target building all variants without the need to make
	clean in between.
	(WIN_EXTRA_INPUTS): Removed $(WINOBJS)
	(OBJS): Add $(WINOBJS) here instead.
	(CONSOLE_OBJS, PIPE_OBJS): Copies of $(OBJS) with different object
	filename extension.
	Use $(O) in favour of fixed .obj, to allow renaming trick.
	(.EXTENSIONS): Add .cobj and .pobj to list of recognized file name
	extensions.
	(.c.cobj): New implicit rule to compile sources for the console build.
	(.c.pobj): New implicit rule for pipe-enabled build.
	(wgnuplot.exe): $(WINOBJS) is contained in $(OBJS) now.
	(wgnuplot_pipes.exe): Use $(PIPE_OBJS) instead of $(OBJS)
	(gnuplot.exe): USE $(CONSOLE_OBJS) instead of $(OBJS)
	(term.cobj): New explicit rule to compile term.c for the console build.
	(term.pobj): New explicit rule to compile term.c for the pipe build.
	(.c): Added windows source subdirectory to VPATH search list.
	(w*.obj): Removed unnecessary explicit rules for Windows-specific
	files.
	(clean): Remove object files with new names.

	* config/watcom/.cvsignore: Add new file name extensions to ignore.

2011-04-17  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/makefile.cyg config/makefile.mgw config/makefile.unx
	cygwin/Makefile mingw/Makefile: Remove dependencies on
	wgnuplot.def and wgnuplib.def.

	* src/wgnuplib.def: Removed

2011-04-16  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/config.amg config/makefile.msc config/term.pc.h
	config/makefile.win config/makefile.ztc src/win/wgnuplot.def
	src/win/wgnupl32.def: Remove build files for no longer supported
	platforms DOS16, WIN16, Amiga and compilers.

	* src/ansicheck.h src/command.c src/eval.h src/stdfn.h
	src/syscfg.h src/term.c src/term.h src/makefile.all
	src/makefile.awc docs/Makefile.in term/fg.trm : Remove suport for
	the Zortech compiler and the no longer available Flash Graphics
	library.

2011-04-15  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_steps) src/gp_types.h src/graph3d.c
	src/tables.c docs/gnuplot.doc docs/plotstyles.gnu: 
	New plot style "with fillsteps" is identical to "with steps" except
	that the area between the stepped line and the baseline at y=0 is
	filled using the currently active fill style.

	* src/graphics.c (plot_fsteps, histeps_vertical)
	(histeps_horizontal): Simplify the code to use clip_line() rather
	than lots of in-line tests.

	* term/dumb.trm docs/gnuplot.doc: Updates

2011-04-15  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/readline.c (msdos_getch, readline), src/win/winmain.c
	(ConsoleGetch): Don't quit on DEL on an empty line. Map DEL key to del
	character 127 instead of ^D, but keep old behaviour of deleting current
	character on platforms Windows, MSDOS and OS/2. SF Bug #3285571

2011-04-13  Peter Hedwig <peter@affenbande.org>

	* term/lua/gnuplot-tikz.lua:  Fix "charsize" option.

2011-04-13  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm term/gd.trm term/svg.trm term/x11.trm src/misc.c:
	Stricter checks that the red component of RGB colors stays in range.

2011-04-13  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (WndGraphProc), src/win/wtext.c (WndTextProc):
	Enable access to popup menu via status bar and keyboard.

2011-04-12  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wtext.c (WndParentProc) [WM_SIZE]: Ignore requests to set
	window size to 0,0. Fixes crash on Vista if Windows-D is pressed.

2011-04-11  Ethan A Merritt  <merritt@u.washington.edu>

	* term/js/gnuplot_common.js: Fix the clipping of filled rectangles
	when zoomed.

2011-04-11  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/config/mingw/Makefile: Fixed relative directories in RCFLAGS.

2011-04-10  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/term/win.trm, src/win/wgraph.c, src/win/wgnuplib.h: Renew text
	handling: Process enhanced text in drawgraph(), new functions
	GraphEnhancedOpen(), GraphEnhancedFlush(), revised GraphGetTextLength().
	This most notably fixes behaviour when resizing the graph window. Collect
	static variables used for the internal state of enhanced text processing
	into a struct. Move code out of main loop of drawgraph: New functions
	draw_put_text(), draw_text_justify(), draw_enhanced_text(). Fix baseline
	alignment of normal and enhanced text. Text position was moving in wrong
	direction for rotated enhanced text (fix replaces change dated
	2011-02-11). Remove unused function GraphGetFontScaling(). Fix text
	positioning of enhanced text with oversampling.

	* term/win.trm (WIN_graphics): Update character and window size.
	* src/win/wgraph.c (WndGraphProc): Remove another Win16 relict.
	* term/win.trm, src/win/wgnuplib.h, src/win/wgraph.c: Remove LPGW.resized,
	rename commands no longer exclusively used for pm3d.
	* src/win/wgraph.c (UnicodeText): Add codepage 1250.
	* term/win.trm (WIN_Init), src/win/wgraph.c (GraphInit): Move loading of
	icon.
	* term/win.trm (WIN_scale): Removed.
	* term/win.trm (WIN_options), src/win/winmain.c (WinMain): Eliminate need
	for static variable WIN_gtitle.
	* term/win.trm (WIN_set_pointsize), src/win/wgraph.c (drawgraph)
	[W_pointsize]: Don't pass size as string.
	* src/win/wgraph.c (drawgraph) [W_line_type]: Only init LOGBRUSH lb
	if it is used.
	* term/win.trm, src/win/wgraph.c: Various small code cleanups.

2011-04-09  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm term/js/gnuplot_svg.js:  Draw all grid lines with
	attribute class="gridline". Add an icon to toggle on/off lines with this
	attribute.  Move both this icon and the mouse coordinate tracking box to
	the end of the output *.svg file so that they cannot be occluded by plot
	elements.

	* term/svg.trm (SVG_PathClose): Firefox 3.x fails to render purely
	vertical lines. This is particularly noticeable because all vertical
	grid lines are missing.  Work around this by adding 0.01 to the final
	x coordinate.

2011-04-08  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm: Adjust enhanced text placement, removing some kludges
	that appear not to be necessary with the current generation of browsers.

	* term/svg.trm term/js/gnuplot_svg.js:  Implement mouse tracking
	framework. 

2011-04-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.h term/svg.trm demo/html/webify_svg.pl demo/html/Makefile.svg
	demo/html/Makefile.svg:  Add bitmap image handling to the svg terminal
	using the same mechanism of external png files used by the canvas and 
	tikz terminals.

	* term/svg.trm(SVG_init): Konqueror (KDE 4.5) crashes if the xlink to
	gnuplot_svg.js fails to load.  Work around this by adding a test for the
	presence of gnuplot_svg before initializing.

2011-04-06  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/win.trm, src/win/wgnuplib.h, src/win/wgraph.c: Use UINTs
	instead of DWORDs in struct GWOP.

	* src/win/wgraph.c, src/win/wgnuplib.h: Move static flag for
	unsupported encodings to struct LPGW. This ensures that errors
	are reported only once.

2011-04-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c src/graphics.c src/term_api.h:  Add layering flags
	for BEGIN/END KEYSAMPLE.

	* term/js/gnuplot_svg.js term/svg.trm: Elementary mousing support for
	the svg terminal based on Patches #2477391 #2478169 (yeah, those are
	from 2 years ago).  Toggle plot on/off in response to mouse click on
	the corresponding key entry.

	* demo/html/Makefile.svg demo/html/index.svg demo/html/webify_svg.pl:
	Revise the svg demo set to use mousing.

	* src/graphics.c (do_plot) src/term_api.h (TERM_LAYER_RESET_PLOTNO)
	term/svg.trm term/canvas.trm: The "set key opaque" option was causing
	mismatched begin/end plot pairs in output from the svg and canvas
	terminals (begin/begin/end).  Revise this so that the plot and the key
	sample numbering is out of sync.

2011-04-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/color.c (ifilled_quadrangle): See note in the code.  For some
	reason this fixes rendering of pm3d surfaces in the svg terminal.

2011-04-04  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm demo/html/mousebox.template term/js/gnuplot_mouse.js:
	Incorporate the plot name (from 'set term canvas name "foo") into the
	flag used by the toggleVisibility() routine so that plots in other
	canvas elements on the same page are not affected.

2011-04-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c src/term.h term/Makefile.am.in term/lua.trm
	term/write_png_image.c:  Move the routine write_png_image() out of
	lua.trm so that it can be shared by other terminal drivers.
	It requires support from either libgd or cairo, and provides bitmapped
	image support to the lua terminals and (in prospect) to the HTML5
	canvas terminal.

	* src/save.c: Echo most recent range of autoscaled axes on "show" but
	not "save".  This simplifies the output of gpsavediff in most cases.

	* gnuplot-cvs/term/js/gnuplot_mouse.js term/js/gnuplot_common.js
	gnuplot-cvs/term/canvas.trm (CANVAS_image):
	Implement support for image handling in the canvas terminal using the
	HTML5 canvas primitive drawImage().  Image data is written to a png file
	in parallel to generation of the main plot.  The png image can then be
	loaded from the javascript handler for the plot it belongs to.

	* demo/html/Makefile demo/html/Makefile.canvas demo/html/index.canvas
	demo/html/mousebox.template: Update the demo collection to show the new
	image handling.


2011-04-01  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm demo/html/webify_canvas.pl:
	Add HTML5-conformant doctype and meta-information to output html.

	* src/graph3d.c:
	Wrap pm3d surfaces and hidden3d ensembles in BEFORE_PLOT/AFTER_PLOT
	flags via term->layer(). This allows them to be toggled on/off like
	other plots in HTML canvas output.

	* src/term.c(null_layer) src/graphics.c src/graph3d.c:
	Provide a null_layer() routine for all terminals that do not provide
	term->layer().  This allows us to remove explicit checks for support by
	the current terminal.

2011-03-30  Ethan A Merritt  <merritt@u.washington.edu>

	* demo/html/index.canvas demo/html/Makefile.canvas 
	demo/html/mousebox.template demo/html/webify_canvas.pl:
	Separate make targets for 2D and 3D plots. Add buttons for toggling
	individual plots. Default to mousing enabled for all demo plots.

	* term/canvas.trm:
	Wrap each component plot in a test for (gnuplot.hide_plot_N).
	Add plot-toggling buttons to the standalone mousebox.
	Report gnuplot version in each plot generated.

	* term/gnuplot_common.js term/gnuplot_mouse.css term/js/canvas_help.html
	term/gnuplot_mouse.js (popup_help(URL) toggle_plot(N)):
	Add version number to shared javascript code modules.
	Add support for linking help button to plot-specific URL.
	Add support for toggling individual component plots on/off.

2011-03-30  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/gd.trm: Don't try to reuse names of gd font pointers for
	local variables. Fixes build with MinGW and DLL version of libgd.

	* config/mingw/Makefile: Optionally, use pre-built DLL version
	of libgd. Use environment variable PROGRAMFILES to access help
	compilers.

2011-03-29  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgnuplib.rc, src/win/wgnuplot.rc, src/win/wresourc.h:
	Use standard dialog font. Remove obsolete DS_3DLOOK.

	* src/win/winmain.c (WinMain): Sync About Dialog box with
	output of "show version".

	* src/win/wmenu.c (SendMacro), src/win/wgnuplot.mnu: Add
	About dialog to Help menu.

	* src/win/wmenu.c (SendMacro), src/win/wgnuplot.mnu: Add
	Options menu to toolbar.

2011-03-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (get_data):  Fix array bounds underflow if every
	point in a data file is invalid.
	Bug #3254653

2011-03-28  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wtext.c: Always update complete lines of text instead
	of drawing single characters, since character boxes might
	overlap when using ClearType.

	* docs/README: Document recent changes to Windows help.

	* src/win/wgnuplib.h, src/win/wcommonh.h, src/win/wtext.c:
	Continue to make more stuff module-local.

	* src/win/wgnuplib.h, src/win/wmenu.c: Move definition of
	SHELL_DIR_DIALOG.

	* config/config.nt: Sync with config.h created by autoconf.

2011-03-26  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/gd.trm (PNG_put_text ENHGD_FLUSH gd_iconv):  Invoke the
	SJIS/UTF8 conversion for both enhanced and non-enhanced text.
	EAM - and collapse the shared code into a subroutine.

2011-03-26  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/mingw/Makefile: Add missing paths to wxt/cairo/pango
	files. Update build instructions.  WX_LOCATION is no longer
	required since gnuplot has its own manifest file now and the one
	supplied by wxWidgets is no longer included. htmlhelp.lib is
	included in LDLIBS not TERMFLAGS. Replace '=' by ':=' for shell
	commands. Filter out drive specifications "c:" in results from
	pkg-config which would confuse make.

2011-03-25  Ethan A Merritt  <merritt@u.washington.edu>

	* src/pm3d.c docs/gnuplot.doc:  Allow pm3d plots to use the fourth
	column of data as "rgb variable" rather than "palette z".

2011-03-25  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* src/win/wtext.c: Make more stuff module-local.  Resolve several
	signedness conflicts introduced by functions in new screenbuf.c
	module.

2011-03-25  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/plot.c (main), src/win/winmain.c (WinMain, WinExit),
	src/win/wcommon.h: The code which changes the codepages for
	console gnuplot is only compiled in if CONSOLE_SWITCH_CP is
	defined.  Otherwise gnuplot will only display a warning if
	codepages differ.  Handle the case when codepages already match.

2011-03-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/Makefile.maint: Fill in the "last modified" date from the most
	recent entry in the ChangeLog rather than the using the current date,
	and only then if the VERSION or PATCHLEVEL has been changed.
	Caution: tested only under linux with gnu make.

2011-03-22  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/graphics.c (do_plot, plot_points): Test wether the terminal
	actually supports set_color. Fixes crashes with terminal dumb.

2011-03-21  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (WIN_image): Fix regression: rotation of images
	with reversed axis was not working since rev. 1.92.

2011-03-20  Ethan A Merritt  <merritt@u.washington.edu>

	* src/util.c (equals): Test here for token index in range, rather than
	trusting all callers to get it right.

	* src/command.c src/parse.c: Token index range test is now redundant.

	* docs/gnuplot.doc: Document that ^D from an empty line acts as EOF.

2011-03-20  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgnuplib.c|h, src/win/wgraph.c, src/win/winmain.c,
	src/win/wmenu.c, src/win/wpause.c, src/win/wtext.c: FAR pointers are
	no longer required.

	* src/win/winmain.c (WinExit): Explicitly close help window on exit.
	Fixes hangs of gnuplot when it is closed via the Windows taskbar
	and help window	and graph window open.

	* src/win/wmenu.c (LoadMacros), src/win/wgnuplot.mnu ([Button]): Add
	icons to the text-window toolbar.

	* docs/windows/doc2html.c (process_line): Don't include '=' items in
	index. This avoids duplicate entries which caused wgnuplot to stall 
	when an e.g. 'set term png; help "png"' was issued.

2011-03-18  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wtext.c (TextCopyClip): Fix copying of last line of a
	marked region in case the marking exceeds the length of that
	line.

	* src/win/wgnuplib.rc, src/win/resourc.h: Remove dialog resource
	which was only used on Win16.

	* term/gd.trm (PNG_init): On Windows, set GDFONTPATH to %windir%\Fonts
	if not set previously.

	* src/plot.c (main), src/win/winmain.c (WinMain, WinExt): Always use
	the ANSI codepage (instead of OEM) to ensure sure that the console
	of gnuplot.exe and the graph window use the same codepage. Warn
	users that raster fonts won't display all characters correctly and
	restore the codepage on exit.

2011-03-17  Ethan A Merritt  <merritt@u.washington.edu>

	* axis.c(gen_tics): Make sure the axis tic label format string is
	long enough to hold enhanced text markup.  Fixes buffer overflow.

2011-03-16  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (UnicodeText): new function to convert a string
	to UTF-16

	* src/win/wgraph.c (drawgraph, GraphGetTextLength) NEWS: support
	"set encoding" for all currently defined encodings

	* src/win/wtext.c (ReadTextIni): select default font according to
	the Windows version. Avoid font "Terminal" since it might not
	contain all glyphs of the current character set.

	* src/win/wgnuplib.h, src/win/wgraph.c, term/win.trm: use child
	window for status bar, allow right button mouse click on status
	bar to activate the `graph-menu` popup. Change name of
	GW.statuslineheight for consistency with TW.

2011-03-15  Ethan A Merritt  <merritt@u.washington.edu>

	* axis.c(copy_or_invent_formatstring): If the default tic format has
	insufficient precision to distinguish the two extremes of the axis
	range, increase the precision.

2011-03-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c: Auto-placement of the left margin of the plot
	was failing to allow room for "set key outside left".

	* term/post.trm: Add a %%Page statement in *.eps files, as current
	versions of standard tools seem to expect it.
	Bug #3046700

2011-03-13  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgnuplot.rc, src/win/wgnuplot.exe.manifest: add new
	manifest for wgnuplot to enable visual styles

	* src/win/wmenu.c, src/win/wtext.c: remove unused variables to
	make compiler happy, avoid C++ style comments

	* src/win/wtext.c (TextInit), src/win/wmenu.c, src/win/wgnuplib.h,
	src/win/wresourc.h: add a statusbar to the text window,
	reduce size of text area accordingly

	* src/win/wtext.c (WndParentProc): [WM_GETMINMAXINFO] use active
	font to calculate minimum window size; take menu, toolbar and
	statusbar into account

2011-03-13  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/cygwin/Makefile (LDLIBS): Add newly needed library.

2011-03-13  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/config.nt, src/alloc.c, src/alloc.h, src/command.c,
	src/eval.c, src/fit.c, src/gpexecute.c, src/plot.c, src/syscfg.h,
	src/win/wcommon.h, src/win/wgnuplib.c, src/win/wgnuplib.h,
	src/win/wgnuplot.mnu, src/win/wgnuplot.rc, src/win/wgraph.c,
	src/win/winmain.c, src/win/wmenu.c, src/win/wpause.c,
	src/win/wprinter.c, src/win/wtext.c, term/win.trm:
	Remove Win16 support.

	* src/win/winmain.c (WinMain): init common controls
	* config/mingw/Makefile, config/magefile.mgw, config/makefile.nt,
	conig/watcom/Makefile: add library comctl32

	* src/win/wmwenu.c (LoadMacros, CloseMacros, MenuBottonProc): use
	common controls toolbar, remove MenuBottonProc
	* src/win/wgnuplib.h (MW): add handle for toolbar, remove pointer
	to MenuBottonProc
	* src/win/wresourc.h: add ID for toolbar
	* src/win/wtext.c (WndParentProc): [WM_SIZE] forward msg to toolbar,
	[WM_PAINT] remove completely

	* src/win/wingraph.c (UpdateStatusLine, DisplaySatusLine): use common
	controls

	* src/win/winmenu.c (IShellFolder_BindToObject),
	(IShellFolder_GetDisplayNameOf): protect definition by #ifdef,
	(SendMacro) use newer variant of directory dialog

2011-03-11  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/makefile.nt: implement suggestions by Shigeharu Takeno:
	Do not use "+=" to be compatible with Visual C++ 2005; add/update
	links wo libgd and wxWidgets; add a scheme to easily select options
	[GDLIB, PDFLIB, WXT]; use linker option files for compilation of
	wgnuplot.exe and gnuplot.exe

2011-03-11  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in: Check for iconv library and iconv.h, since gd uses iconv
	to convert between UTF-8 and SJIS encodings if it is available.

	* term/svg.trm: Demarcate plot elements using the svg <title> and
	<g id=foo> elements rather than <a xlink:foo>
	Bug #3205257

	* src/misc.c src/wxterminal/gp_cairo.c src/wxterminal/gp_cairo.h
	src/wxterminal/wxt_gui.cpp src/wxterminal/wxt_term.h term/cairo.trm
	term/canvas.trm term/cgm.trm term/emf.trm term/gd.trm term/svg.trm
	term/wxt.trm term/x11.trm:
	Add option to specify a background color in "set term".
	NB: Not yet implemented for terminals:  win post qt pm

2011-03-11  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/gd.trm: libgd can be customized for Japanese use such that
	it prefers SJIS encoding rather than UTF-8 encoding.  Add code to
	check which encoding the local libgd prefers, and convert strings
	to that encoding if necessary.

2011-03-10  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/command.c (test_palette): tmpfile() always fails on a modern
	Windows. Open a file in the user's temp directory instead.

	* src/win/winmain.c (WinExit): add missing void parameter

	* src/win/wgraph.c (drawgraph): add missing init

2011-03-09  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/makefile.nt: add chm help (update of SF patch 3191892 by
	Shigeharu Takeno), (HCWPATH, HHWPATH) use PROGRAMFILES variable
	instead of hard coded path

2011-03-08  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/cygwin/Makefile (WINOBJS): Add new object file screenbuf.
	(screenbuf.$(O)): Rule for new object file.

2011-03-08  Bastian Maerkisch  <bmaerkisch@web.de>

	* config/makefile.nt: fix copy/paste errors

2011-03-07  Bastian Maerkisch  <bmaerkisch@web.de>

	revised implementation of Windows text window, SF patch 1973569,
	Feature Request 992352
	* src/win/screenbuf.c|h: new files, implement dynamic buffer to
	hold screen contents
	* src/win/wtext.c: use data structures and methods from
	screenbuf.c|h; optionally wrap long lines which don't fit on
	screen [TextWrap]; add menu item to toggle this setting; save/load
	size of text buffer to/from wgnuplot.ini [TextLines]; avoid
	erasing the window area to avoid flicker during window resize;
	coloured output is not yet implemented.
	* src/win/wgnuplib.h: change definition of struct TW accordingly
	* src/win/wresourc.h: new menu item "Wrap long lines"
	* term/win.trm: update help texts on `text-menu` and `wgnuplot.ini`
	* config/makefile.nt, config/makefile.mgw, config/mingw/Makefile:
	include screenbuf.c|h in build process

2011-03-07  Bastian Maerkisch  <bmaerkisch@web.de>

	* docs/Makefile.in: add new target 'htb' to create help file
	compatible with wxWidgets help viewer

	* docs/windows/doc2html.c (main): change command line options,
	(convert, header, footer) optionally split html files manually
	[SPLIT_FILES] (Note: this will produce ~500 files!), optionally
	create index file manually [CREATE_INDEX], always use hard-coded
	links as none of the open source viewers seem to support k-links

	* config/makefile.mgw, config/watcom/Makefile, config/mingw/Makefile:
	change command line accordingly

2011-03-06  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/watcom/.cvsignore: Set up list of files to be ignored.

	* config/watcom/Makefile (clean): Remove GIF help files.

	* config/watcom/Makefile (wgnuplot_pipes.exe, gnuplot.exe): Add
	missing library msimg32.

2011-03-05  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/makefile.nt (OPTIONS, LDFLAGS, TERMFLAGS): Grouped for
	easier disabling of optional terminals (gd, pdf, wx).
	(gnuplot.exe): Change name of console gnuplot to the common one.
	Drop wgnuplot_pipes.exe in the process.
	(pgnuplot.exe): Re-use this name for the original program that had it.
	(HCWPATH): New.  Help compiler need not be on PATH.
	($(HELPFILE)): USE $(HCWPATH).
	(CC): Remove /c option.  Put that into calls that only compile,
	instead.  Allows to use $(CC) instead of verbatim "cl" in more
	places.
	(LDFLAGS): Remove /subsystem option.  Put it into calls instead,
	because it's different for different builds.
	(CBASEFLAGS): Adapted to current version of MSVC.
	(O): Missing macro needed for makefile.all.
	(linkopt1.msw, gnuplot.exe): Add recently needed library msimg32.

2011-03-03  Peter Hedwig <peter@affenbande.org>

	* term/lua.trm:  If the cairo terminal is not available to make a
	bitmap image, use libgd instead.

2011-02-28  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc docs/plotstyles.gnu:  Add a polar-mode example
	to the set of plotting style figures (even though it is not really
	a "plot style").

2011-02-28  Bastian Maerkisch  <bmaerkisch@web.de>

	* docs/xref.c (refs): Only emit start and stop strings if we
	write any items at all.

	Request by Mojca Miklavec
	* docs/windows/doc2html.c: Include list of subtopics. Optionally
	use hard links instead of index lookup (HTML_HARDLINKS).

	Feature Request #874572
	* term/win.trm src/win/wgraph.c src/win/wgnuplib.h
	src/win/wresourc.h: Add double buffering to the windows terminal
	to avoid flicker on redraw. Add a poor man's version of antialiasing:
	draw on a bitmap twice the size of the window on screen, then
	scale down using halftone mode. Both settings are optional and can
	be changed via the `graph-menu` and `wgnuplot.ini`.

2011-02-26  Ethan A Merritt  <merritt@u.washington.edu>

	* term/Makefile.am.in: Don't try to install TeX files for lua
	if we didn't build lua support.

2011-02-26  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/mingw/Makefile, config/cygwin/Makefile: New files.  Work
	like config/makefile.cyg and config/makefile.mgw, respectively,
	but without spilling files into the source tree.

	* config/makefile.oww: Dropped.  Superseded by
	config/watcom/Makefile.

2011-02-26  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/wgraph.c (drawgraph): handle the case of transparent
	fill with color from linetype: save color to variable last_color
	on all changes and create solid brushes when required

2011-02-25  Bastian Maerkisch  <bmaerkisch@web.de>

	* term/win.trm (WIN_image, WIN_filled_polygon) src/win/wgraph.c
	(drawgraph: W_boxfill, W_pm3d_setcolor, W_pm3d_filled_polygon)
	(W_image): support transparency and alpha channel for boxes,
	images and polygons. Use memory bitmaps to draw and then use
	AlphaBlend() and TransparentBlt() to copy to the screen. Fix
	clipping of images.

	* config/makefile.mgw(LDLIBS): additional GDI library file

	* docs/gnuplot.doc: update `set style fill transparent`

	* term/win.trm: update and reformat windows help text

2011-02-24  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot-ja.doc:  sync to docs version 1.651

2011-02-24  Peter Hedwig <peter@affenbande.org>

	* term/lua/gnuplot-tikz.lua term/lua.trm:  Make full bitmap
	support conditional on HAVE_CAIROPDF.  Necessary in order to
	build lua without the cairo terminals.

2011-02-24  Hans-Bernhard Broeker <broeker@physik.rwth-aachen.de>

	* share/LaTeX/Makefile.am (${lua_files}): Missing $(top_srcdir)
	broke out-of-source-tree build.

2011-02-23  Ethan A Merritt  <merritt@u.washington.edu>

	* term/lua/gnuplot-tikz.lua term/lua/gnuplot-tikz.help:
	Fix redundant definitions that broke TeX-based documentation.

	* term/Makefile.am.in: Regenerate term/lua/gnuplot-tikz.help

2011-02-23  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc: correct typos; revive some "html" anchors

2011-02-23  Bastian Maerkisch  <bmaerkisch@web.de>

	* docs/gnuplot.doc: add link from `rand` to `random` and use
	proper table format in random section

	* term/lua/gnuplot-tikz.help term/lua/gnuplot-tikz.lua: balance
	backquotes in gnuplot help.

	* src/win/wgraph.c: reorder entries of the graph popup menu

	* src/win/winmain.c(IsWindowsXPorLater) src/win/wcommon.h: add a
	function to detect if gnuplot is running on Win XP or later.

	* src/win/wtext.c(TextMakeFont) src/win/wgraph.c(Makefonts):
	select ClearType or Proof quality depending on OS version to
	improve rendering quality

2011-02-21  Peter Hedwig <peter@affenbande.org>

	* term/lua/gnuplot-tikz.help term/lua/gnuplot-tikz.lua
	term/lua/NEWS term/lua/README term/lua/TODO term/lua.trm:
	Re-work the lua terminal to support ConTeXt and plain TeX in addition
	to TikZ.  Requires TikZ >= 2.0

	* share/LaTeX/Makefile.am: Regenerate the lua terminal *.tex and *.sty
	files from the Makefile rather than keeping them in cvs.

2011-02-21  Bastian Maerkisch  <bmaerkisch@web.de>

	Windows HTML help, SF patch set #3186000.
	* docs/gnuplot.doc: changes for windows html help: update
	titlepage, comment out old html anchor definitions and links, and
	add html replacements for tables

	* docs/plotstyles.gnu: new variable winhelp used to switch between
	PDF output for "make pdffigures" and PNG output for windows html
	help
	* docs/windows/doc2html.c: New help file format converter derived
	from docs/doc2rtf.c and docs/doc2html.c (Attic)

	* docs/windows/wgnuplot.hhp: New file. HTML help project file.

	* docs/windows/wgnuplot.hhk: New file. HTML help stub index file.

	* docs/windows/wgnuplot.stp: New file. HTML help negative list for
	search index generation. Caution: maximum size 512 bytes.

	* src/command.c (help_command): issue error message if helpfile
	could not be opened, fix table of contents command ("help")

	* src/win/winmain.c (WinExit) [WITH_HTML_HELP]: no need to close
	  help window

	* config/makefile.mgw: Optionally modify settings to build and use
	HTML help [HTML_HELP].

	SF patch set #3186010.
	* history.c (write_history_list history_find history_find_all):
	use ANSI C definitions

	* command.c (history_command): mention editline in message for
	missing history support

	* readline.c(getc_wrapper): generalize code used for editline

2011-02-20  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in: Revised configuration tests for lua support.

	Variable arrowstyle for vector plots.
	* src/gadgets.c src/gadgets.h src/set.c src/term_api.h:
	  Add tag field to arrow_style_type
	* src/misc.c (arrow_parse) src/misc.h (arrow_use_properties):
	  Parse "arrowstyle variable", export a routine to apply it.
	* src/plot2d.c (get_data): Allow 5 column "with vectors" style.
	* src/graphics.c (plot_vectors) src/graph3d.c (plot3d_vectors):
	  Check for arrowstyle variable, apply to each vector if needed
	* demo/arrowstyle.dem: Modify last plot to show arrowstyle from column

2011-02-20  Hans-Bernhard Broeker  <broeker@physik.rwth-aachen.de>

	* config/config.oww [WITH_HTML_HELP]: Change helpfile name.

	* src/command.c [WITH_HTML_HELP]: Include <htmlhelp.h>.
	(help_command) [WITH_HTML_HELP]: Use HTML help instead of classic
	WinHelp32 helpfile system.

	* config/watcom/Makefile (HELP_EXT, HHC_DIR, HHC, WD, HHP_PROJ)
	(HHP_CONTENT, HHP_INPUT, HHP_OUTPUT): New variables.
	(HELPFILE, CPPFLAGS, LDLIBS) [HELP_EXT==chm]: Optionally modify
	settings to build and use HTML help.
	(wgnuplot.chm, $(HHP_OUTPUT), $(HHP_INPUT) $(HHP_CONTENT))
	(doc2html.exe) [HELP_EXT==chm]: New targets.
	(clean, realclean): Delete files generated for HTML help.

	* term/win.trm (WIN_enhanced_flush): Replace C99-ism by simpler cast.

2011-02-20  Bastian Maerkisch  <bmaerkisch@web.de>

	* src/win/text.c(DragFunc): Support drag and drop of directories
	onto the windows terminal emulator.

	* plot.c(main): init rl_library_name before first call to
	editline, otherwise .editrc does not work

2011-02-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/internal.c (f_calln): Limit recursion depth for multi-variable
	functions in the same manner as for single-variable functions.
	Bug #3184671

	* docs/gnuplot.texi: This file is generated from gnuplot.doc. The copy
	in cvs is perennially out of date, so remove it. "make gnuplot.texi" to
	regenerate it when needed.

2011-02-12  Ethan A Merritt  <merritt@u.washington.edu>

	* term/cairo.trm: Add missing TERM_ALPHA_CHANNEL flag for pdfcairo

2011-02-11  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* term/win.trm(WIN_enhanced_flush) src/win/wgraph.c(GraphGetTextLength):
	Adjust position of enhanced text to account for terminal aspect ratio.

2011-02-10  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* term/win.trm (WIN_set_font) src/win/wgraph.c (GraphChangeFont):
	Do not initialize to an empty font name.
	Bugfix

2011-02-10  Ethan A Merritt  <merritt@u.washington.edu>

	* term/lua.trm (LUA_set_color): Initialize rgb_color for the case TC_LT.
	term/lua/gnuplot-tikz.lua: Work around failure to handle LT_NODRAW
	and LT_BACKGROUND. This prevents a freeze, but is not a complete fix.

	* src/save.c (save_linetype): save/show variable linecolor correctly.

	* src/misc.h src/misc.c (parse_colorname):  Split out color name
	interpretation into a separate routine.

	* src/graphics.c (filter_boxplot) src/graphics.h
	src/plot2d.c (boxplot_range_fiddling):
	Sort and filter points contributing to a boxplot at the point we pick
	the auto-range limits rather than waiting till when we draw it.
	Bug #3155750

2011-01-26  Ethan A Merritt  <merritt@u.washington.edu>

	* term/emf.trm (EMF_filled_polygon): Explicitly set a zero-width
	same-color border for filled polygons, otherwise it inherits a border
	line style.
	Bug #3165902

2011-01-25  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_encoding): Check result of "set encoding locale"
	to see if we have just loaded an sjis (codepage 932) locale.

2011-01-25  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* src/term.c src/term_api.h term/post.trm term/svg.trm NEWS
	docs/gnuplot.doc:
	"set encoding sjis" allows characters in Shift-JIS Japanese encoding to
	survive enhanced text processing by the postscript and svg terminals.

2011-01-23  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c (xtick_callback ytick_callback ztick_callbacke):
	Revert change made 2011-01-20 because it breaks hidden3d.

	* src/util3d.c (map3d_xy_double):  Instead revise the map3d_xy() code
	path to share the coordinate transformation used by map3d_xyz().
	Bug #3157712

2011-01-22  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* src/win/wgraph.c:  Fix typo in previous definition of _WIN32_WINNT.

2011-01-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_boxplot):  Handle some corner cases
	(all points have the same value, fewer than 4 valid points).
	Bug #3162872

2011-01-20  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c (xtick_callback ytick_callback ztick_callbacke):
	Gnuplot uses two different pathways to convert 3D coordinates in user
	space into 2D coordinates in the terminal coordinate space.  One of
	these goes via map3d_xyz() and TERMCOORD(); the other uses map3d_xy().
	Unfortunately it seems the two paths can differ by +/- one pixel in the
	final terminal coordinates.  This discrepancy is particularly
	noticeable in the grid and axis tic placement of 3D plots after
	"set view map" (Bug #3157712).
	This patch switches the tick_callback() routines to use the map3d_xy()
	pathway, which fixes the problem case described by the bug report.
	It would be to make both pathways share the same underlying code
	so that the discrepancy doesn't occur in other conditions.
	Bug #3157712

2011-01-19  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (place_raxis): If the polar axis maximum is autoscaled,
	draw the raxis all the way to that maximum value.
	Bug #3153406

	* term/post.trm: Replace a use-once character array by a literal string.

2011-01-18  Mojca Miklavec  <mojca.miklavec.lists@gmail.com>

	* src/wxterminal/gp_cairo.c:  Cast size_t arguments to (int).

2011-01-17  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* src/win/wgraph.c:  Pass mouse wheel events through to the core
	mousing code so that interactive pan/zoom works from the windows
	terminal.

2011-01-16  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_logscale set_autoscale) src/unset.c (unset_autoscale)
	src/axis.h docs/gnuplot.doc:  Remove macro INIT_AXIS_ARRAY.
	"set logscale" should not affect pseudo-axes.
	Bug #3159062

2011-01-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (eval_plots):  Minimum value of polar axis always
	auto-scales to 0 (already documented but implementation lacked).

2011-01-10  David Kuehling <dvdkhlng@gmx.de>

	* term/linux.trm:  Makes linux.trm work with all SVGAlib video modes,
	not only 16 and 256-color modes.

	* src/term.c (init_terminal):  Correct the auto-selection of terminal
	type vgagl or linux.  Only select vgagl if lib3dkit is present.

2011-01-08  Hans-Bernhard Broeker <broeker@physik.rwth-aachen.de>

	* src/internal.c (f_time): Don't use a local variable of the same
	name as a function you're trying to call.

2011-01-07  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/unset.c (reset_command):
	"reset" didn't restore default for "set raxis"

2011-01-03  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/internal.c (f_time) src/stdfn.h docs/gnuplot.doc:
	Fix breakage caused by the previous update

2011-01-02  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/internal.c (f_time) docs/gnuplot.doc:
	Modified time() so that type of result depends on type of argument

2011-01-01  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/eval.c src/internal.c src/internal.h: 
	New time() function to get the current system time

	* docs/gnuplot.doc demo/timedat.dem:
	Documentation and demo for time()

2010-12-29  Daniel Sebald  <daniel.sebald@ieee.org>

	* src/specfun.c (ranf):  Place more restrictions on seed values
	used by rand(seed).

	* docs/gnuplot.doc (rand):  Updated documentation of rand()
	function with details about algorithm and allowable seeds.

2010-12-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/specfun.c:  Make all the numerical routines f_whatever()
	retrieve their argument via pop_or_convert_from_string().

	* src/specfun.c (ranf):  Disallow fractional seed values since
	truncation to an integer produces an invalid seed value of zero.

2010-12-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c:  Use t->set_color() rather than t->linetype() to
	set the fill color for pointinterval < 0 and for opaque key.
	Needed for windows terminal [any others?].

2010-12-17  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/win.trm: (WIN_point WIN_filled_polygon):
	Always draw point symbols using a solid line, even if the current 
	line type is dashed.  Unfortunately this fix is limited to monochrome
	mode.
	Bug #1952364

	* src/win/wgraph.c (drawgraph): Selecting linetype 16 caused
	corruption of the color and pen assignments in mono mode.

2010-12-14  Hans-Bernhard Broeker <broeker@physik.rwth-aachen.de>

	* config/watcom/Makefile, config/watcom/config.h: New version of
	Makefiles for OpenWatcom that builds outside the src tree.

	* config/config.oww (pclose, popen): New defines need to compile
	pipe-enabled version on OpenWatcom.

	* docs/Makefile.in (pdffigures): Make indirect target depending on
	pdffigures.tex, to avoid unconditional rebuild.
	(pdffigures.tex): New, renamed copy of previous target pdffigures.
	(figures): Set loadpath for demos; allow this to work from
	out-of-source builds.

	* docs/gnuplot.texi: Regenerated.

	* docs/gnuplot.doc: Clean up blank-only lines.

	* src/win/wtext.c, src/win/wprinter.c, src/win/wpause.c,
	src/win/wmenu.c, src/win/winmain.c, src/win/wgraph.c
	{HAVE_CONFIG_H}: Add "config.h" include.

	* src/syscfg.h {MSVC}: Add missing include (was hidden in MSDOS
	section, which the Win32 build doesn't touch).

	* src/makefile.awc (COREOBJS): Add missing entry for tabulate.c

	* term/PostScript/prologues.h (): Regenerated. prologue_cp1251_ps
	was missing completely, among other lapses.

2010-12-13  Tatsuro Matsuoka  <tmacchant3@yahoo.co.jp>

	* term/emf.trm:  Create special point types 70-74 to be filled polygons,
	just as they are for the postscript terminal.

2010-12-12  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c:  Honor "set key tc <foo>" in 3D plots.  Bugfix.

2010-12-06  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/term-ja.diff docs/gnuplot-ja.doc:
	Sync Japanese documentation to gnuplot.doc rev 1.641

2010-12-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/fit.x (fit_command): Do not use axis_array[SECOND_Z_AXIS] as 
	temporary storage, because leaving junk in it can cause an erroneous
	free() operation later on.
	Bug #3130115

2010-12-04  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gadgets.c src/save.c src/set.c src/show.c src/tables.c
	src/tables.h src/unset.c docs/gnuplot.doc: 'set pointintervalbox'.

2010-12-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c (gen_tics): Casting to a float may have been clever, but
	we can't afford the loss of precision (fails for time coordinates).

	* src/pm3d.c (pm3d_depth_queue_flush): Restore deleted code needed for
	extended color support.  (There are still some svga users after all!)

	* term/emf.trm: 
	Use the EMR_ELLIPSE primitive to draw point types 6 and 7.
	Make point types 4 and 5 slightly larger (looks better on MSWin).
	Switch to using linecap=flat and linejoin=miter by default,
	but add option "rounded/butt" to toggle this.

2010-11-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_decimalsign):  Possible fix for problem with
	numeric locales on Windows.  Bug #3120819.

2010-11-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gadgets.c src/gadgets.h src/graphics.c demo/dashcolor.dem:
	Fix breakage to the pointinterval property that was caused by 
	opaque key support.  Add a demo plot illustrating pointinterval.

2010-11-26  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm demo/html/webify_canvas.pl
	term/js/gnuplot_common.js term/js/gnuplot_dashedlines.js:
	Add support for dashed lines and rounded/butt line properties.

2010-11-24  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm term/js/gnuplot_common.js term/js/gnuplot_mouse.js:
	Revamp the javascript support for the HTML5 canvas terminal.
	Move all global variables into a single object "gnuplot" declared in
	gnuplot_common.js.  This revision also adds polar mode mousing support.

	* demo/html/Makefile.canvas demo/html/index.canvas 
	demo/html/mouseable.dem demo/html/mousebox.template 
	demo/html/webify_canvas.pl:
	Revamp the demos and build scripts to use the new javascript syntax.

	See tracker item #3058147

2010-11-23  Ethan A Merritt  <merritt@u.washington.edu>

	* term/js/gnuplot_common.js:  Rotated text should be zoom-able also.

	* term/js/gnuplot_mouse.js:  Konqueror (webkit?) implementation of ctx
	does not like negative values of width or height.

	* src/eval.c (fill_gpval_axis) term/canvas.trm:
	Export polar axis limits and logscale status for external mousing.

2010-11-20  Casey Carter   <ctcarter@users.sourceforge.net>

	* demo/html/index.canvas demo/html/index.save demo/html/index.svg 
	term/canvas.trm:  syntax error in link record of standalone mode.

2010-11-18  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c src/axis.h src/command.c src/eval.c src/graphics.c
	src/misc.c src/mouse.c src/plot2d.c src/save.c src/set.c src/setshow.h
	src/show.c src/tables.c src/tables.h src/unset.c
	demo/polar.dem demo/poldat.dem docs/gnuplot.doc:

	Improved support for polar coordinate mode. 
	The polar axis gets syntax and properties equivalent to the x/y/z axes.
	- set/unset raxis (always drawn through the origin)
	- set rrange controls the extent of the axes and of the plot itself;
	  the xrange and yrange are set to match, but can be changed afterward
	- set rtics (drawn to right of origin; optionally mirrored to the left)
	- set log r (does not affect scaling on x or y)
	- polar coordinate readout from mousing
	- filledcurves bounded by constant r
	- polar.dem (turn off rtics so the demo output remains as before)
	  poldat.dem (add a plot showing raxis, rtics, and log scaling on r)

	* src/set.c (set_grid): Clean up the option parsing for set grid.

	* src/save.c: save output for "set view" could not be read in.

2010-11-16  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gadgets.c (clip_line):  When draw_clip_line() was made into a
	wrapper for clip_line() in May 2000, they differed in a single test.
	The version of the test from clip_line() was kept.  But this broke
	the case clip_line(x, ymin, x, ymax+eps), which clipped to ymin,ymin
	rather than to ymin,ymax. I do not know if there were any callers of
	clip_line() at the time that needed the variant test, but if so they no
	longer exist.  There is now only one other caller of clip_line().
	Restore the test to the version that is correct for draw_clip_line().

	* src/graphics.c (place_grid xtick2d_callback plot_impulses)
	src/term.c (do_arrow): Simplify these routines to use draw_clip_line().

2010-11-13  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in INSTALL src/Makefile.am src/term.c src/term.h:
	The copyright notice in bitmap.c is more restrictive than the gnuplot
	license. The new configuration option --without-bitmap-terminals
	omits this code from the gnuplot executable and also disables all
	terminals that depend on it. These are:
		epson.trm hp500c.trm hpljii.trm hppj.trm pbm.trm
	This affects HP deskjet-era printers, but not HPGL or PCL5 printers.

	* src/set.c:  Replace unnecessary memcpy() calls with direct assignment.

	* docs/Makefile.in: Add gnuplot.pdf to the distributed package.
	Install it in the same directory as gnuplot.gih.

2010-11-12  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc command.c (help_command) util.h:
	"help" was collapsing all text to lower case, which broke "help 3D".
	Remove a vestigial call to lower_case().  Also make sure it is indexed.

2010-11-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c src/axis.h src/set.c src/unset.c:
	Re-arrange the order of axes in the axis_table[] array so that all the
	parametric axes are at the end.  This makes it easy to iterate over only
	those axes that make sense for the "set/unset logscale" commands.
	Previously, commands like "set logscale tuv" were silently accepted,
	leading to strange internal state.

	* src/plot2d.c:  Issue an error message if the user tries to plot in 
	polar mode with a style that is not supported.
	Bug #3072150

	* src/axis.h (AXIS_INIT2D) src/set.c (set_logscale):
	Keep AXIS.log_base in sync with AXIS.base.
	Otherwise calls to AXIS_DO_LOG or AXIS_UNDO_LOG prior to the first plot
	command cause divide-by-zero or other math errors.

2010-11-07  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/datafile.c (df_readascii): The "labels" style did not work with 
	pseudocolumns (e.g. "using 1:2:0"). Now it correctly handles pseudocolumns 
	0, -1, -2.

	* term/cairo.trm: Documentation fix: the section on the default size 
	for the pngcairo terminal was incorrect.

2010-11-06  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/plot3d.c src/plot3d.h src/set.c src/show.c src/save.c
	docs/gnuplot.doc demo/kdensity2d.dem: New option "kdensity2d" for 
	"set dgrid3d" to create two-dimensional kernel density plots.

2010-11-03  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc:  typos
	* docs/term-ja.diff docs/gnuplot-ja.doc:
	Sync Japanese documentation to gnuplot.doc rev 1.633

2010-11-02  Michael Murphy  <murphy-md@users.sourceforge.net>

	* share/LaTeX/gnuplot-lua-tikz.sty:  Change the tikz default linetype 0
	axis style from dashed to dotted, and the color from black to 35% black.
	Tracker item #3098162

2010-10-31  Petr Mikulik  <mikulik@physics.muni.cz>

	* demo/pm3dcolors.dem: Added first page with multiple palettes. Show
	color ranges in [0:1].

2010-10-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_boxes): Prevent out-of-range boxes from creating
	degenerate invisible boxes in the output file.  Can reduce file size for
	vector format output.
	Bug #3096750

	* src/axis.c: The custom routine dbl_raise() was failing to handle NaN
	correctly, causing an infinite loop from e.g.   set yrange [*:NaN]
	Replace it with a call to the C library routine pow().

2010-10-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (parse_fillstyle):  Allow "border" as a keyword without
	necessarily having an immediately following linetype or color.

	* src/plot2d.c (eval_plots):  fillcolor was not taking into account
	user-defined linetypes.

	* src/plot3d.c src/misc.c:  Simplify calls to load_linetype() 

	* lisp/gnuplot.el: Emacs 24 does not have make-local-hook
	contributed patch #3095458

	* ChangeLog.2: Split off ChangeLog at the point 4.5 was tagged.

	* docs/gnuplot.texi:  regenerate from gnuplot.doc v 1.633

2010-10-23  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in: The AC_CHECK_LIB macro apparently always appends
	to LIBS (despite what the documentation says). We want to accummulate
	readline-associated libraries in TERMLIBS rather than LIBS, 
	so save and restore LIBS around the checks.

2010-10-21  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (boxplot_range_fiddling): trap and report an error
	if the x coordinate of a boxplot is undefined.
	Bug #3092435

	* src/plot2d.c (get_data): Up until now this routine has returned
	the number of lines from which data were read, including lines
	containing undefined points. Change this to return the number of
	well-defined data points.  That way a file of junk is recognized as
	empty if read with either 'using 1:2' or 'using ($1):($2)'.
	Bug #3092435

2010-10-20  Graham Reed  <greed@users.sourceforge.net>

	* configure.in src/alloc.c:  Test at configuration time whether the
	local implementation of malloc(0) returns 0 rather than a pointer.
	If so, work around it in gp_malloc().  Replaces alpha-specific fix
	of 2010-10-04.

2010-10-18  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (box_range_fiddling) src/graphics.c (plot_boxes):
	Catch a couple of corner cases of "plot ... with boxes".
	Bug #3075938

2010-10-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c (gen_tics): A smart (or maybe that's dumb) compiler may 
	optimize out our tests for step size less that the machine precision.
	Try to forestall this by marking the steps as (float)(volatile double).
	Bug #3085168

2010-10-12  Ethan A Merritt  <merritt@u.washington.edu>

	* src/pm3d.c: Reduce the size of the pm3d surface quadrangle structure
	by removing a redundant copy of the vertex coordinates. Add a pointer to
	track the current plot's line color.
	Bug #2997853

2010-10-11  James R. Van Zandt  <jrvz@comcast.net>

	* src/specfun.c src/specfun.h src/eval.c docs/gnuplot.doc:  Adding
	support for the exponential integral E_n(x) as gnuplot function expint(n,x).

2010-10-10  Tatsuro Matsuoka  <tmacchant3@yahoo.co.jp>

	* src/stdfn.c (not_a_number): Bit-pattern definition of NaN for MINGW

2010-10-09  Ethan A Merritt  <merritt@u.washington.edu>

	* term/lua.trm (LUA_options): Null-terminate the "set term lua ..."
	command string at the first semicolon before passing it to lua.

	* src/fit.c src/fit.h src/set.c docs/gnuplot.doc:
	New option "set fit quiet" prevents fit information sent to the log 
	file from being echoed also to stderr.
	Bug #2355210

2010-10-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c: Protect against the case that the x11 colormap is not
	partitioned identically to the palette.

2010-10-06  Marco Cammarata  <marcocamma@users.sourceforge.net>

	* docs/psdoc/ps_symbols.gpi: "set angle radian"

2010-10-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/color.c src/pm3d.c src/pm3d.h set.c show.c docs/gnuplot.doc:
	Simplify the syntax for "set pm3d hidden3d". A linestyle is no longer
	required.  If no linestyle is given, the line properties are taken from
	the plot command line.
	Bug #2997853

2010-10-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/getcolor.c (quantize_gray) src/getcolor.h src/gplt_x11.c:
	Continuation of defined palette revamp (2010-10-01). Break out the
	new code into a separate subroutine that can be shared with gnuplot_x11.

	* src/color.c (draw_inside_color_smooth_box_bitmap):
	Assign colors to component colorbox rectangles by rounding the pixel
	coordinate up rather than down.  This empirically gives better results
	in gd.trm, and doesn't seem to hurt other terminals.

	* term/post.trm term/pslatex.trm term/svg.trm term/PostScript/cp1251.ps
	src/term_api.h src/term.c docs/gnuplot.doc: Add support for codepage 1251,
	an alternative 8-bit Cyrillic encoding.

2010-10-04  Matthew Biggar  <biggarm@users.sourceforge.net>

	* src/Makefile.am src/alloc.c:  Architecture (Alpha) specific work-
	around to insure that gp_malloc() does not fail on error if 0 bytes are
	successfully allocated.

2010-10-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/stdfn.c (not_a_number): Although DJGPP version 2.04 is reported
	to support atod("NaN"), this version is not universal. Switch to using
	an explicit bit pattern for NaN.

2010-10-01  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (cp_free): Prevent use-after-free error if a plot
	structure containing dynamically allocated data is reused for a later
	plot.

	* src/color.c (make_palette) src/getcolor.c (rgb1maxcolors_from_gray)
	docs/gnuplot.doc:
	Revamp the interaction of `set palette maxcolors` and defined palettes.
	Up until now, `set palette maxcolors N` meant both "allocate N colors"
	and "divide the color range into N equal parts".  This meant that a
	user-defined palette that used unequal divisions of the total range
	interacted badly with a limited number of palette colors.  Now we 
	guarantee that in the case of defined palette ranges, a gray value is
	never mapped to a color outside its proper range even if the ranges
	are very unevenly spaced.  If more color ranges are defined than the
	value of maxcolors, this may (or may not) result in increasing the
	effective value of maxcolors.  Outboard terminals that enforce maxcolors
	(e.g. x11) do not yet benefit from this change.

	* configure.in src/datafile.c src/eval.c src/plot.c src/show.c
	term/lua.trm:  Remove conditional flag HAVE_ISNAN.
	Apparently we have been getting along OK with an unprotected call 
	to isnan() since Oct 2009.  That would seem to be good evidence 
	that we can remove the #ifdef protection elsewhere as well.

2010-09-30  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/plot2d.c (store_label eval_plots): Fix bug introduced by my patch
	of 2010-09-08 (references to uninitialized variables were found by 
	valgrind).

2010-09-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/color.c (draw_inside_color_smooth_box_bitmap):
	The color box is constructed from 128 segments.  If any of these
	straddles a boundary within a defined palette, split it into 2 segments
	so that discrete color transitions are described with pixel accuracy.
	This does not fix imprecision in the palette itself, which can result
	if too few colors are allocated (set palette maxcolors).

2010-09-28  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/titlepage.ipf docs/titlepage.tex: Years updated.

2010-09-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_image_or_update_axes): Add support for log-scale
	transformation of 2D image data.

	* src/hidden3d.c: Disentangle variable color from the direction of 
	arrows.  Bug #3074212

2010-09-28  Volker Dobler  <vdobler@users.sourceforge.net>

	* src/axis.c (load_one_range load_range) src/axis.h
	src/parse.c src/parse.h src/save.c src/set.c src/unset.c src/util.c
	demo/all.dem demo/autoscale.dem docs/gnuplot.doc:

	Introduce a mechanism for constraining the axis limits chosen during
	autoscaling.  For example:
	    set yrange [* : 100<*<200]
	constrains autoscaling on y such that the upper range limit must fall
	between 100 and 200.

2010-09-27  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/datafile.c (f_stringcolumn): The stringcolumn function didn't 
	recognize columns 0, -1, and -2. Now it treats them the same as the
	column function does.

2010-09-27  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (apply_head_properties): Simplify the arrowhead code.

	* src/graph3d.c src/hidden3d.c src/util3d.c src/util3d.h: Provide a
	3D wrapper apply_3dhead_properties() that dummies up an x-axis scale so
	that the 2D routine apply_head_properties() can be shared by 3D code.
	Bug #3074212

	* src/term.c (do_arrow): To do proper foreshortening of 3D arrowheads
	would require a new approach. As an approximation, assume that any short
	arrow with a big arrowhead is the result of foreshortening.
	This affects 2D arrows also, but the visual effect is not bad.

2010-09-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c (replotrequest):  Once we have started to replot, the
	previous data no longer exists. Therefore we must set refresh_ok = 0.

2010-09-23  Ethan A Merritt  <merritt@u.washington.edu>

	* src/axis.c (axis_checked_extend_empty_range):  When extending from
	an empty range, don't invert the axis direction by accident.
	Bug #3074365

2010-09-20  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (store2d_point):  Allow the use of "with circles" in
	polar coordinate mode.

	* src/plot2d.c (get_data):  The combination of smoothing and variable
	color cannot work in general.  Disable variable color for all smoothed
	curves.  Later we may add back support for the case of lc palette z.
	Bug #3063366

	* src/graphics.c (fill_between):  Fix filled curve clipping error.
	Bug #2963485

2010-09-19  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (edge_intersect):  If for some reason we fail to find
	find the intersection points of a vector both of whose ends are out of
	range, issue a warning, pick an edge, and continue.
	I can't see any good reason to treat this as a fatal error.
	Bug #2824879

	* docs/gnuplot.doc: Clarify the section on linetypes and linestyles.

2010-09-18  Ethan A Merritt  <merritt@u.washington.edu>

	* src/eval.c src/internal.c src/internal.h docs/gnuplot.doc:
	New function value("X") returns the value of a variable named X.
	A = "foo"
	value("A") returns "foo"
	value(A) returns NaN, because there is no variable named foo
	value(2) returns 2 (numeric expressions have a natural value)
	Among other things, this allows you to read variable names from
	a data file and use the current value of those variables in a plot.

	* src/util.c (gprintf):  Handle formats x/X/o/O for values that
	overflow (int) by switching to llx/llX/llo/llO and (long long).
	NB: This does _not_ extend the representation of negative numbers
	to 64 bits unless the representation overflows 32 bits.

2010-09-16  Ethan A Merritt  <merritt@u.washington.edu>

	* tutorial/eg2.plt tutorial/eg6.plt tutorial/test_tikz.plt 
	tutorial/Makefile.am.in tutorial/header.tex tutorial/tutorial.tex:
	Update the LaTeX tutorial a bit.  More could be done.

2010-09-15  Ingo Thies  <ingo.thies@gmx.de>

	* src/graph3d.c src/graph3d.h src/mouse.c src/set.c src/unset.c:
	Switch the middle button left/right mouse zoom behaviour in 3D plots
	so that the zoom response is logarithmic.  

2010-09-15  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/gd.trm:  As of libgd 2.0.36 you can now specify a TrueType font
	using either Fontconfig syntax or using the font file name directly.
	But switching from one form to the other was only possible as an 
	option of "set terminal".  This patch enables us to specify these two
	forms of the font name in "set title", "set xlabel", and so on.

2010-09-15  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term_api.h src/term.c (strlen_tex):  Add a special-case routine to
	estimate the true number of output characters in a LaTeX string
	containing markup. This is not a real LaTeX parser, but even a poor
	estimate is better than just calling strlen().
	Bug #1603348 and others

	* term/latex.trm term/lua.trm term/pslatex.trm: Set flag TERM_IS_LATEX
	so that strings passed to these terminals are sent to strlen_tex() 
	rather than the normal enhanced text string length estimation.

2010-09-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (boundary): When calculating the horizontal space
	required for x axis tick labels, we must ignore ticks that are outside
	the current axis range.

	* src/mouse.c (apply_zoom): Tick labels generated by
	'using xticlabels(N)' may have changed while the plot was zoomed, so we
	must preserve them when un-zooming.

2010-09-08  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_close):  Free matrix data that was stored in memory
	during input.  Otherwise we leak memory after every plot of matrix data.

	* src/color.h src/gadgets.c src/gadgets.h src/misc.c src/term.c
	src/term_api.h:  Repair some lp_style_type definitions and initializers
	that were incorrect or incomplete.

2010-09-08  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/plot2d.c (store_label eval_plots): Extend variable color support
	for LABELPOINTS style by allowing "with labels tc X lc Y" where X, Y is
	one of "lc variable", "lc palette z", or "lc rgb variable".

	* src/misc.c (lp_parse): Revert the patch of 2010-07-08 because 
	it accidentally disabled the coloring option "lc N".
	* src/graph3d.c (key_sample_line_pm3d key_sample_point_pm3d): 
	More correct fix to bug #3026477: the functions above failed to call
	the simpler key sample routines in case of plots with coloring option
	"lc N" and "lc rgb 'color'".

2010-09-06  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/term-ja.diff docs/gnuplot-ja.doc:
	Sync Japanese documentation to gnuplot.doc rev 1.623

2010-09-04  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/set.c (set_logscale): Removed arbitrary limitation for log base
	(was >= 1.1, now > 1.0)

2010-09-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/readline.c (readline): Fix Windows breakage (failure to
	recognize ^M as newline) caused by error in OSK code removal.

2010-08-31  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/os2/gnupmdrv.rc: Removed menu item Commands to clipboard.

	* src/gpexecute.c (gp_execute): Removed bSend2gp and call to
	TextToClipboard.

	* src/mouse.c (alert): Use DosBeep under OS/2.

	* os2/gclient.c: Removed unused #define GNUPMDRV.

2010-08-30  Ethan A Merritt  <merritt@u.washington.edu>

	* src/show.c (conv_text):
	Until now, the "show" and "save" commands have replaced all non-ascii
	characters with a byte-by-byte octal escape sequence.  This makes any
	labels, variables, titles, etc not human-readable if they contain UTF8
	encoded characters. Now we simply pass them through as-is if the current
	encoding is UTF-8. I think this is the correct thing to do for other
	8-bit encodings as well, but I can't test those easily.

2010-08-25  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (eval_plots):  Allow "fc <colorspec>" as an in-line
	option to the plot command for plot styles that use a fill.

2010-08-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c:  The gnuplot_x11 side of Shige's fix.

2010-08-14  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/x11.trm:  The last font used inside an enhanced text string was
	not being cleared on exit.

2010-08-13  Ethan A Merritt  <merritt@u.washington.edu>

	* src/ansichek.h src/gplt_x11.c src/plot.c src/readline.c src/show.c
	src/stdfn.h src/syscfg.h term/x11.trm:  Remove conditional code for 
	another obsolete platform (OSK/OS9, used for example on TRS-80).

2010-08-12  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c:  OSX history command could segfault if there was no
	previous history file.

	* docs/gnuplot.doc:  Reorganize documentation for binary files.

2010-08-09  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in src/plot.c: More work to enable autoconfigue on OSX.

2010-08-08  Olivier Mehani  <shtrom@users.sourceforge.net>

	* src/util.c docs/gnuplot.doc:  Add ISO-IEC-80000 prefixes
	(ki Mi Gi etc) as gprintf format specifiers %b and %B, which are
	respectively the mantissa and exponent.  Also fix an out-of-range
	formatting bug.

2010-08-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c: Do not create a data record for a blank line at the end
	of the input stream.
	Bugfix.

	* src/plot2d.c (eval_plots):  Update GPVAL_DATA values after plot in
	tabulate mode just as for normal plotting mode.
	Bug #3041233

	* docs/gnuplot.doc src/gadgets.h src/graphics.c src/save.c src/set.c
	src/show.c src/tables.c src/tables.h:
	New option "set key opaque".   If requested, the code makes two passes
	over each 2D plot command.  The actual graph is drawn during the first
	pass, and the key box with plot samples is drawn during the second pass.

2010-08-05  Ethan A Merritt  <merritt@u.washington.edu>

	* configure.in src/command.c src/history.c src/mouse.c src/plot.c
	src/show.c:

	Finally a work-around for the broken libreadline on OSX, which is really
	a wrapper for some version of libeditline.  Test for each potentially
	missing function in configure and deal with it if it's missing.  There
	may still be an issue with autoconfiguring support for the history
	functions.
	Bug #1839048 and others 

2010-07-30  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c src/command.h src/eval.c src/fit.c src/gp_types.h
	src/plot.c src/readline.c src/stdfn.c src/syscfg.h src/term.h:
	Remove vestigial tests for DOS16 or DOS386

2010-07-29  Allin Cottrell  <cottrell@wfu.edu>

	* src/term.c src/term_api.h term/emf.trm term/svg.trm docs/gnuplot.doc:
	Add support for codepage 950, which is Microsoft's version of Chinese
	Big5 encoding.  Only the emf terminal (and maybe svg) do anything useful
	with it.   "set encoding cp950"

2010-07-28  Ethan A Merritt  <merritt@u.washington.edu>

	* term/estimate.trm:  Always estimate escaped characters as requiring
	one character width.
	Bug #3036010

2010-07-27  Tim Mooney  <enchanter@users.sourceforge.net>

	* configure.in:  If lua.pc is not present but liblua.so is found
	anyhow,  then set HAVE_LUA and LUA_LIBS explicitly.
	Bug #3035608

2010-07-26  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/win.trm src/win/wgraph.c:  Yet another windows terminal font fix.
	Bug #2972307

2010-07-25  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm:  "set term canvas fontscale <fs>"

	* src/graphics.c (do_plot do_key_layout): Separate out the code that
	allocates space for the graph legend, and collect the key sample code
	into a single place.

2010-07-15  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot.doc: typos
	* docs/term-ja.diff docs/gnuplot-ja.doc:
	Sync Japanese documentation to gnuplot.doc rev 1.617

2010-07-14  Ethan A Merritt  <merritt@u.washington.edu>

	* src/hidden3d.c: Remove magic number -3 and the test (foo>=-2) in
	favor of LT_NODRAW and test (foo!=LT_NODRAW).

	* src/hidden3d.c:  #define PT_ARROWHEAD and PT_BACKARROW
	* src/hidden3d.c (make_edge draw_edge build_networks) src/util3d.c
	(draw3d_line_unconditional):
	Handle arrow heads and other arrow style parameters in hidden3d mode.
	For surfaces, edge.style indicates whether this edge is seen from the
	top or the bottom.  Coopt this flag for VECTOR plots to indicate
	whether the vector points up (positive z) or down (negative z).
	Separate flag is needed because the end points are sorted on z.

2010-07-11  Peter Juhasz  <juhaszp@users.sourceforge.net>
            Ethan A Merritt  <merritt@u.washington.edu>

	* src/util3d.c (draw3d_point_unconditional):  Remove incomplete local
	color handling; the shared code in term_apply_lp_properties now does a
	more complete job.

	* src/graph3d.c (do_3dplot): Simplify the key sample code for contour
	plots with style "points".  Set a default color sequence for contours
	belonging to a surface drawn with "lc variable".

2010-07-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c (do_3dplot): Fix bug introduced by patch of 23-Mar-2010.
	If the linetype of a 3D surface used "lc ..." then all contours of the
	surface were stuck with that same coloring rather than incrementing
	through successive line types.

2010-07-09  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c (term_apply_lp_properties): Yet another bandaid fix for
	problems with "lc var".  If the higher level code has failed to resolve
	LC_COLORFROMCOLUMN (or LT_DEFAULT) into an actual color, use LT_BLACK.
	Bug #3026477

2010-07-08  Ingo Thies  <ingo.thies@gmx.de>

	* src/gadgets.h src/mouse.c src/set.c:  Allow continuous rotation of 3D
	plots when mousing; i.e., do not limit rotation angle to 0<rotx<180

2010-07-08  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (lp_parse): The coloring option "lc N" should not set a
	use_palette flag.  I think the option "lc variable" shouldn't either.
	Bug #3026477

2010-07-07  Peter Juhasz  <juhaszp@users.sourceforge.net>

	* src/datafile.c src/gadgets.c src/gadgets.h src/gp_types.h
	src/graph3d.c src/graphics.c src/graphics.h src/plot2d.c src/save.c
	src/set.c src/show.c src/tables.c src/tables.h src/unset.c:

	* docs/gnuplot.doc docs/plotstyles.gnu demo/all.dem demo/ellipses.dat
	demo/ellipses_style.dem demo/orbital_elements.dat demo/orbits.dem

	New plot style "with ellipses".  Demos and documentation to match.

2010-07-07  Ethan A Merritt  <merritt@u.washington.edu>

	* term/PostScript/prologue.ps:  Add a default definition 
	    /g {setgray} def
	so that a missing palette initialization will result in normal 
	grayscale rather than an invalid PostScript file.
	Bug #3026477

2010-07-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c (boundary3d): Prevent infinite loop or divide-by-zero
	if the requested plot is so small that x or y dimension goes to zero.
	Bug #3026145

2010-07-05  Akira Kakuto

	* term/win.trm:  More fixes to font initialization.
	Bug #2972307 #2993504

2010-07-02  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* term/win.trm:  Explicitly initialize font.
	Bug #2972307

2010-07-01  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_readbinary): Regardless of the current timefmt
	setting, if we are reading time data from a binary file it will come in
	as a floating point value rather than as a string.  So we can treat it
	like any other binary value.
	Thanks to Thomas Sefzick for pointing this out.

	* src/datafile.c (df_readbinary): In binary mode, string-valued 
	functions were silently ignored.  Fix this, thus allowing binary files
	to be plotted "with labels".  For example: 
	plot 'foo' binary format='%double' using 0:1:("A") with labels

2010-07-01  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc src/axis.h src/command.c src/datafile.c src/gp_time.h
	src/internal.c src/time.c:

	Track time coordinates to sub-second precision.

	Time data read using the %S format specifier in "set timefmt" is now
	treated as a floating point number rather than an integer. This affects
	data read from an input file ("set xdata time"), the axis range and tic
	locations given for an axis using time coordinates ("set xrange",
	"set xtics"), and time conversions performed via calls to strptime().

	Time data output formats ("set format" strftime()) now accept a 
	precision modifier to the %S format. For example, "%H:%M:%.3S" will
	print hour, minute, seconds to a precision of milliseconds.
	gnuplot> print strftime("%Y %D %H:%M:%.3S", 12345.6789)
	         2000 01/01/00 03:25:45.679

	The maximum precision allowed for output is 6 digits (microseconds).
	6 digit accuracy is possible for absolute dates through the year 2550.


2010-06-30  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (get_data): Add back the rather useless code that handles
	four columns of data for styles LINESPOINTS and POINTSTYLE, even though
	the variable color handling no longer needs it.  It is still called
	(foolishly) if the plot command is issued with no using spec at all.

2010-06-29  Peter Juhasz

	* docs/gnuplot.doc: Document variable color for plot styles that were
	not previously supported.

	* src/plot2d.c: The final piece of "with labels tc variable"

2010-06-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (parse_label_options) src/plot2d.c (store_label)
	src/pm3d.c (set_plot_with_palette):
	Finish variable color support for text color in LABELPOINTS.

2010-06-28  Peter Juhasz

	* src/graphics.c demo/varcolor.dem: Finish variable color support
	for plot style CANDLESTICKS.  Expand the demo.

2010-06-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/color.h: New flag TC_VARIABLE (only used for textcolor)

	* src/misc.c (parse_colorspec) src/set.c (set_key) 
	src/graphics.c (do_key_sample):  Accept "set key tc variable"

2010-06-27  Peter Juhasz

	* src/graphics.c src/plot2d.c: Remove dead code supporting the old way
	of handling variable color.  Make "lc palette z" work.
	Since the new variable color mechanism frees up space in struct
	coordinate, use this to clean up the data storage for "with circles".

	* demo/varcolor.dem:  General demo and debugging tool for the expanded
	support of variable color across almost all plot styles.

	* src/graphics.c src/plot2d.c: Implement variable color for
	*ERRORBARS, *ERRORLINES, FINANCEBARS, CANDLESTICKS

2010-06-27  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.h src/graphics.c plot2d.c:  Maintain a dynamically-
	allocated array of per-datapoint color values in the header of each 2D
	plot.  The array is allocated only if the plot uses variable color.

	* src/plot2d.c: Store variable color data in the plot->varcolor[] array
	for plot styles VECTOR CIRCLES BOXES LINES DOTS IMPULSES POINTSTYLE
	LINESPOINTS XYERRORLINES XYERRORBARS BOXXYERROR LABELPOINTS BOXERROR

	* src/graphics.c (check_for_variable_color):  Convert this routine to
	check and load variable color using the new mechanism.
	Add variable color support for BOXXYERROR, BOXERROR

2010-06-26  Peter Juhasz

	* src/plot2d.c: In plots style "with circles", let a negative value for
	the radius indicate that the default radius should be used.

2010-06-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gadgets.c src/gadgets.h src/graphics.c src/plot2d.c src/save.c
	src/set.c src/show.c src/tables.c src/tables.h src/unset.c
	docs/gnuplot.doc:

	New style element "set style circle radius <R>" specifies a default
	radius for function plots or 2-column data plots drawn "with circles".

2010-06-16  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (eval_plots): Function plots should not be affected by
	the current setting of "boxwidth" unless they really do contain boxes.
	Bugfix

2010-06-15  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c: Do not allow xticlabels(foo) in association with
	style BOXPLOT, since there are no x coordinates.

	* src/gadgets.h: Add in missing fields of object initializers.

2010-06-11  Peter Juhasz

	* src/graphics.c (boundary):  More correct fix for distorted
	vertical size of subplots in a multiplot.

2010-06-10  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (boundary):  Fix a type that can distort the
	vertical size of subplots in a multiplot.

2010-06-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/misc.c (need_fill_border): The fillstyle border color was not
	taking account of linetype redefinitions.

2010-05-30  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc:  Document recently added %s time format
	(seconds since start of 2000).

2010-05-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graph3d.c (do_3dplot):  Remove a restriction that limited depth-
	sorting of pm3d surfaces to those which were adjacent in the splot
	command.  If there was a reason for the original restriction, that 
	reason is now not remembered.
	Bug #3004793

2010-05-23  Ethan A Merritt  <merritt@u.washington.edu>

	* term/emf.trm: Revise the enhanced text mode, especially text rotation.

2010-05-22  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm (CANVAS_graphics ENHCANVAS_FLUSH):
	Fix a bug in applying the baseline of rotated enhanced text.
	Provide a dummy gnuplot_init() routine if a standalone html
	file with no mouse support is created.

2010-05-20  Ethan A Merritt  <merritt@u.washington.edu>

	* term/estimate.trm (ENHest_writec strlen_utf8)
	src/term.c (estimate_strlen):

	Teach estimate_strlen() to handle UTF-8 encoded strings.  The estimate
	is imperfect, but then again the estimate is already imperfect for any
	proportional font.  To truly do this more accurately would require
	customized implementations for each terminal type.  Any unicode code
	point below 0x3000 is treated as requiring one character width; code
	points above 0x3000 are treated as requiring two character widths.

2010-05-16  Ethan A Merritt  <merritt@u.washington.edu>

	* src/hidden3d.c (draw_edge): Add support for coloring lines in
	hidden3d mode using 'lc variable' or 'lc rgb variable'.

2010-05-13  Ethan A Merritt  <merritt@u.washington.edu>

	* term/cairo.trm (cairotrm_options): The "noenhanced" option was
	broken by the patch of 2009-07-03.  Fix it.

	* term/cairo.trm (cairotrm_put_text): Enhanced text was applying
	the fontscale twice.  Fix it.

2010-05-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/eval.c (magnitude):  Optimize for the predominant case
	(no imaginary component).

2010-05-10  Ethan A Merritt  <merritt@u.washington.edu>

	* term/post.trm (PS_set_font): set ... font ",size" was not working
	for non-enhanced text.  Now it is.

	* src/plot2d.c (parametric_fixup) src/plot3d.c (parametric_3dfixup):
	Delete vestigial code for auto-generation of a parametric plot title.

2010-05-09  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/eval.c (magnitude): Yesterday's change breaks if the complex
	argument is {0,0}.

2010-05-08  Hans-Bernhard Broeker  <broeker@physik.rwth-achen.de>

	* src/eval.c (magnitude): Make implementation robust to overflows
	and underflows.

2010-05-06  David Marx  <itsdmarx@users.sourceforge.net>

	* src/syscfg.h: Tweaked version of _bool support for Sun/Solaris

2010-05-06  Ethan A Merritt  <merritt@u.washington.edu

	* term/cairo.trm (cairotrm_graphics): Handle the special case of
	streaming pdfcairo output to stdout.  (Requires cairo version >=
	1.2) Bug #578311

2010-05-05  Ethan A Merritt  <merritt@u.washington.edu

	* term/post.trm src/term.c: Move a global declaration out of post.trm so
	that gnuplot can be built without including the postscript terminal.

2010-05-02  Thomas Sefzick <thse@users.sourceforge.net>

	* src/gadgets.h src/graphics.c src/save.c src/set.c set/show.c
	src/tables.c src/tables.h docs/gnuplot.doc:

	New options "set key maxcolumns N maxrows M" to manually adjust the
	automatic layout of items in the figure legend. Implemented for 2D
	plots only.

2010-05-02  Ethan A Merritt  <merritt@u.washington.edu

	* configure.in src/save.c src/set.c src/show.c src/unset.c src/fit.c
	src/fit.h docs/gnuplot.doc config/config.os2 config/config.wc
	config/config.nt config/config.dj2 config/config.oww config/config.cyg
	config/config.amg config/config.mgw:

	Remove conditional flag GP_FIT_ERRVARS, default to "set fit errorvar".
	Tracker item #2985752

	* src/misc.c (lp_parse): "lc variable" was being lost in some cases.
	Bugfix

2010-04-24  Ethan A Merritt  <merritt@u.washington.edu

	* config.mgw config.cyg config.os2:  Enable HIDDEN_QUADTREE by default.
	Tracker item #2990173

2010-04-20  John Naylon  <jpbn@users.sourceforge.net>

	* src/gp_types.h src/interpol.c src/plot2d.c src/tables.c
	docs/gnuplot.doc: New option "smooth cnormal", equivalent to 
	"smooth cummulative" with automatic normalization to the range
	[0:1].

2010-04-12  Ethan A Merritt  <merritt@u.washington.edu

	* term/post.trm: Correct a typo that leads to serious problems with
	font size and placement (introduced by the fontscale code).

2010-04-04  Ethan A Merritt  <merritt@u.washington.edu

	* term/cairo.trm: The cairo terminals were forgetting fontscale
	after the initial application.
	Bugfix

	* src/wxterminal/gp_cairo.c term/cairo.trm: Use-after-free error caused
	a segfault on certain enhanced text strings.
	Bug #2947223

2010-03-28  Ethan A Merritt  <merritt@u.washington.edu

	* docs/gnuplot.doc: State explicitly that the timefmt %y interprets
	a 2 digit year number as being in the range 1969-2068.

2010-03-24  Ethan A Merritt  <merritt@u.washington.edu

	* term/tgif.trm (text_angle): Handle text rotation -270 same as +90.
	Bugfix

2010-03-23  Guy Mann  <guydmann@gmail.com>

	* term/js/gnuplot_mouse.js (mouse_update):
	Repaint current canvas before each incremental update of the zoom box.

2010-03-22  Ethan A Merritt  <merritt@u.washington.edu

	* src/misc.c (lp_parse): Re-write the lp_parse() routine to prevent the
	loading of a user-defined linetype from undoing other linestyle 
	properties given earlier in the same command.

	* src/util3d.h src/util3d.c (draw3d_line_unconditional)
	src/hidden3d (draw_edge draw_line_hidden):  The code was passing in
	top and bottom colors for the hidden3d routines as integer linetypes.
	But loading a whole linetype lost any line properties given explicitly
	in the splot command. Change this so that the top and bottom colors are
	passed as t_colorspec structures instead.

2010-03-21  Tommaso Vinci  <ilbibi@users.sourceforge.net>

	* Provide Humlicek's approximation to the Voigt/Faddeeva function
	  voigt(x,y) = \frac{y}{\pi} \int{\frac{e^{t^2}}{(x-t)^2+y^2}}dt

2010-03-20  Ethan A Merritt  <merritt@u.washington.edu

	* NEWS src/hidden3d.c src/plot3d.c src/graph3d.c docs/gnuplot.doc:

	Add support for 'with impulses' in hidden3d code.  Previously the manual
	said 3D impulses were drawn "from the xy plane" but the code did not
	follow this, drawing instead from zmin.  Now the 3D code always draws
	impulses from z=0 just as the 2D code always draws from y=0.

2010-03-18  Ethan A Merritt  <merritt@u.washington.edu

	* docs/gnuplot.doc:  Add index entries and update description of mouse
	scrolling and hotkeys.

2010-03-17  Ethan A Merritt  <merritt@u.washington.edu

	* plot.c (main): Initialize c_token to a legal value at the start of
	interactive input.

	* docs/gnuplot.doc src/set.c src/term_api.h src/wxterminal/wxt_gui.cpp
	src/wxterminal/wxt_term.h term/cairo.trm term/emf.trm term/gd.trm
	term/pdf.trm term/post.h term/post.trm term/wxt.trm:

	New terminal option "fontscale <scale>".  This scale factor is applied
	to the nominal font size before use, so that you can scale the font 
	size up or down in parallel with scaling the output page up or down.
	This is mostly relevant for hardcopy output or embedded figures.

2010-03-14  Ethan A Merritt  <merritt@u.washington.edu

	* INSTALL config/README config/makefile.amg config/makefile.ami
	config/makefile.dj2 config/makefile.unx config/term_pc.h configure.in
	docs/Makefile.in docs/README docs/gnuplot.doc src/Makefile.am
	src/Makefile.maint src/amiga.c src/command.c src/command.h src/graph3d.c
	src/graphics.c src/graphics.h src/makefile.all src/makefile.awc
	src/plot.c src/scanner.c src/stdfn.c src/stdfn.h src/syscfg.h src/term.c
	src/term.h src/variable.c term/amiga.trm:

	Remove code specific to amiga platforms. 
	30 files changed, 43 insertions(+), 1941 deletions(-)

	* config/makefile.dj2 config/makefile.unx config/term_pc.h
	configure.in docs/doc2texi.el src/eval.c src/eval.h src/makefile.all
	src/makefile.awc src/plot.c src/syscfg.h src/term.c src/term.h
	term/apollo.trm term/gpr.trm:

	Remove code specific to support of Apollo workstations.
	The final gnuplot version in the apollo archives was gnuplot 2.0 (1996).
	15 files changed, 16 insertions(+), 1211 deletions(-)

	* src/pm3d.c src/tables.c src/term.c term/gd.trm term/pm.trm
	term/post.trm: Remove bits of dead code.

2010-03-13  Ethan A Merritt  <merritt@u.washington.edu

	* config/makefile.286 config/makefile.msc config/makefile.msw
	config/makefile.tc config/makefile.wc config/makefile.unx
	src/Makefile.am src/alloc.c src/alloc.h src/eval.c src/gnuplot.def
	src/graph3d.c src/help.c src/hidden3d.h src/misc.c src/plot.c
	src/plot2d.c src/set.c src/show.c src/syscfg.h src/term.c
	src/term_api.h src/unset.c src/util3d.c term/cgm.trm:

	We have not supported 16-bit DOS or WIN since version 4.0.
	Remove the old cruft that was wrapped in conditional flags
	DOS16 WIN16 DOSX286 LITE
	23 files changed, 11 insertions(+), 324 deletions(-)

2010-03-13  Ethan A Merritt  <merritt@u.washington.edu>

	* src/util.c (getusername): Fix segfault if neither USER or USERNAME
	are present in the environment.

2010-03-09  Ethan A Merritt  <merritt@u.washington.edu>

	* src/gplt_x11.c (preset): Fix compilation error if XAPPLRESDIR is not
	externally defined.

2010-03-08  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/README docs/Makefile.in docs/pdffigures.tex docs/titlepag.tex:
	Split out dependence on the packages graphicx and picins into a separate
	file (pdffigures.tex) that is only needed by target "make pdffigures".

2010-03-07  Ethan A Merritt  <merritt@u.washington.edu>

	* share/Makefile.am: Give up on figuring out a universally agreed on
	place where x11 app-defaults files should be installed.  Place ours in
	${PREFIX}/share/gnuplot/4.5/app-defaults

2010-03-06  Tatsuro Matsuoka  <tmacchant3@yahoo.co.jp>

	* INSTALL config/makefile.mgw config/makefile.cyg:
	Consolidate the instructions for building using mgw and cygwin into
	their respective makefiles.

2010-03-06  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (get_data): Both curves in 'with filledcurves' must
	use the same y axis properties.
	Bug #2941257

	* src/util.c configure.in config/config.cyg config/config.dj2
	config/config.mgw config/config.ntconfig/config.os2 config/config.oww:
	Remove the test for pwd.h, the configuration flag HAVE_PWD_H, and the
	conditional code that copies GECOS information from the password file
	into the header of PostScript and PDF output files.  This addresses
	reported issues of privacy and reported problems with building a static
	executable.

2010-03-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/internal.c (eval_reset_after_error f_call) src/internal.h
	src/util.c (int_error) eval.h (STACK_DEPTH):
	Add a recursion depth limit for calls to a user-defined function.
	Bump the maximum depth from 100 to 250.
	Bug #2954383

2010-03-05  Christoph Junghans (ottxor)

	* src/Makefile.am:  Fix broken target "make clean"

2010-03-04  Thomas Sefzick <thse@users.sourceforge.net>

	* src/svg.trm:  Make sure to reset ENHsvg_string_state after each use.

2010-03-03  Ethan A Merritt  <merritt@u.washington.edu>

	* term/pdf.trm:  Remove requirement that the 'size' option must be the
	last option given.

2010-02-27  Ethan A Merritt  <merritt@u.washington.edu>

	* graph3d.c (check_for_variable_color) plot3d.c (get_3ddata)
	plot3d.c (plot3d_impulses plot3d_lines plot3d_points):
	The presence of variable color was being tracked by a shared variable,
	rgb_from_column, but it was not being updated in some circumstances.
	Get rid of the variable and test the plot header directly when needed.

	* term/emf.trm:  Tweak empirical corrections for character widths.
	Additional thin character -, really thin chars i,.:;|!

2010-02-24  Peter Juhasz

	* src/save.c:  The 'save' command was not correctly handling plot styles
	circles, image, or rgbimage.
	Bug #2958235

2010-02-24  Alexander Taschner  <tachna@users.sourceforge.net>

	* src/command.c src/win/wgraph.c term/win.trm:  Move declarations to
	conform with ANSI C.

2010-02-24  Ethan A Merritt  <merritt@u.washington.edu>

	* term/cgm.trm (find_nearest_color):  When looking for RGB colors, check
	both the user-loaded colors and the default set of colors.  Otherwise 
	RGB fails if the user has loaded no colors.

	* term/gd.trm:  Documentation for the mechanism for setting line colors
	in the 'set term' command is out of date, and anyhow the mechanism is
	needed only for the terminal background.  Line colors can now be handled
	in terminal-independent commands.  Revise the docs accordingly.

2010-02-23  Ethan A Merritt  <merritt@u.washington.edu>

	* src/specfun.c (ibeta) docs/gnuplot.doc:
	The approximation used for the function ibeta(a,b,x) was taken from 
	Abramowitz & Stegun. However we failed to document that it is only
	usable on the domain x < (a-1)/(a+b-2).  Add this warning to the docs
	and make sure that the function itself returns a consistant error
	value (-1) if the domain or range is invalid.
	Bug #2957184

2010-02-22  Don Taber  <dtaber@topaflyers.com>

	* src/win/wgraph.c (SelFont):  After a font change, call 
	do_string_replot("") so that it is immediately visible.

2010-02-18  Ethan A Merritt  <merritt@u.washington.edu>

	* term/svg.trm: Use dynamic allocation for all font names. This prevents
	buffer overflow problems for very long font names.

	* term/post.trm: Truncate over-long font names rather than allowing 
	buffer overflow.

2010-02-17  Christoph Junghans (ottxor)

	* configure.in plot.c: New configuration option to add local packager to
	list of contacts for bug reporting.
	Bug #2951583

2010-02-17  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c (do_arc):  Avoid calling trunc() because some compilers
	are still back in the dark ages (pre C99).

	* configure.in: Change default installation directory for x11 resources
	to /etc/X11/app-defaults.
	Bug #1953742

2010-02-17  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* src/plot.c (interrupt_setup): Ctrl+C crashes windows console build.
	SF Patch #2848002

2010-02-16  Peter Juhasz

	* src/graphics.c src/plot2d.c src/term.c docs/gnuplot.doc
	demo/circles.dem demo/energy_circles.dat:  Extend plot style
	"with circles" to allow optional start and end values for each arc.

2010-02-15  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* src/win/wgnuplib.h src/win/wgraph.c term/win.trm: Add the option
	"close" to the windows terminal driver. Update documentation
	accordingly.

2010-02-15  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* term/win.trm: Fix for windows terminal ignoring explicit fontname and
	size for labels.

2010-02-15  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* src/win/wmenu.c (SendMacro): Bugfix in call to _getcwd.

2010-02-15  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* term/win.trm: Add the options "size" and "position" to the windows
	terminal driver. Update documentation accordingly.

2010-02-15  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* src/win/wgraph.c src/win/wresourc.h: Add the possibility to
	save the current graph window as EMF file. Add a Ctrl+S shortcut for
	the graph window and add an entry to the window's system menu.

	* term/win.trm: Update documentation accordingly.

2010-02-15  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* src/win/wgraph.c: Update code to copy to clipboard as enhanced
	metafile, add Ctrl+C shortcut for graph window.

	* term/win.trm: Update documentation accordingly.

2010-02-15  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc src/gadgets.h src/graphics.c src/save.c
	src/set.c src/show.c: New style option (candlesticks or
	financebars) for 'with boxplots'. Apply the current setting of
	'set bars' to boxplots drawn in candlestick style.

2010-02-12  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_obj): Sanity check start and end angles of arc.

2010-02-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_boxes): Amazingly old bug that fails to apply 
	absolute boxwidth in the case where previous point was undefined.

2010-02-10  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot-ja.doc docs/term-ja.diff:
	Sync Japanese documentation to gnuplot.doc rev 1.598

2010-02-07  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc: Clarify the documentation for xticlabels().
	* docs/Makefile.in: Use htlatex to generate html docs

2010-02-07  Christoph Junghans (ottxor)

	* configure.in share/Makefile.am src/Makefile.am src/gplt_x11.c
	src/variable.c: Configurable X11 application resource path.
	Bug #2931287 #219323

2010-02-07  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (boxplot_range_fiddling) src/plot2d.c (plot_boxplot):
	Make boxplot handling ignore any undefined points in the data set.

2010-02-06  Ethan A Merritt  <merritt@u.washington.edu>

	* NEWS docs/gnuplot.doc src/save.c src/set.c src/show.c src/tables.c
	src/tables.h src/term_api.h src/unset.c src/variable.c term/post.trm:

	Revise the search order for PostScript prologue files
	1) directory given by 'set psdir' [new command]
	2) directory given by environmental variable GNUPLOT_PS_DIR
	3) built-in header if present, otherwise default system directory
	4) loadpath [pretty useless, but that's what it did before]

2010-02-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (plot_boxplot): Fix off-by-one error in calculating
	quartile boundaries.

2010-02-03  Christoph Junghans (ottxor)

	* share/LaTeX/Makefile.am: Fix a logic error in testing the need
	to call texhash.

2010-02-03  Tatsuro Matsuoka  <tmacchant3@yahoo.co.jp>

	* src/command.c (pause_command): Loop of waitforinput() for "pause -1"
	in console mode of Windows.

2010-02-02  Christoph Junghans (ottxor)

	* configure.in share/LaTeX/Makefile.am:
	kpsexpand was used in share/LaTeX/Makefile.am even if it was not
	installed.  Add --texdir=DIR option to configure
	Bug #2934829

2010-02-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/term.c (test_term): Iniitialize linetype structure before loading
	dynamic linetypes.
	Bug: points all showed as dots if user linetypes were not defined

	* src/syscfg.h: Attempt to fix build problem under Sun Studio (no
	definition for _Bool).
	Bug #2915835

2010-02-01  Ethan A Merritt  <merritt@u.washington.edu>

	* term/canvas.trm: Fix typo in javascript output.
	Bug #2943778

2010-02-01  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/command.c (pause_command): Use the default message for Windows
	pause dialog.

2010-01-31  Tatsuro Matsuoka  <tmacchant3@yahoo.co.jp>

	* src/command.c (pause_command): Fixes for pause on Windows with wxt.

	* src/wxterminal/wxt_gui.cpp (wxt_waitforinput): Fix for Windows.

2010-01-29  Ethan A Merritt  <merritt@u.washington.edu>

	* src/scanner.c (scanner): There was no scanner rule covering a token
	starting with '.'. This caused ambiguity in the interpretation of '.E1'.
	Is it a strange representation of 0, or concatenation of a string
	variable E1?  Resolve this with a new rule that a number with an initial
	'.' must continue with a digit.
	Bugfix

2010-01-28  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/command.c (pause_command): Fix "pause mouse" for gnuplot.exe on
	Windows.

2010-01-25  Ethan A Merritt  <merritt@u.washington.edu>

	* INSTALL: Add section explaining the libreadline problem on OSX.

2010-01-25  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/wgraph.c (drawgraph pattern_bitmaps): Synchronize fill
	patterns of the Windows terminal with other terminals.

2010-01-16  Ethan A Merritt  <merritt@u.washington.edu>

	* src/variable.c (loadpath_handler):  Have "show loadpath" also list
	the environmental variable GNUPLOT_PS_DIR.
	Bug #2933345

2010-01-15  Christoph Junghans <ottxor@users.sourceforge.net>

	* configure.in src/Makefile.am demo/Makefile.am.in:
	"make check" needs help if we did ./configure --program-suffix=FOO
	In this case make a temporary symlink so that 'make check' can find
	gnuplot_x11.
	Bug #2926141

2010-01-12  Alexander Täschner  <taschna@users.sourceforge.net>

	* src/win/winmain.c (MyVFPrintF): Microsoft Visual C does not use
	va_copy() and va_end().

2010-01-12  <ottxor@users.sourceforge.net>

	* configure.in share/Makefile.am:  Do not install LaTeX support files
	if there is no latex on the system.  Add configuration option
	--without-latex
	Bug #2928310

2010-01-12  Ethan A Merritt  <merritt@u.washington.edu>

	* term/pdf.trm: Always start a new path with a moveto.
	Bug #2930705

	* src/plot2d.c (eval_plots): In generating points for a function plot,
	only x and y were guaranteed to be initialized. Now to be safe we
	initialize all fields.
	Bug #2930705

	* src/plot2d.c (store2d_point): steps, fsteps, and histeps were 
	incorrectly auto-scaling to yhigh (which is really variable color).
	Bug #2929314

2010-01-10  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/gnuplot.doc docs/plotstyles.gnu demo/boxplot.dem
	src/datafile.c src/gadgets.c src/gadgets.h src/gp_types.h
	src/graph3d.c src/graphics.c src/plot2d.c src/save.c
	src/set.c src/show.c src/tables.c src/tables.h src/unset.c:

	New plot style "with boxplot" and corresponding "set style boxplot".

2010-01-10  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* docs/gnuplot-ja.doc docs/term-ja.diff:
	Sync Japanese documentation to gnuplot.doc rev 1.595

2010-01-10  <ottxor@users.sourceforge.net>

	* share/Makefile.am:  Do not install x11 appdefaults file if no
	X11 support is selected.  Bug #2928271

2010-01-06  Alexander Täschner  <taschna@users.sourceforge.net>

	* config/config.nt src/datafile.c src/eval.c src/plot.c src/stdfn.c
	src/stdfn.h: Define a generic function not_a_number() in which we can
	hide platform-specific implementations.  Add a support for initializing
	NaN and GPVAL_NaN on Windows.
	Bug #2925544

2010-01-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_readascii): Further revision to maintain the old
	behaviour of the string variables demo.  The demo uses a very unusual
	method to read time strings from the input file, but let's not break
	it unless necessary.

2010-01-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_readascii): Time format "%s" should be able to
	handle any numeric input. Convert input of the form   'using ($1)' or
	'using (f($1))' to a string so that it can be passed to gstrptime().
	Bug #2899511

2010-01-01  Ethan A Merritt  <merritt@u.washington.edu>

	* term/PostScript/prologue.ps term/PostScript/prologues.h:
	Update version in PostScript headers.
	Define a user-configurable flag SuppressPDFMark.

	* term/post.trm: Re-arrange stuff in the prolog so that users can either
	set SuppressPDFMark to true in an individual file or make a permanent
	change by setting it in the shared prolog file.

2009-12-31  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c src/gadgets.c src/gadgets.h src/graph3d.c src/graphics.c
	src/misc.c src/plot2d.c src/plot3d.c src/set.c src/show.c src/tables.c
	src/tables.h src/term_api.h src/term.c src/unset.c src/util3d.c
	demo/tango_colors.gp docs/gnuplot.doc:

	Allow the user to redefine the properties of basic linetypes.
	The redefinitions are persistent; i.e. they are not affected by "reset".
	The command options are identical to those for "set style line".
	New command:
		set linetype N {various line properties}
		set linetype cycle M

	The new line colors and widths can be set to cycle after going through
	M linetypes.  E.g. for M=8, the color of linetypes 9, 17, 25 ... are the
	same as that of linetype 1.

2009-12-30  Peter Kalinin  <pkalinin@users.sourceforge.net>

	* term/metapost.trm (MP_options):
	The metapost terminal sets the line thickness for plots via drawoptions,
	then uses 'draw GPtext ...' to place the text. The draw inherits options
	from drawoptions, which results in altered thicknesses of lines.
	Replace 'draw GPtext' with 'addto currentpicture also GPtext'.

2009-12-30  Shigeharu Takeno  <shige@iee.niit.ac.jp>

	* src/win/wgnuplib.h src/win/wgraph.c term/win.trm:
	Monochrome option of win terminal seems to have no effect.
	    set term win mono
	    plot x
	draws a red line. I think the timing of calling ReadGraphini() is not
	correct. This should be done only once on first entry before setting
	the terminal options.

2009-12-30  Thomas Sefzick <thse@users.sourceforge.net>

	* src/graph3d.c: Fix incorrect color assignment of contour lines when
	'set style increment user' is set.

2009-12-28  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot.c (get_data) src/graphics.c (plot_c_bars)
	src/tabulate.c (print_table) docs/gnuplot.doc:

	Allow an optional 6th column in CANDLESTICKS style that specifies the
	width of each individual candle.

2009-12-24  Thomas Sefzick <thse@users.sourceforge.net>

	* src/tabulate.c src/time.c:
	Support the "%s" format specifier to strftime as per the unix man page.
	If the output format string is exactly "%s" then 'output_number()' in
	'src/tabulate.c' returns the number of seconds since the beginning of
	the epoch as a number.  All other cases ("%s" in combination with any
	other character) are treated in 'time.c'.

2009-12-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/tabulate: Fix buffer overflow.

	* configure.in:  The cross-compilation patch causes a recursive 
	definition of CC in docs/Makefile.  I have attempted to fix this by
	revising the definition of CC_FOR_BUILD, but I don't know if this
	will break cross-compilation again.

2009-12-24  Robert Schwebel <r.schwebel@pengutronix.de>

	* configure.in docs/Makefile.in:
	When cross compiling gnuplot, build the documentation generation tools
	in docs/ with CC_FOR_BUILD (host compiler), not with the cross compiler.

2009-12-22  Ethan A Merritt  <merritt@u.washington.edu>

	* src/win/wgraph.c (drawgraph: W_line_type):  Change initial line
	template for LT_BACKGROUND to 0 (lt -1) rather than 1 (lt 0).
	Possible fix for bug #1952287

2009-12-19  Juergen Wieferink  <wieferink@freenet.de>

	* src/command.c, src/command.h, src/misc.c, src/misc.h
	(lf_push, lf_pop): Save if-state.

	* src/command.c, src/command.h, src/misc.c, src/misc.h
	(lf_push, lf_pop, load_file, do_string):
	Refactor duplicate code from load_file() and do_string() into lf_push()

	* misc.h, misc.c: Add field cmdline to LFS to allow correct
	deallocation.  Check for infinite recursion.

	* src/misc.c (prepare_call, expand_call_args, load_file):
	Refactor code related to the call command out of load_file().

	* src/command.c (history_command): Use do_string() now that it can
	detect recursions.

	* command.c, command.h, plot.c:
	Remove eval_depth and reset_eval_depth().  The new recursion detection
	in lf_push() should supercede this.

2009-12-18  Ethan A Merritt  <merritt@u.washington.edu>

	* src/tables.h src/tables.c src/show.c src/save.c src/graph3d.h:
	Move all the DGRID3D_* options into a shared table.

	* src/set.c: Replace the set_dgrid3d() routine with a version that uses
	a shared option table and handles input values contained in variables.

	* docs/gnuplot.doc: bring dgrid3d syntax into line with the code

2009-12-12  Ethan A Merritt  <merritt@u.washington.edu>

	* docs/plotstyles.gnu demo/bldg.png demo/barchart_art.dem Makefile.am.in
	New demo showing 
	a) input of png image using binary filetype=png
	b) rescaling rectangular images to act as plot elements

2009-12-11  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c (boundary):  Tweak auto-placement of plot borders so
	that it is closer to what was used prior to version 4.2.4.  This makes
	the right margin slightly wider than in 4.2.6, and the left margin
	slightly narrower.

2009-12-08  Ethan A Merritt  <merritt@u.washington.edu>

	* term/emf.trm (ENHemf_put_text): Left/right/center justification of
	enhanced text was not taking into account the text angle. Now it does.
	Bugfix.

	* src/breaders.c (gd_filetype_function): Make load of jpeg or gif image
	conditional on support by the installed libgd.

	* src/unset.c (reset_command): Reset options to plot style filledcurve.
	Bug #2911203

2009-12-05  Ethan A Merritt  <merritt@u.washington.edu>

	* src/command.c (undefine_command):
	'undefine  A* B' should not affect BFOO.
	Bugfix.

	* src/internal.c (f_mult):  Check for integer overflow when performing
	internal integer multiplication.
	Bug #2908270

2009-12-04  Tatsuro Matsuoka  <tmacchant3@yahoo.co.jp>

	* config/makefile.mgw config/makefile.cyg:  Create installation
	directories $(DESTDIR)/$(GNUPLOT_PS_DIR) $(DESTDIR)/$(GNUPLOT_LUA_DIR)

2009-12-04  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c (df_open): The variables that track matrix and binary
	data input (df_matrix, df_num_bin_records) must be re-inititialized
	for every file.

2009-12-03  Ethan A Merritt  <merritt@u.washington.edu>

	* src/set.c (set_margin): Limit range of set ?margin at screen <foo>
	to 0 < foo < 1.

	* src/datafile.c (f_stringcolumn) src/plot2d.c (eval_plots):
	Enforce restrictions on which plot types can accept matrix data.

2009-12-01  Ethan A Merritt  <merritt@u.washington.edu>

	* config/makefile.cyg config/makefile.dj2 config/makefile.mgw
	config/makefile.os2 src/Makefile.am term/lua.trm term/Makefile.am.in:
	Install the script gnuplot-tikz.lua under $pkgdatadir rather than under
	$pkglibexecdir.
	Fixes build problems under cygwin and mingw.
	Thanks to Tatsuro Matsuoka.

	* docs/gnuplot.doc:  Provide an example of using 'set palette defined'
	to approximate default MATLAB coloring.
	Thanks to Mike <mws115@usa.com>

2009-11-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/datafile.c:  Remove unused global df_binary.

2009-11-16  Juergen Wieferink  <wieferink@freenet.de>

	* src/command.c (do_string_and_free) src/misc.c (load_file): Fix memory
	issues of patch 2009-10-30 (SF Patch #2898455 and Bug #2895620).

2009-11-16  Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Fix support web page URL.

	* src/show.c (show_version): Less info help lines.

2009-11-14  Philipp K. Janert <janert@ieee.org>

	* src/command.c (undefine_command): Added support for wildcards in
	variable names.

	* docs/gnuplot.doc: Associated documentation.

2009-11-12  Thomas Sefzick <thse@users.sourceforge.net>

	* term/canvas.trm:  Fix initialization failure on non-unix platforms.

2009-11-11 Petr Mikulik  <mikulik@physics.muni.cz>

	* docs/gnuplot.doc: Updated introduction.

2009-11-06  Allin Cottrell  <cottrell@wfu.edu>

	* src/wxterminal/gp_cairo.c (gp_cairo_convert):  Work around a font
	problem in the win32 backend for pango/cairo character rendering.
	Conditional on WIN32 and libpango > 1.21, request rendering by freetype
	rather than win32. Fix suggested by cairo developer Behdad Esfahbod.

2009-11-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/term.c (enhanced_recursion): Replace in-line warnings sent to
	stderr by instead calling int_warn().

2009-11-02  Ethan A Merritt  <merritt@u.washington.edu>

	* src/breader.c:  Give df_libgd_get_pixel() a valid return value even
	if it's only a dummy function because there is no png support.

2009-11-01  Petr Mikulik  <mikulik@physics.muni.cz>

	* config/makefile.dj2 config/makefile.cyg config/makefile.mgw
	config/makefile.nt config/makefile.os2: Added GNUPLOT_JS_DIR.

	* term/canvas.trm (CANVAS_graphics): Fix // vs \ and / for jsdir and
	Windows.

2009-10-31  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/show.c (show_version): Fit width of welcome messages into 80
	characters.

2009-10-31  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot.h src/util.h:  Tell gcc that routines bail_to_command_line(),
	int_error(), graph_error(), and os_error() do not return. 
	#ifdef __GNUC__ ...  __attribute__((noreturn));
	This avoids spurious warnings about uninitialized variables from
	call sites like:
	    int foo;
	    if (END_OF_COMMAND || !(foo = try_to_get_string()))
		int_error(c_token,"missing string");
	    baz = foo;

2009-10-30  Juergen Wieferink  <wieferink@freenet.de>

	* src/command.c, src/command.h (do_string, do_string_and_free):
	Use to different functions depending on whether the command string has
	to be freed.  Don't reset screen_ok.

	* src/command.c, src/command.h (do_string_replot), src/fit.c
	(fit_interrupt): Use do_string() instead of do_line().

	* src/command.c, src/misc.c, src/mouse.c, src/plot.c src/term.c:
	Adjust calls to do_string().

	* src/plot2d.c src/graph3d.c src/gplt_x11.c term/lua.trm term/latex.trm
	src/wxterminal/gp_cairo_helpers.c:
	Silence gcc -Wall warnings.

	* src/misc.c: Remove latin1 char.

	* term/x11.trm: Silence valgrind warning.

	* demo/vector.dem, demo/fit.dem: Add closing quotes.

2009-10-30  Petr Mikulik  <mikulik@physics.muni.cz>

	* src/win/winmain.c (MyFPrintF MyVFPrintF MyPrintF): Workaround for
	vsnprintf(NULL,0,...) returning zero (MingW 3.4).

	* docs/gnuplot.doc: Document "linetype <n>" option of linecolor and
	textcolor.

2009-10-28  Ethan A Merritt  <merritt@u.washington.edu>

	* term/luz.trm term/lua/gnuplot-tikz.lua: Remove conditional tests
	for gnuplot version 4.3.  We're past that now.

2009-10-27  Ethan A Merritt  <merritt@u.washington.edu>

	* src/save.c (save_fillstyle):  Repair missing brackets in if/else.

2009-10-26  Ethan A Merritt  <merritt@u.washington.edu>

	* src/graphics.c src/axis.c src/term.c:  Replace in-line warnings sent
	to stderr by instead calling int_warn();

2009-10-24  David Marx  <itsdmarx@users.sourceforge.net>

	* src/wxterminal/wxt_gui.cpp:  The pieces of a concatenated string
	literal must be wrapped in wxT() to satisfy the Sun Studio CC compiler.
	Bug #2883574

2009-10-24  Ethan A Merritt  <merritt@u.washington.edu>

	* src/color.c (make_palette): Remove useless warning message.

	* src/internal.c (f_power):  Check for integer overflow from i**j and
	return a real value (well, actually a complex value) if it is needed.
	Bug #2881789

2009-10-23  Ethan A Merritt  <merritt@u.washington.edu>

	* src/plot2d.c (get_data): The mechanism for flagging "lc variable"
	was not being triggered for plot types VECTOR, CIRCLES, BOXES.
	Bug fix

2009-10-22  David Marx  <itsdmarx@users.sourceforge.net>

	* src/wxterminal/wxt_gui.cpp:  _T() macro has been deprecated in favor
	of wxT().
	Bug #2883574

2009-10-18  Ethan A Merritt  <merritt@u.washington.edu>

	* VERSION FAQ.pdf src/version.c
	config/makefile.mgw configure.in docs/doc2texi.el docs/titlepag.tex

	Bump version of CVS development tree to 4.5
